////////////////////////////////////////////////
// @运行时
////////////////////////////////////////////////
if (typeof (GSApp) == "undefined")
{
    window.GSApp = function () { };
}

////////////////////////////////////////////////
// @数据模型
////////////////////////////////////////////////

GSApp.Modules = function () { };

////////////////////////////////////////////////
// @列表元素模型
////////////////////////////////////////////////

GSApp.Modules.ListElement = function (
    type,
    //
    title,
    thumbnailUrls,
    createTime,
    commentsCount,
    //
    contentType,
    contentId,
    contentUrl)
{
    if (typeof(contentUrl) == "undefined")
    {
        contentUrl = "";
    }

    this.type = type;

    this.title = title;
    if (thumbnailUrls != null)
    {
        if (thumbnailUrls instanceof Array)
        {
            this.thumbnailUrls = thumbnailUrls;
        }
        else
        {
            this.thumbnailUrls = [thumbnailUrls.toString()];
        }
    }
    else
    {
        this.thumbnailUrls = new Array();
    }

    if (createTime != null
        && createTime instanceof Date)
    {
        this.createTime = createTime;
    }
    else
    {
        this.createTime = new Date(parseInt(createTime));
    }
    this.commentsCount = commentsCount;

    this.contentType = contentType;
    this.contentId = contentId;
    if (contentUrl == null
        || contentUrl.length < 1
        || typeof (contentUrl) == "undefined")
    {
        switch (contentType)
        {
            case "xinWen":
            case "news":
                {
                    contentUrl = "https://wap.gamersky.com/news/Content-" + contentId + ".html";
                } break;
            case "gongLue":
            case "strategy":
                {
                    contentUrl = "https://wap.gamersky.com/gl/Content-" + contentId + ".html";
                } break;
            case "shiPin":
            case "video":
                {
                    contentUrl = "https://wap.gamersky.com/news/Content-" + contentId + ".html?gsAppVideoId=" + contentId;
                } break;
        }
    }
    this.contentUrl = contentUrl;
};

////////////////////////////////////////////////
// @用户信息模型
////////////////////////////////////////////////

GSApp.Modules.UserInfo = function (
    userId_userInfo,
    userName,
    userHeadImageURL,
    userAuthentication,
    level,
    experience,
    userGroupId,
    //
    achievementsCount,
    followsCount,
    fansCount,
    praisesCount,
    //
    steamAccount,
    playStationAccount,
    xBoxAccount)
{
    if (userId_userInfo == null
        && typeof (userName) != "undefined")
    { 
        userId_userInfo = "";
    }

    switch (typeof (userId_userInfo))
    {
        case "number":
        case "string":
            {
                var userId = userId_userInfo;

                this.userId = userId;
                this.userName = userName;
                this.userHeadImageURL = userHeadImageURL;
                this.userAuthentication = userAuthentication;
                this.level = level;
                this.experience = experience;
                this.userGroupId = userGroupId;

                this.achievementsCount = achievementsCount;
                this.followsCount = followsCount;
                this.fansCount = fansCount;
                this.praisesCount = praisesCount;

                this.steamAccount = steamAccount;
                this.playStationAccount = playStationAccount;
                this.xBoxAccount = xBoxAccount;
            } break;
        case "object":
            {
                var userInfo = userId_userInfo;

                this.userId = userInfo.userId;
                this.userName = userInfo.userName;
                this.userHeadImageURL = userInfo.userHeadImageURL;
                this.userAuthentication = userInfo.userAuthentication;
                this.level = userInfo.level;
                this.experience = userInfo.experience;
                this.userGroupId = userInfo.userGroupId;

                this.achievementsCount = userInfo.achievementsCount;
                this.followsCount = userInfo.followsCount;
                this.fansCount = userInfo.fansCount;
                this.praisesCount = userInfo.praisesCount;

                this.steamAccount = userInfo.steamAccount;
                this.playStationAccount = userInfo.playStationAccount;
                this.xBoxAccount = userInfo.xBoxAccount;
            } break;
    }
}