////////////////////////////////////////////////
/*基础函数*/
////////////////////////////////////////////////
String.prototype.replaceAll = function (key, value)
{
    var regExp = new RegExp(key, "gm"); //g,全局;m,多次;i,大小写不敏感
    return this.replace(regExp, value);
};
String.prototype.replaceReturn = function ()
{
    return this.replace(/(\r\n)|(\n)/g, '<br>');
};
String.prototype.indexOfWithIgnorecase = function (key)
{
    var regExp = eval("/" + key + "/i");
    var result = this.match(regExp);
    if (result != null)
    {
        return result.index;
    }
    return -1;
};
String.prototype.isBeginWith = function (prefix)
{
    try
    {
        if (this.indexOf(prefix) == 0)
        {
            return true;
        }
    } catch (error)
    {
        console.log(error.toString());
    }
    return false;
};
String.prototype.intNumberDigits = function ()
{
    var dotIndex = this.indexOf(".");
    if (dotIndex < 0)
    {
        return this.length;
    }
    return dotIndex;
};
String.prototype.decimalNumberDigits = function ()
{
    var dotIndex = this.indexOf(".");
    if (dotIndex < 0)
    {
        return 0;
    }
    return this.length - (dotIndex + 1);
};
String.prototype.complementZeroToIntNumberDigits = function (intNumberDigits)
{
    var newString = this;
    while (newString.intNumberDigits() < intNumberDigits)
    {
        newString = "0" + newString;
    }
    return newString;
};
String.prototype.complementZeroToDecimalNumberDigits = function (decimalNumberDigits)
{
    var newString = this;
    while (newString.decimalNumberDigits() < intNumberDigits)
    {
        newString = newString + "0";
    }
    return newString;
};
String.prototype.toSafeContent = function ()
{
    // 删除所有HTML标签：
    var safeContent = this.replace(/<[^<>]+?>/g, '');
    // 普通字符转换成转意符：
    safeContent = safeContent.replace(/[<>&"]/g, function (c)
    {
        return {
            '<': '&lt;',
            '>': '&gt;',
            '&': '&amp;',
            '"': '&quot;'
        }[c];
    });
    // 回车符号转“<br/>”：
    safeContent = safeContent.replaceReturn();

    return safeContent;
};
Array.prototype.firstElement = function ()
{
    if (this.length > 0)
    {
        return this[0];
    }
    return null;
};
Array.prototype.lastElement = function ()
{
    if (this.length > 0)
    {
        return this[this.length - 1];
    }
    return null;
};
Array.prototype.remove = function (val)
{
    var index = this.indexOf(val);
    if (index > -1)
    {
        this.splice(index, 1);
    }
};

// function insertAfter(newelement,targetelement) {
//     var parentelement = targetelement.parentNode;
//     if (parentelement.lastChild == targetelement) {
//         parentelement.appendChild(newelement);
//     }
//     else {
//         parentelement.insertBefore(newelement,targetelement.nextSilbing);
//     }
// }


var GSLineAnimation = function (
    animationDuration,
    animationCurve,
    didAnimationFrame)
{
    this.beginValue = 0;
    this.endValue = 1;
    this.animationDuration = animationDuration;
    this.beginVelocity = 0;
    this.acceleration = (1 * 2) / Math.pow(animationDuration, 2);
    switch (animationCurve)
    {
        default:
        case "easeOut": {
            this.beginVelocity = this.acceleration * animationDuration;
            this.acceleration = this.acceleration * -1;
        }
            break;
        case "easeIn": {
            this.beginVelocity = 0;
        }
            break;
    }
    this.didAnimationFrame = didAnimationFrame;
    this.animationBeginTime = 0;
    this.animationTimer = null;

    this.getAnimationProgressAtNow = function ()
    {
        if (this.animationBeginTime <= 0)
        {
            return 0;
        }

        var animationTime = (new Date().getTime() - this.animationBeginTime) / 1000;
        if (animationTime >= this.animationDuration)
        {
            animationTime = this.animationDuration;
        }
        var progress = this.beginVelocity * animationTime + this.acceleration * Math.pow(animationTime, 2) / 2;
        if ((progress - 0.0001) <= this.beginValue)
        {
            progress = this.beginValue;
        } else if ((progress + 0.0001) >= this.endValue)
        {
            progress = this.endValue;
        }
        return progress;
    }

    this.startAnimation = function ()
    {
        if (this.didAnimationFrame == null)
        {
            return;
        }

        this.animationBeginTime = new Date().getTime();
        var lineAnimation = this;
        lineAnimation.animationTimer = setInterval(function ()
        {
            var animationProgress = lineAnimation.getAnimationProgressAtNow();
            if (lineAnimation.didAnimationFrame)
            {
                lineAnimation.didAnimationFrame(animationProgress);
            }
            if (animationProgress >= 1)
            {
                clearInterval(lineAnimation.animationTimer);
                lineAnimation.animationTimer = null;
            }
        },
            5);
    }

    this.stopAnimation = function ()
    {
        if (this.animationTimer)
        {
            clearInterval(this.animationTimer);
            this.animationTimer = null;
        }
    }
}

////////////////////////////////////////////////
/*模板函数*/
////////////////////////////////////////////////
var _kGSOSBuffer = 0; // 0 未知, 1 iOS, 2 Android
var _kGSAppVersionNumberCode = parseInt(kAppVersion.replaceAll("\\.", ""));
var _kGSIsNightColorModeBuffer = typeof (kDefaultPageColorMode) != "undefined" && kDefaultPageColorMode == "night";
var _kGSIsNullImageModeBuffer = typeof (kDefaultNullImageMode) != "undefined" && kDefaultNullImageMode == "yes";

function gsIsCurrentOSIOS()
{
    if (_kGSOSBuffer == 1)
    {
        return true;
    } else if (_kGSOSBuffer == 0)
    {
        if (typeof (kOS) != "undefined")
        {
            if (kOS == "android")
            {
                _kGSOSBuffer = 2;
            } else if (kOS == "ios")
            {
                _kGSOSBuffer = 1;
                return true;
            }
        }
        return false;
    }
    return false;
}

function gsIsCurrentOSAndroid()
{
    if (_kGSOSBuffer == 2)
    {
        return true;
    }
    else if (_kGSOSBuffer == 0)
    {
        if (typeof (kOS) != "undefined")
        {
            if (kOS == "android")
            {
                _kGSOSBuffer = 2;
                return true;
            }
            else if (kOS == "ios")
            {
                _kGSOSBuffer = 1;
            }
        }
        return false;
    }
    return false;
}

// 返回值为对象{valid:true/false, imgTag:Img标签 imgHDURL:"图片高清地址"}
function gsCheckTheURL(url, superATag)
{
    var result = new Object(); {
        result.valid = false;
        result.imgTag = null;
        result.imgHDURL = "";
    }

    if (url != null &&
        typeof (url) != "undefined" &&
        url.length > 0)
    {
        result.valid = true;

        if (superATag != null)
        {
            var aTagChildNodes = superATag.childNodes;
            if (aTagChildNodes != null &&
                aTagChildNodes.length > 0)
            {
                for (aTagChildNodeIndex = aTagChildNodes.length - 1; aTagChildNodeIndex > -1; aTagChildNodeIndex--)
                {
                    var aTagChildNode = aTagChildNodes[aTagChildNodeIndex];
                    if (aTagChildNode.nodeType == 1 &&
                        aTagChildNode.tagName == "IMG")
                    {
                        result.valid = false;
                        result.imgTag = aTagChildNode;
                        var urlExfileName = url.substring(url.length - 4, url.length);
                        if (urlExfileName == ".jpg" ||
                            urlExfileName == ".gif" ||
                            urlExfileName == "jpeg" ||
                            urlExfileName == ".png" ||
                            urlExfileName == ".bmp")
                        {
                            var urlSections = url.split("?");
                            if (urlSections != null &&
                                urlSections.length > 1)
                            {
                                result.imgHDURL = urlSections[1];
                            }
                        }
                        break;
                    }
                }
            }
        }
    }
    return result;
}

function gsSetElementClass(element, classNameNeedRemoved, classNameNeedAdded)
{
    if (element == null)
    {
        return;
    }

    if (classNameNeedAdded == null ||
        classNameNeedAdded.length < 1)
    {
        if (classNameNeedRemoved != null &&
            classNameNeedRemoved.length > 0 &&
            element.className != null &&
            element.className.length > 0)
        {
            element.className = element.className.replaceAll(classNameNeedRemoved, "").trim();
        }
    } else if (element.className == null ||
        element.className.length < 1)
    {
        element.className = classNameNeedAdded;
    } else if (classNameNeedRemoved != null &&
        classNameNeedRemoved.length > 0 &&
        element.className.indexOf(classNameNeedRemoved) != -1)
    {
        element.className = element.className.replaceAll(classNameNeedRemoved, classNameNeedAdded);
    } else if (element.className.indexOf(classNameNeedAdded) == -1)
    {
        element.className = element.className.trim() +
            " " + classNameNeedAdded;
    }
}

function gsAddElementClass(element, className)
{
    gsSetElementClass(element, null, className);
}

function gsRemoveElementClass(element, className)
{
    gsSetElementClass(element, className, null);
}

function gsIsElementClass(element, className)
{
    if (element == null ||
        element.nodeType != 1 ||
        element.className == null ||
        className == null)
    {
        return false;
    }
    return element.className.match(new RegExp('(\\s|^)' + className + '(\\s|$)'));
}

function gsGetInstanceElementDataId(element, prefix)
{
    var elementDataId = "";
    try
    {
        prefix += "_";
        var elementId = element.getAttribute("id");
        if (elementId.isBeginWith(prefix))
        {
            elementDataId = elementId.substring(prefix.length).trim();
        }
    } catch (error)
    {
        console.log(error.toString());
    }
    return elementDataId;
}

function gsGetSuperElementWithTagOf(obj, tagName)
{
    if (obj != null)
    {
        if (tagName == null ||
            tagName.length < 1)
        {
            return obj.parentNode;
        }

        for (var parentNode = obj.parentNode; parentNode != null; parentNode = parentNode.parentNode)
        {
            if (parentNode.tagName == tagName)
            {
                return parentNode;
            }
        }
    }
    return null;
}

function gsGetSuperElementWithClassOf(obj, className)
{
    if (obj != null)
    {
        if (className == null ||
            className.length < 1)
        {
            return obj.parentNode;
        }
        if (gsIsElementClass(obj, className))
        {
            return obj;
        }

        for (var parentNode = obj.parentNode; parentNode != null; parentNode = parentNode.parentNode)
        {
            if (gsIsElementClass(parentNode, className))
            {
                return parentNode;
            }
        }
    }
    return null;
}

function gsGetSuperElementUnderBodyOf(obj)
{
    if (obj != null)
    {
        var lastParentNode = obj;
        for (var parentNode = obj.parentNode; parentNode != null; parentNode = parentNode.parentNode)
        {
            if (parentNode.tagName == "BODY")
            {
                return lastParentNode;
            }
            lastParentNode = parentNode;
        }
    }
    return null;
}

function gsGetLastElementWithClass(className)
{
    var elements = document.getElementsByClassName(className);
    if (elements &&
        elements.length > 0)
    {
        return elements[elements.length - 1];
    }
    return null;
}

function gsGetPrevElementWithClassBeforeElement(element, className)
{
    for (var prevElement = element.previousSibling; prevElement != null; prevElement = element.previousSibling)
    {
        if (gsIsElementClass(prevElement, className))
        {
            return prevElement;
        }
    }
    return null;
}

function gsRemoveElementsWithClassName(className)
{
    var elements = document.getElementsByClassName(className);
    if (elements)
    {
        for (var i = elements.length - 1; i > -1; i--)
        {
            var element = elements[i];
            element.parentNode.removeChild(element);
        }
    }
}

// 由于网页元素情况极为复杂
// 所以这里指针对游民内容进行判断
function gsIsObjectsContinuous(fromObj, toObj)
{
    if (fromObj == null ||
        toObj == null)
    {
        return false;
    }

    // 1. 新闻内连续图片,例: 高清视频截图
    var fromParentPTag = gsGetSuperElementWithTagOf(fromObj, "P");
    var toParentPTag = gsGetSuperElementWithTagOf(toObj, "P");
    if (fromParentPTag == null ||
        toParentPTag == null)
    {
        return false;
    }

    var objectsContinuous = true;
    for (var parentNextSibling = fromParentPTag.nextSibling; parentNextSibling != null && parentNextSibling != toParentPTag; parentNextSibling = parentNextSibling.nextSibling)
    {
        if (parentNextSibling.clientHeight > 0)
        {
            if (parentNextSibling.childNodes == null ||
                parentNextSibling.childNodes.length < 1)
            {
                var finalText = parentNextSibling.innerText;
                if (finalText != null)
                {
                    finalText = finalText.trim()
                }

                if (finalText != null &&
                    finalText.length > 0)
                {
                    objectsContinuous = false;
                    break;
                }
            } else
            {
                objectsContinuous = false;
                break;
            }
        }
    }

    return objectsContinuous;
}

function gsPostToURL(url, type, postData, useAPIHeader, callbackFuncationName)
{
    if (url == null ||
        url.length < 1)
    {
        return;
    }

    if (postData == null)
    {
        postData = "";
    } else if (postData.length > 0)
    {
        postData = postData.replaceAll("\"", "\\\"");
    }

    if (useAPIHeader == null ||
        typeof (useAPIHeader) == "undefined" ||
        !useAPIHeader)
    {
        useAPIHeader = "false";
    } else
    {
        useAPIHeader = "true";
    }

    if (callbackFuncationName == null ||
        typeof (callbackFuncationName) == "undefined")
    {
        callbackFuncationName = "";
    }

    var msg = "GSApp://post.app?{" +
        "\"url\":\"" + url + "\", " +
        "\"type\":\"" + type + "\"," +
        "\"data\":\"" + postData + "\"," +
        "\"useAPIHeader\":" + useAPIHeader + ", " +
        "\"callback\":\"" + callbackFuncationName + "\"}";
    GSApp.sendMessage(msg);
}

function gsAddTouchListenerToObject(obj, clickFunction)
{
    if (obj == null ||
        obj == undefined ||
        obj.addEventListener == undefined)
    {
        return false;
    }

    if (obj.getAttribute("touchEnable"))
    {
        return false;
    }
    obj.setAttribute("touchEnable", "true");

    obj.addEventListener("touchstart", function (event)
    {
        gsSetElementClass(this, "", "Touching");
    }, false);
    obj.addEventListener("touchmove", function (event)
    {
        gsSetElementClass(this, "Touching", "");
    }, false);

    obj.addEventListener("touchmove", function (event)
    {
        gsSetElementClass(this, "Touching", "");
    }, true);
    obj.addEventListener("touchend", function (event)
    {
        gsSetElementClass(this, "Touching", "");
    }, false);

    obj.addEventListener("touchend", function (event)
    {
        gsSetElementClass(this, "Touching", "");
    }, true);

    obj.addEventListener("touchcancel", function (event)
    {
        gsSetElementClass(this, "Touching", "");
    }, false);
    obj.addEventListener("touchcancel", function (event)
    {
        gsSetElementClass(this, "Touching", "");
    }, true);
    if (clickFunction != null &&
        typeof (clickFunction) != undefined)
    {
        obj.addEventListener("click", clickFunction);
    }

    return true;
}

function gsAddClickListenerToObject(obj, clickFunction)
{
    if (obj == null ||
        obj == undefined ||
        obj.addEventListener == undefined)
    {
        return;
    }
    if (clickFunction != null &&
        typeof (clickFunction) != undefined)
    {
        obj.addEventListener("click", clickFunction);
    }
}

function gsIsElementInFocusShowing(obj)
{
    if (obj.offsetTop + obj.offsetHeight < window.scrollY + window.innerHeight &&
        obj.offsetTop + obj.offsetHeight + window.innerHeight > window.scrollY + window.innerHeight + obj.offsetHeight)
    {
        return true;
    }
    return false;
}

////////////////////////////////////////////////
// @GSApp
////////////////////////////////////////////////
var GSApp = function () { };
GSApp.hadDocumentReady = false;
GSApp.autoLoadImageAtPageLoaded = true;

GSApp.imageBoxCSSClass = "GSApp_ImageBox";

// 图集开关：
GSApp.imageSetDisable = true;
if (typeof (kNotUseImgSet) != "undefined" &&
    kNotUseImgSet == true)
{
    GSApp.imageSetDisable = true;
}
GSApp.imageSetMinImagesCount = 3;
// 相关推荐参数：
GSApp.relatedContentCount = 3;
if (kContentType == "gongLue" &&
    _kGSAppVersionNumberCode >= 472)
{
    GSApp.relatedContentCount = 11;
}
GSApp.getDisplayArea = function ()
{
    var kGSValidBoundsExtendRate_Up = 1.0;
    var kGSValidBoundsExtendRate_Down = 3.0;
    var viewArea = new function () { }; {
        viewArea.left = window.scrollX;
        viewArea.right = window.scrollX + window.innerWidth;
        viewArea.top = window.scrollY - window.innerHeight * kGSValidBoundsExtendRate_Up;
        viewArea.bottom = window.scrollY + window.innerHeight * (1.0 + kGSValidBoundsExtendRate_Down);

        //viewArea.top = window.scrollY-window.innerHeight/10.0;
        //viewArea.bottom =  window.scrollY+window.innerHeight*10.0;

        viewArea.width = viewArea.right - viewArea.left;
        viewArea.height = viewArea.bottom - viewArea.top;
    }
    return viewArea;
};
GSApp.getElementPostionX = function (element)
{
    return GSApp.getElementPosition(element).x;
}
GSApp.getElementPositionY = function (element)
{
    return GSApp.getElementPosition(element).y;
}
GSApp.getElementPosition = function (element)
{
    if (element == null)
    {
        return;
    }
    var position = {
        "top": 0,
        "left": 0
    };
    if (element.offsetParent)
    {
        while (element.offsetParent)
        {
            position.top += element.offsetTop;
            position.left += element.offsetLeft;
            element
                = element.offsetParent;
        }
    } else if (element.x)
    {
        position.left += element.x;
    } else if (element.x)
    {
        position.top += element.y;
    }
    return {
        x: position.left,
        y: position.top
    };
}

// 列表场景（如新闻节点页，相关推荐区块等）
// 时间段			规则                                  示例
// 当日(0点后)		显示24小时制时间		17: 38
// 当日前（0点前）	显示昨日 + 24小时制时间	昨日09: 12
// 大于一天前		显示日期				10月14日
// 注意：
// 月日的数字，不需要补零，如：9月1日
// 时间的数字，需要补零，如：08: 01
GSApp.captionOfTimeInList = function (timeInterval)
{
    if (!timeInterval ||
        isNaN(timeInterval))
    {
        return "";
    }

    timeInterval
        = Number(timeInterval);

    if (timeInterval < 1000000000000)
    {
        timeInterval *= 1000;
    }

    var kSecond = 1000;
    var kMinute = 1000 * 60;
    var kHour = kMinute * 60;
    var kDay = kHour * 24;

    var now = new Date();
    var timeIntervalOfNow = now.getTime();
    var time = new Date(timeInterval);
    var timeIntervalOfTodayZero = timeIntervalOfNow -
        now.getMilliseconds() -
        kSecond * now.getSeconds() -
        kMinute * now.getMinutes() -
        kHour * now.getHours();
    var timeIntervalOfYesterday = timeIntervalOfTodayZero -
        kDay;
    // 当日(0点后)		显示24小时制时间		17: 38
    if (timeInterval >= timeIntervalOfTodayZero)
    {
        var hourCaption = time.getHours().toString().complementZeroToIntNumberDigits(2);
        var minuteCaption = time.getMinutes().toString().complementZeroToIntNumberDigits(2);

        return hourCaption + ":" + minuteCaption;
    }
    // 当日前（0点前）	显示昨日 + 24小时制时间	昨日09: 12
    else if (timeInterval >= timeIntervalOfTodayZero)
    {
        var hourCaption = time.getHours().toString().complementZeroToIntNumberDigits(2);
        var minuteCaption = time.getMinutes().toString().complementZeroToIntNumberDigits(2);

        return "昨日" + hourCaption + ":" + minuteCaption;
    }
    // 大于一天前		显示日期				10月14日
    else
    {
        var monthCaption = (time.getMonth() + 1).toString(); //.complementZeroToIntNumberDigits(2);
        var dayCaption = time.getDate().toString(); //.complementZeroToIntNumberDigits(2);

        return monthCaption + "月" + dayCaption + "日";
    }
};

// 列表场景（如新闻节点页，相关推荐区块等）
// 时间段      规则                      示例
// 全部时间    显示发布时间的年月日时分。  2018-08-19 19:34
GSApp.captionOfTimeInContent = function (timeInterval)
{
    if (!timeInterval ||
        isNaN(timeInterval))
    {
        return "";
    }

    if (timeInterval < 1000000000000)
    {
        timeInterval *= 1000;
    }

    var time = new Date(timeInterval);
    return time.getFullYear() +
        "-" + (time.getMonth() + 1) +
        "-" + time.getDate() +
        " " +
        time.getHours().toString().complementZeroToIntNumberDigits(2) +
        ":" +
        time.getMinutes().toString().complementZeroToIntNumberDigits(2);
};

GSApp.setPageOption = function (param)
{
    try
    {
        var htmlTag = document.getElementsByTagName("html")[0];
        // 日夜间模式：
        if (param.uiMode == "night")
        {
            gsSetElementClass(htmlTag, "PageColorMode_Day", "PageColorMode_Night");
            if (typeof (kDefaultPageColorMode) != "undefined")
            {
                kDefaultPageColorMode = "night";
                _kGSIsNightColorModeBuffer = true;
            }
        } else
        {
            gsSetElementClass(htmlTag, "PageColorMode_Night", "PageColorMode_Day");
            if (typeof (kDefaultPageColorMode) != "undefined")
            {
                kDefaultPageColorMode = "day";
                _kGSIsNightColorModeBuffer = false;
            }
        }
        // 字体大小：
        if (param.fontSize == "big")
        {
            gsRemoveElementClass(htmlTag, "PageFontSize_Min");
            gsRemoveElementClass(htmlTag, "PageFontSize_Middle");
            gsAddElementClass(htmlTag, "PageFontSize_Max");
        } else if (param.fontSize == "small")
        {
            gsRemoveElementClass(htmlTag, "PageFontSize_Max");
            gsRemoveElementClass(htmlTag, "PageFontSize_Middle");
            gsAddElementClass(htmlTag, "PageFontSize_Min");
        } else
        {
            gsRemoveElementClass(htmlTag, "PageFontSize_Min");
            gsRemoveElementClass(htmlTag, "PageFontSize_Max");
            gsAddElementClass(htmlTag, "PageFontSize_Middle");
        }
    } catch (error)
    {
        console.log(error);
    }
};

GSApp.setPageOption({
    "uiMode": kDefaultPageColorMode,
    "fontSize": kDefaultPageFontSize
});
GSApp.sendMessage = function (msg)
{
    if (!msg ||
        msg.length < 1)
    {
        return;
    }

    msg = msg.replaceAll("\r", "\\r").replaceAll("\n", "\\n");

    try
    {
        var aTag = document.createElement("A");
        aTag.href = msg;
        aTag.click();
    } catch (error)
    {
        if (gsIsCurrentOSAndroid())
        {
            location.href = msg;
        }
    }
};

function gsOpenTheArticelWithURL(url)
{
    GSApp.openURL(url);
};

GSApp.openURL = function (url)
{
    try
    {
        if (url.length < 1)
        {
            return;
        }
        //
        var msg = "GSApp://open.app?{\"contentType\":\"url\", \"content\":\"" + encodeURI(url) + "\", \"adId\":\"0\"}";
        GSApp.sendMessage(msg);
    } catch (error)
    {
        console.log(error);
    }
};

GSApp.openUser = function (userId, isThirdPlatformBounding)
{
    try
    {
        if (parseInt(userId) < 1
            ||userId == null
            ||userId.length == 0
            ||userId == undefined)
        {
            return;
        }

        var appMsg = "GSApp://open.app?{" +
            "\"contentType\":\"yongHu\"" +
            ", \"content\":\"" + userId + "\"" +
            ", \"isThirdPlatformBounding\":\"" + ((isThirdPlatformBounding != null && isThirdPlatformBounding != undefined) ? isThirdPlatformBounding : "false") + "\"" +
            ", \"adId\":\"0\"}";
        GSApp.sendMessage(appMsg);
    } catch (error)
    {
        console.log(error);
    }
};

GSApp.openReport = function ()
{
    try
    {
        var appMsg = "GSApp://open.app?{" +
            "\"contentType\":\"fanKui\"" +
            ", \"content\":\"\"" +
            ", \"adId\":\"0\"}";
        GSApp.sendMessage(appMsg);
    } catch (error)
    {
        console.log(error);
    }
};

GSApp.goToShowComments = function ()
{
    try
    {
        var commentsTitleBar = document.getElementById("titleBar_hotComments");
        if (commentsTitleBar == null)
        {
            commentsTitleBar
                = document.getElementById("titleBar_normalComments");
        }
        if (commentsTitleBar)
        {
            var bodyScrollTop = commentsTitleBar.offsetTop;
            if (kContentType == "shiPin")
            {
                bodyScrollTop
                    -= document.getElementById("gsApp_Title")
                        .offsetTop;
            }
            document.body.scrollTop = bodyScrollTop;
        }
    } catch (error)
    {
        console.log(error);
    }
};

//根据规则返回相应的友盟统计Key
GSApp.getUMengStatisticsKey = function (contentType, contentOriginURL)
{
    if (contentType == null ||
        contentOriginURL == null)
    {
        return null;
    }

    if (contentType == "gongLue")
    {
        if (contentOriginURL.indexOf("://ol.gamersky.com/gl") != -1)
        {
            //网游攻略统计
            return "strategy_0003";
        } else if (contentOriginURL.indexOf("://www.gamersky.com/handbook/") != -1)
        {
            //单机攻略统计
            return "strategy_0001";
        }
        //		else if (contentOriginURL.indexOf("://shouyou.gamersky.com/gl/") != -1
        //			|| contentOriginURL.indexOf("://www.gamersky.com/handbooksy/") != -1)
        //		{
        //			//手游攻略统计
        //			return "strategy_0002";
        //		}
    }
    return null;
}

GSApp.reportUMengStatistics = function (key)
{
    try
    {
        if (key.length < 1)
        {
            return;
        }

        // var msg = "GSApp://open.app?{\"contentType\":\"uMeng\", \"content\":\"" + key + "\", \"adId\":\"0\"}";
        var msg = "";
        if (gsIsCurrentOSAndroid())
        {
            msg = "GSApp://event.umeng.statistics.app?{\"event\": \"" + key + "\"}"
        } else
        {
            msg = "GSApp://event.umeng.statics.app?{\"event\": \"" + key + "\"}"
        }
        GSApp.sendMessage(msg);
    } catch (error)
    {
        console.log(error);
    }
}

GSApp.getImagePureNameId = function (imageSrcURL)
{
    if (!imageSrcURL ||
        imageSrcURL.length == 0)
    {
        return;
    }
    var imagePureName = "";
    var imageNameSec = imageSrcURL.split("/");
    if (imageNameSec ||
        imageNameSec.length > 0)
    {
        imagePureName
            = imageNameSec[imageNameSec.length - 1];

        imageNameSec
            = imagePureName.split(".");

        if (imageNameSec &&
            imageNameSec.length > 0)
        {
            imagePureName
                = imageNameSec[0];

            return imagePureName;
        }
    }
}

/*
图片加载流程:
1.遇到img标签,只加载出来一张占位图.该div的id为ImgPlaceHolder_xxx xxx为图片的index值.
2.加载完模块的html之后,开始获取图片.图片下载完成回调加载之后,图片的div的class改为ImageBox,id为Image_xxx xxx为图片的index值.
3.传入和传出,保持现有的策略
*/


// 全局图片索引值：
GSApp.kImageIndex = 0;

// 加载"当前"元素的所有图片信息
var mainBodyWidth;

GSApp.checkImageElementHref = function (element)
{
    ///处理a标签
    //有元素本身的时候直接处理元素本身,没有直接全局处理
    var aTags;
    if (element)
    {
        aTags
            = element.getElementsByTagName("a");
    } else
    {
        aTags
            = GSApp_MainBody.getElementsByTagName("a");
    }

    try
    {
        if (aTags != null &&
            aTags.length > 0)
        {
            for (var aTagIndex = aTags.length - 1; aTagIndex > -1; aTagIndex--)
            {
                var aTag = aTags[aTagIndex];
                if (!gsIsElementClass(aTag,
                    "GSAppButton"))
                {
                    var aTagHref = aTag.getAttribute("href");
                    var urlCheckResult = gsCheckTheURL(aTagHref, aTag);
                    if (urlCheckResult.imgTag != null)
                    {
                        if (urlCheckResult.imgHDURL != null)
                        {
                            urlCheckResult.imgTag.setAttribute("hdImageURL", urlCheckResult.imgHDURL);
                        }

                        //
                        try
                        {
                            var imageOriginSize = aTag.getAttribute("data-size");
                            if (imageOriginSize &&
                                imageOriginSize.length > 0)
                            {
                                var imageOriginSizeInfes = imageOriginSize.split("x");
                                var imageOriginSizeWidth = imageOriginSizeInfes[0];
                                var imageOriginSizeHeight = imageOriginSizeInfes[1];
                                urlCheckResult.imgTag.setAttribute(
                                    "original-image-width",
                                    imageOriginSizeWidth);
                                urlCheckResult.imgTag.setAttribute(
                                    "original-image-height",
                                    imageOriginSizeHeight);
                            }
                        } catch (error)
                        {
                            console.log(error.toString());
                        }
                    }

                    if (urlCheckResult.valid == false &&
                        aTag.parentNode != null)
                    {
                        var aTagParentNode = aTag.parentNode;
                        var aTagChildNodes = aTag.childNodes;

                        if (aTag.textContent != "查看作者更多文章" &&
                            aTagChildNodes != null &&
                            aTagChildNodes.length > 0)
                        {
                            while (aTagChildNodes.length > 0)
                            {
                                var aTagChildNode = aTagChildNodes[0];
                                aTagParentNode.insertBefore(aTagChildNode, aTag);
                            }
                        }
                        aTagParentNode.removeChild(aTag);
                    }
                }
            }
        }
    } catch (error)
    {
        console.log(error.toString());
    }
}


GSApp.loadImages = function (element)
{
    // 1.添加占位图
    // 2.下载图片
    // 3.根据图片元素的id往里加本地图片

    mainBodyWidth
        = GSApp_MainBody.getContentAreaWidth();

    // 处理元素里的a标签
    GSApp.checkImageElementHref(element);

    var originImages;

    if (element)
    {
        originImages
            = element.getElementsByTagName("img");
    } else
    {
        originImages
            = GSApp_MainBody.getElementsByTagName("img");
    }

    // 为图片元素设置 Box
    var imageBoxs = new Array();

    var nullImageMode = _kGSIsNullImageModeBuffer;

    //创建imageBox

    ///页码位置!!!决定数据的插入位置
    var directionPageIndex = kContentPageIndex;
    if (element &&
        element.childNodes &&
        element.childNodes.length > 0)
    {
        var articleElement = element.childNodes[0];

        if (articleElement.id &&
            articleElement.id.length > 0)
        {
            if (articleElement.id.indexOf("Article_Page_") != -1)
            {
                directionPageIndex
                    = articleElement.id.replace("Article_Page_", "");
            }
        }
    }

    for (var index = 0; index < originImages.length; index++)
    {
        const originImage = originImages[index];
        if (originImage.getAttribute("NonPic") != null)
        {
            var imageOriginSrc = originImage.getAttribute("originsrc");
            if (imageOriginSrc != null)
            {
                originImage.setAttribute("Src", imageOriginSrc);
                originImage.style.display = "inline-block";
                originImage.style.visibility = "visible";
            }
        } else if (!gsIsElementClass(originImage, "GSAppButton"))
        {
            var imageParentNode = originImage.parentNode;
            if (imageParentNode &&
                imageParentNode.className.isBeginWith(GSApp.imageBoxCSSClass) == false)
            {
                ///外层包裹GSApp_Image
                var imageBox = document.createElement("div"); {
                    //className
                    imageBox.className = GSApp.imageBoxCSSClass;
                    if (nullImageMode)
                    {
                        GSApp_Image.Box.updateBackgroundTypeOfBox(imageBox, "nullImageMode", null);
                    } else
                    {
                        GSApp_Image.Box.updateBackgroundTypeOfBox(imageBox, "progress", "0");
                    }
                    var imageBoxStyle = originImage.getAttribute("gsAppImageBoxStyle");
                    if (imageBoxStyle != null &&
                        imageBoxStyle.length > 0)
                    {
                        imageBox.style = imageBoxStyle;
                    }

                    var dataSize = originImage.getAttribute("data-size");
                    if (dataSize != null &&
                        dataSize != undefined)
                    {
                        imageBox.setAttribute("data-size", dataSize);
                    }

                    //!!!!! 创建image元素的最主要方法
                    var newImageNode = originImage.cloneNode(); {
                        newImageNode.setAttribute("gsImageId", "gsImage_" + GSApp.kImageIndex);
                        GSApp.kImageIndex++;
                        newImageNode.onload = GSApp_Image.didLoaded;
                        // !!!
                        ///根据所属元素模块的id(页码)判断数据添加方法
                        if (Number(directionPageIndex) < Number(kContentPageIndex))
                        {
                            GSApp_Image.images.splice(index, 0, newImageNode);
                        } else
                        {
                            GSApp_Image.images.push(newImageNode);
                        }
                        // !!!
                    }
                    imageBox.appendChild(newImageNode);
                    // !!!
                    newImageNode.style.display = "inline";
                    var newImgSrc = GSApp_Image.getSrcOfImg(newImageNode);
                    if (newImgSrc == null ||
                        newImgSrc.length < 1 ||
                        nullImageMode)
                    {
                        //如果本地没有图片缓存,只加载占位图
                        newImageNode.style.visibility = "hidden";
                        imageBox.className = "GSApp_ImageBox PlaceHolder";
                    } else
                    {
                        //展示
                        newImageNode.style.visibility = "visible";
                        imageBox.className = GSApp.imageBoxCSSClass;
                    }

                    var imageBoxDataSize = imageBox.getAttribute("data-size");
                    if (imageBoxDataSize != null &&
                        imageBoxDataSize != undefined &&
                        imageBoxDataSize.length > 0)
                    {
                        imageBox.style.width = GSApp_Image.getImageSizeWithImageDataSize(imageBoxDataSize).width;

                        imageBox.style.height = GSApp_Image.getImageSizeWithImageDataSize(imageBoxDataSize).height;

                        imageBox.style.paddingBottom = "0";
                    }
                }
                var imageParentNode_P = gsGetSuperElementWithTagOf(originImage, "P");
                gsAddElementClass(imageParentNode_P, "GSApp_Image");
                imageParentNode.replaceChild(imageBox, originImage);

                if (Number(directionPageIndex) < Number(kContentPageIndex))
                {
                    imageBoxs.splice(index, 0, imageBox);
                } else
                {
                    imageBoxs.push(imageBox);
                }
            }
        }
    }
}

GSApp.loadVideo = function (element)
{
    //如果有视频内容就添加视频
    if (GSApp_Video.videoObjects != null &&
        GSApp_Video.videoObjects.length > 0)
    {
        var videoContentParams = "[";
        var videoOriginContentsCount = GSApp_Video.videoObjects.length;
        for (var videoContentIndex = 0; videoContentIndex < videoOriginContentsCount; videoContentIndex++)
        {
            var videoContent = GSApp_Video.videoObjects[videoContentIndex];
            var videoYouKuId = "";
            if (!videoContent.videoSrc ||
                videoContent.videoSrc.length < 1)
            {
                var videoId = videoContent.id ? encodeURI(videoContent.id) : "0";
                var videoOriginURL = videoContent.videoOriginURL ? encodeURI(videoContent.videoOriginURL) : "";
                videoYouKuId = videoContent.youkuVideoId ? encodeURI(videoContent.youkuVideoId) : "";
                if (videoYouKuId == null ||
                    videoYouKuId.length < 1)
                {
                    var videoContentParam = "{\"id\":\"" + videoId + "\"" +
                        ", \"videoOriginURL\":\"" + videoOriginURL + "\"" +
                        ", \"youkuVideoId\":\"" + videoYouKuId + "\"" +
                        "}";
                    if (videoContentParams.length > 1)
                    {
                        videoContentParams += ", "
                    }
                    videoContentParams += videoContentParam;
                }
            }

            if (videoYouKuId.length > 0)
            {
                GSApp_Video.getYouKuVideoThumbnail(videoYouKuId);
            }
            else if (videoContent.videoSrc.indexOf("bilibili.com") != -1)
            {
                GSApp_Video.getBilibiliVideoThumbnail(videoContent.id, videoContent.videoSrc);
            }
            else if (typeof (videoContent.videoOriginURL) == "string" &&
                videoContent.videoOriginURL.indexOf("bilibili.com") != -1)
            {
                GSApp_Video.getBilibiliVideoThumbnail(videoContent.id, videoContent.videoOriginURL);
            }
        }
        videoContentParams += "]";

        if (_kGSAppVersionNumberCode < 5230)
        {
            var msg = "GSApp://parse.video.app?{" +
                "\"parseTasks\":" + videoContentParams +
                ", \"callback\":\"GSApp_Video.didVideoParsed\"}";
            GSApp.sendMessage(msg);
        }
    } else
    {
        if (element != null &&
            element != undefined)
        {
            if (element.children != null &&
                element.children.length > 0)
            {
                var videoSourceNodes = new Array();
                for (var index = 0; index < element.children.length; index++)
                {
                    const cNode = element.children[index];
                    if (cNode.tagName == "SCRIPT")
                    {
                        if (cNode.innerText.indexOf("var kVideoSetInfo") != -1)
                        {
                            videoSourceNodes.push(cNode);
                        }
                    }
                }
                if (videoSourceNodes.length > 0)
                {
                    for (var index = 0; index < videoSourceNodes.length; index++)
                    {
                        const cNode = videoSourceNodes[index];
                        if (kVideoSetInfo != null &&
                            kVideoSetInfo != undefined)
                        {
                            var videoInfes = kVideoSetInfo.videoInfes;
                            if (videoInfes != null &&
                                videoInfes != undefined &&
                                videoInfes.length > 0)
                            {
                                var videoHTML = "";
                                var preNode = null;
                                for (var vIndex = 0; vIndex < videoInfes.length; vIndex++)
                                {
                                    const videoInfo = videoInfes[vIndex];

                                    var newP = document.createElement("p");
                                    var vVideoNode = document.createElement("div");
                                    newP.appendChild(vVideoNode);

                                    if (preNode == null)
                                    {
                                        preNode = cNode;
                                    }
                                    var parentelement = preNode.parentNode;
                                    if (parentelement.lastChild == preNode)
                                    {
                                        parentelement.appendChild(newP);
                                    } else
                                    {
                                        parentelement.insertBefore(newP, preNode.nextElementSibling);
                                    }

                                    GSApp_Video.createVideoHTMLWithVideoInfo(videoInfo, vVideoNode);
                                    preNode = newP;
                                    if (vVideoNode.id.indexOf("gsVideo_") == -1)
                                    {
                                        vVideoNode.parentElement.removeChild(vVideoNode);
                                    }
                                }
                            }
                        }
                    }
                }
                GSApp.loadVideo();
            }
        }
    }
}

///注册滑动区域
GSApp.registScrollArea = function ()
{
    if (gsIsCurrentOSAndroid() != true &&
        kContentType != "gongLue")
    {
        return;
    }

    //每0.5s上报一次,重复三次
    setTimeout(
        function ()
        {

            var delayTime = 500; //延迟时间
            var loopTime = 3; //循环次数

            for (var index = 1; index <= loopTime; index++)
            {
                setTimeout(
                    function ()
                    {
                        GSApp.registerHorizontalScrollAreas();
                    },
                    delayTime * index);
            }
        },
        500);

}

GSApp.registerHorizontalScrollAreas = function ()
{
    // 攻略内容注册表格区域：
    if (gsIsCurrentOSAndroid() &&
        _kGSAppVersionNumberCode >= 500)
    {
        console.log("注册横向滑动区域。");

        var invalidScrollAreas = "";

        var horizontalScrollViews = document.getElementsByClassName("GSAppScrollView HorizontalScroll");
        if (horizontalScrollViews == null)
        {
            horizontalScrollViews = new Array();
        }
        var gsTableBoxs = GSApp_MainBody.getElementsByClassName("GSTableBox");
        if (gsTableBoxs != null)
        {
            for (var gsTableBoxIndex = gsTableBoxs.length - 1;
                gsTableBoxIndex > -1;
                gsTableBoxIndex--)
            {
                var gsTableBox = gsTableBoxs[gsTableBoxIndex];
                //
                horizontalScrollViews.push(gsTableBox);
                //
            }
        }
        try
        {
            for (var scrollViewIndex = horizontalScrollViews.length - 1;
                scrollViewIndex >= 0;
                scrollViewIndex--)
            {
                var scrollView = horizontalScrollViews[scrollViewIndex];
                var scrollViewFrame = "[" +
                    scrollView.offsetLeft + ", " +
                    scrollView.offsetTop + ", " +
                    scrollView.offsetWidth + ", " +
                    scrollView.offsetHeight +
                    "]"
                //
                if (invalidScrollAreas.length > 0)
                {
                    invalidScrollAreas += ", "
                }
                invalidScrollAreas += scrollViewFrame;
                //
            }
            if (invalidScrollAreas.length > 0)
            {
                var cmdToRegisterInvalidAreaGesture = "gsapp://invalidArea.gesture.app?{\"areas\": [" +
                    invalidScrollAreas +
                    "]}";
                // !!!
                GSApp.sendMessage(cmdToRegisterInvalidAreaGesture);
                // !!!

                console.log(cmdToRegisterInvalidAreaGesture);
            }
        }
        catch (error)
        {
            console.log(error);
        }
    }
}

// 兼容Apex数据库项目：
GSApp.load = function ()
{
    GSApp.didLoaded();
}

// 是否延迟设置版权信息：
var kIsDelayTo_SetCopyRight_Enable = true;
// 是否延迟报送内容统计：
var kIsDelayTo_ContentStatistics_Enable = true;
// 是否延迟创建操作条：
var kIsDelayTo_CreateOperateBar_Enable = true;
// 是否延迟加载相关内容：
var kIsDelayTo_LoadRelatedContent_Enable = true;
// 是否延迟加载广告：
var kIsDelayTo_LoadAd_Enable = true;
// 是否延迟加载评论信息：
var kIsDelayTo_LoadComments_Enable = true;

GSApp.didLoaded = function ()
{
    if (GSApp.hadDocumentReady)
    {
        return;
    }
    GSApp.hadDocumentReady = true;

    var mainBodyWidth = GSApp_MainBody.getContentAreaWidth();

    if (kContentType == "gongLue" &&
        kContentPageIndex > 1)
    {
        if (_kGSAppVersionNumberCode < 5340) 
        {
            ////为了避免出现顶部滑动错误的问题,增加一个一页高度的空白占位 !!!
            var clientPlaceHolder = document.createElement("div");
            clientPlaceHolder.setAttribute("class", "GSApp_ClientPlaceHolder");
            var heightPlace = window.screen.height + "px";
            clientPlaceHolder.setAttribute("style", "height: " + heightPlace + ";");
            document.body.appendChild(clientPlaceHolder);
            /////////

            var titleNode = document.getElementById("gsApp_Title");
            if (titleNode)
            {
                titleNode.style.visibility = "";
            }
            var subtitleNode = document.getElementById("gsApp_Subtitle");
            if (subtitleNode)
            {
                subtitleNode.style.visibility = "";
            }
            scrollOriginPositionY
                = window.scrollY;

            var newOffsetY = scrollOriginPositionY + GSApp_MainBody().offsetTop;
            window.scrollTo(0, newOffsetY);
        }
    }

    ////////////////////////////////////////////////
    // 1.移除P标签内容前后的空格：
    ////////////////////////////////////////////////
    if (kContentType != "gongLue")
    {
        var pTags = GSApp_MainBody.getElementsByTagName("p");
        try
        {
            for (var pTagIndex = pTags.length - 1; pTagIndex > -1; pTagIndex--)
            {
                var pTag = pTags[pTagIndex];
                //
                if (pTag.className &&
                    pTag.className.indexOf("GSApp_InvalidContent") >= 0)
                {
                    pTag.parentElement.removeChild(pTag);
                } else
                {
                    pTag.innerHTML = pTag.innerHTML.trim();
                }
            }
        } catch (error)
        {
            console.log(error);
        }
    }

    // 移除可能因接口问题导致的"NextPage"显示问题
    try
    {
        var mainNodes = GSApp_MainBody().children;
        if (mainNodes != null &&
            mainNodes.length != 0)
        {
            var mainNode = null
            for (var index = 0; index < mainNodes.length; index++)
            {
                const element = mainNodes[index];
                if (element.id.indexOf("Article_Page") != -1)
                {
                    mainNode = element;
                    break;
                }
            }

            if (mainNode != null)
            {
                var mainChilds = mainNode.childNodes;
                if (mainChilds != null &&
                    mainChilds.length > 0)
                {
                    for (var index = 0; index < mainChilds.length; index++)
                    {
                        const element = mainChilds[index];
                        if (element.nodeType == 3)
                        {
                            if (element.textContent.indexOf("[NextPage") != -1)
                            {
                                element.parentElement.removeChild(element);
                            }
                        }
                    }
                }
            }
        }
    } catch (error)
    {
        console.log(error);
    }

    var pTags = GSApp_MainBody.getElementsByTagName("p");
    try
    {
        for (var pTagIndex = pTags.length - 1; pTagIndex > -1; pTagIndex--)
        {
            var pTag = pTags[pTagIndex];
            ///移除可能因接口问题导致的"NextPage"显示问题
            if (pTag.innerText.indexOf("[NextPage") != -1)
            {
                pTag.parentElement.removeChild(pTag);
            }
        }
    } catch (error)
    {
        console.log(error);
    }

    ////////////////////////////////////////////////
    // 2. 加载所有图片,有视频的情况下加载视频
    ////////////////////////////////////////////////

    var defaultArticlePage = document.getElementById("Article_Page_Default");
    if (defaultArticlePage != null)
    {
        defaultArticlePage.setAttribute("id", "Article_Page_" + kContentPageIndex);
    }

    var currentNode = defaultArticlePage;

    GSApp.registScrollArea();

    GSApp.loadImages(currentNode);
    GSApp.loadVideo(currentNode);

    setTimeout(GSApp_Image.downloadImagesInDisplayArea, 100);

    ////////////////////////////////////////////////
    // 3.  响应锚点设置
    ////////////////////////////////////////////////
    if (kContentAnchor &&
        kContentAnchor == "comments")
    {
        GSApp_Comment.updateHolderSplitLineHeightAndScrollToComments();
    }

    ////////////////////////////////////////////////
    // 4. @应用上次阅读位置
    ////////////////////////////////////////////////
    if (typeof (kReadPosition) != "undefined" &&
        kReadPosition.y != 0)
    {
        window.scroll(0, kReadPosition.y);
    }

    ////////////////////////////////////////////////
    // 5. @加载默认内容
    ////////////////////////////////////////////////
    setTimeout(
        function ()
        {
            // 1/3，调用“页面已加载”的事件节点，多用于编辑手动添加的自动跳转内容。
            gsOnPageLoad();

            // 2/3，加载"第一屏"的资源。
            GSApp.didWindowScroll();

            // 3/3，加载相关推荐：
            {
                setTimeout(
                    function ()
                    {
                        // 延迟插入“圈子主题”的版权信息：
                        if (kIsDelayTo_SetCopyRight_Enable)
                        {
                            if (kContentType == "zhuTi.quanZi")
                            {
                                if (typeof (kSubjectId) != "undefined" &&
                                    kSubjectId != null &&
                                    kSubjectId.length > 0 &&
                                    typeof (kSubjectName) != "undefined" &&
                                    kSubjectName != null &&
                                    kSubjectName.length > 0)
                                {
                                    GSApp_MainBody.insertAdjacentHTML(
                                        "beforeEnd",
                                        "<p><div class=\"SubjectBar\" onclick=\"GSApp.openSubjectWithSubjectId(" + kSubjectId + ")\"><div class=\"Icon\"></div><div class=\"Name\">" + kSubjectName + "</div></div></p>");
                                }

                                if (typeof (kContentUpdateTime) != "undefined" &&
                                    kContentUpdateTime > kContentTime)
                                {
                                    GSApp_MainBody.insertAdjacentHTML(
                                        "beforeEnd",
                                        "<p class=\"ContentUpdateTime\">本贴于 " + GSApp.captionOfTimeInContent(kContentUpdateTime) + " 修改</p>");
                                }
                            }
                            // 延迟插入“原创文章”的版权信息：
                            else if (kContentType != "gongLue" &&
                                kContentSource &&
                                (kContentSource == "游民星空[原创]" ||
                                    kContentSource == "游民星空[编译]" ||
                                    kContentSource == "游民星空") &&
                                parseInt(kContentId) > 1070600)
                            {
                                GSApp_MainBody.insertAdjacentHTML(
                                    "beforeEnd",
                                    "<p><font class=\"Copyright\"><strong>本文由游民星空制作发布，未经允许禁止转载。</strong></font></p>");
                            }
                        }

                        // 延迟报送统计：
                        if (kIsDelayTo_ContentStatistics_Enable)
                        {
                            var imageTagForStatistics = document.getElementById("kImageForStatistics");
                            if (imageTagForStatistics)
                            {
                                var imageURLForStatistics;
                                if (kContentType == "zhuTi.quanZi")
                                {
                                    imageURLForStatistics
                                        = "https://click.gamersky.com/Common/GetClubTopicTotalHits.aspx?clubContentId=" +
                                        kContentId +
                                        "&source=App";
                                }
                                /* 新版App，CMS统计由原生UI进行报送 */
                                else
                                {
                                    imageURLForStatistics
                                        = "https://click.gamersky.com/Common/GetTotalHits.aspx?callback=jQuery18308540245077255995_1530596332763&id=" +
                                        kContentId +
                                        "&_=1530597604135";
                                }
                                imageTagForStatistics.src = imageURLForStatistics;
                            }

                            // 延迟报送友盟统计
                            try
                            {
                                if (typeof (kContentOriginURL) == "string")
                                {
                                    var uMengStatisticsKey = GSApp.getUMengStatisticsKey(kContentType, kContentOriginURL);
                                    if (uMengStatisticsKey != null)
                                    {
                                        GSApp.reportUMengStatistics(uMengStatisticsKey);
                                    }
                                }
                            }
                            catch (error)
                            {
                                console.log(error);
                            }
                        }

                        // 延迟加载的“iframe”内容：
                        GSApp_DelayIFrame.loadAllOriginSrcs();
                    },
                    200);

                setTimeout(
                    function ()
                    {
                        // 点赞操作条：
                        if (kIsDelayTo_CreateOperateBar_Enable)
                        {
                            GSApp_OperateBar.create();
                        }

                        // 页码控制器
                        if (kContentType == "gongLue") 
                        {
                            GSApp_PageControlBar.create();
                        }

                        // 插入, 所属圈子标题
                        GSApp.createClubTitleBar();

                        // 插入，推荐游戏条：
                        GSApp_GameBar.create();
                    },
                    200);

                setTimeout(
                    function ()
                    {
                        // 插入，评测卡片：
                        GSApp_GameEvaluationCard.create();

                        // 插入，引用区块：
                        GSApp_Referencecontent.create();
                    },
                    300);

                setTimeout(
                    function ()
                    {
                        // 插入，相关推荐：
                        if (kIsDelayTo_LoadRelatedContent_Enable)
                        {
                            GSApp_RelatedContent.create();
                        }
                    },
                    400);

                setTimeout(
                    function ()
                    {
                        // 插入，广告内容：
                        if (kIsDelayTo_LoadAd_Enable)
                        {
                            GSApp_Ad.create();
                        }

                        // 插入，评论信息：
                        if (kIsDelayTo_LoadComments_Enable)
                        {
                            GSApp_Comment.create("hotComments");
                            if (!GSApp_SplitLine("normalComments"))
                            {
                                GSApp_Comment.create("normalComments");
                            }
                        }

                        /////加载完全部内容之后,去掉一页高度的空白占位 !!
                        if (clientPlaceHolder != null &&
                            clientPlaceHolder != "undefined")
                        {
                            if (clientPlaceHolder.parentNode != null &&
                                clientPlaceHolder.parentNode != "undefined")
                            {
                                clientPlaceHolder.parentNode.removeChild(clientPlaceHolder);
                            }
                        }
                        /////
                    },
                    500);
            }
        },
        200);

    ////////////////////////////////////////////////
    // 6. 展示红包弹窗：
    ////////////////////////////////////////////////
    // !!!
    if (GSApp.isLotteryAvailable())
    {
        //更新抽奖限制
        GSApp.updateLotteryLimit();

        var head = document.getElementsByTagName('head')[0];
        var link = document.createElement('link');
        link.href = 'gsAppHTMLTemplate_css/gsLotteryPrompt.css';
        link.rel = 'stylesheet';
        link.type = 'text/css';
        head.appendChild(link);


        var lotteryViewHTML = "<div id='hongbao_shadow_view'><div id='honbao_container'><img id='close_view' src='gsAppHTMLTemplate_image/hongbao_close@3x.png'><span href=' ' id='not_promt_again' >不再参与</span><span href=' ' id='lottery_rule'>活动规则</span >	</div > <img id='open_hongbao' src='gsAppHTMLTemplate_image/hongbao_open_btn@3x.png' /></div > ";
        document.body.insertAdjacentHTML("beforeend", lotteryViewHTML);
        var open_hongbao = document.getElementById("open_hongbao");
        if (open_hongbao != null)
        {
            open_hongbao.onclick = function ()
            {

                if (_kGSAppVersionNumberCode < 5230)
                {
                    alert('请升级到最新版本');
                } else
                {
                    var msg = "GSApp://getUserInfo.user.app?{" +
                        "\"id\":\"dangQianYongHu\"" +
                        ", \"callback\":\"GSApp.didGetUserInfoForLottery\"}";

                    GSApp.sendMessage(msg);
                }

            };
        }

        var closeE = document.getElementById("close_view");
        if (closeE != null)
        {
            closeE.onclick = function ()
            {
                var lotteryView = document.getElementById("hongbao_shadow_view");

                lotteryView.parentElement.removeChild(lotteryView);
            }

        }

        var not_promt_againE = document.getElementById("not_promt_again");
        if (not_promt_againE != null)
        {
            not_promt_againE.onclick = function ()
            {
                var lotteryView = document.getElementById("hongbao_shadow_view");

                lotteryView.parentElement.removeChild(lotteryView);

                window.localStorage.setItem(GSApp.Lottery_Not_Prompt_Again, true);
            }
        }

        var lottery_ruleE = document.getElementById("lottery_rule");
        if (lottery_ruleE != null)
        {
            lottery_ruleE.onclick = function ()
            {
                var url = "https://app.gamersky.com/zt/oth/year2020/gsLotteryRule.html";

                var msg = "GSApp://open.app?{" +
                    "\"contentType\":\"url\"" +
                    ",\"content\":\"" + url + "\"}";

                GSApp.sendMessage(msg);
            }
        }
    }

    if (kContentType == "gongLue" &&
        _kGSAppVersionNumberCode >= 472
        && _kGSAppVersionNumberCode < 5340)
    {
        var changePageIndexMsg = "GSApp://change.currentPageIndex.app?{\"pageIndex\":" + "\"" + kContentPageIndex + "\"" + "}";
        GSApp.sendMessage(changePageIndexMsg);
    }
};
GSApp.Lottery_Count = "gsApp.lotteryView.lotteryCount";
GSApp.Lottery_Last_Time = "gsApp.lotteryView.lastLotteryTime";
GSApp.Lottery_Not_Prompt_Again = "gsApp.lotteryView.notPromptAgain";

GSApp.didGetUserInfoForLottery = function (userInfoResp)
{
    var userInfo = JSON.parse(decodeURIComponent(userInfoResp));

    if (userInfo && userInfo.id && userInfo.id != "0")
    {
        GSApp.goToLotteryPage(userInfo);
    } else
    {
        var msg = "GSApp://login.user.app?{" +
            "\"callback\":\"GSApp.didLoginCallbackForLottery\"}";

        GSApp.sendMessage(msg);
    }
}

GSApp.didLoginCallbackForLottery = function (userInfoResp)
{
    var userInfo = JSON.parse(decodeURIComponent(userInfoResp));

    if (userInfo && userInfo.id && userInfo.id != "0")
    {
        GSApp.goToLotteryPage(userInfo);
    }
}

GSApp.goToLotteryPage = function (userInfo)
{
    var lotteryView = document.getElementById("hongbao_shadow_view");
    if (lotteryView != null)
    {
        lotteryView.parentElement.removeChild(lotteryView);
    }

    setTimeout(function ()
    {
        //打开H5
        var url = "https://app.gamersky.com/zt/oth/year2020/gsLottery.html";

        var msg = "GSApp://open.app?{" +
            "\"contentType\":\"url\"" +
            ",\"content\":\"" + url + "\"}";

        GSApp.sendMessage(msg);
    });
}

GSApp.isLotteryInTime = function ()
{
    var currentDate = new Date();

    var startDate = new Date("2020/01/22 10:00:00");
    var endDate = new Date("2020/01/29 23:59:59");

    return (currentDate >= startDate && currentDate <= endDate);
}

GSApp.isLotteryAvailable = function ()
{
    try
    {
        if (kContentType == "shiPin" ||
            typeof (gsApp_PlayerWidth) != "undefined" ||
            typeof (GSApp_HeadVideo) != "undefined")
        {
            return false;
        }

        var lotteryNotPromptAgain = window.localStorage.getItem(GSApp.Lottery_Not_Prompt_Again);
        if (lotteryNotPromptAgain)
        {
            return false;
        }

        if (!GSApp.isLotteryInTime())
        {
            return false;
        }

        var lotteryCount = window.localStorage.getItem(GSApp.Lottery_Count);
        if (!lotteryCount)
        {
            return true;
        }

        var isCountAvailable = parseInt(lotteryCount) < 1;
        var latteryLastTime = window.localStorage.getItem(GSApp.Lottery_Last_Time);

        if (latteryLastTime)
        {
            var currentDate = GSApp.getDate(new Date().getTime());
            var latteryLastTimeDate = GSApp.getDate(parseInt(latteryLastTime));

            if (currentDate > latteryLastTimeDate)
            { //到第二天了次数就重置了
                isCountAvailable = true;
            }
        }
        return isCountAvailable;
    } catch (exception)
    {
        console.log(exception);
        //
        var randomNum = Math.round(Math.random() * 10);
        return (randomNum == 1); //出异常1/10的概率
    }

    return false;
}

GSApp.getDate = function (time)
{
    var dateParsed = new Date(parseInt(time));
    return new Date(dateParsed.getFullYear(), dateParsed.getMonth(), dateParsed.getDate())
}

GSApp.updateLotteryLimit = function ()
{
    try
    {
        var lotteryCount = window.localStorage.getItem(GSApp.Lottery_Count);
        var latteryLastTime = window.localStorage.getItem(GSApp.Lottery_Last_Time);

        var countNeedReset = false;
        if (!latteryLastTime)
        {
            countNeedReset = true;
        } else
        {
            var currentDate = GSApp.getDate(new Date().getTime());
            var latteryLastTimeDate = GSApp.getDate(parseInt(latteryLastTime));

            countNeedReset = currentDate > latteryLastTimeDate; //到第二天了次数就重置了
        }

        if (!lotteryCount || countNeedReset)
        {
            lotteryCount = 1;
        } else
        {
            lotteryCount = Math.min(parseInt(lotteryCount) + 1, 1);
        }

        window.localStorage.setItem(GSApp.Lottery_Count, lotteryCount);

        window.localStorage.setItem(GSApp.Lottery_Last_Time, new Date().getTime());
    } catch (exception)
    {
        console.log(exception);

    }
}

var autoLoadMoreBar = null;
GSApp.checkAutoLoadState = function ()
{
    if (kContentType == "gongLue")
    {
        if (kContentPageIndex != 1)
        {
            GSApp.shouldAutoAddContent = true;
        } else
        {
            if (kContentTotalPages > 6 &&
                nextPageIndex == 3 &&
                kContentPageIndex == 1)
            {
                ///mainbody添加更多按钮
                autoLoadMoreBar
                    = document.createElement("div");
                autoLoadMoreBar.setAttribute("class", "GSApp_AutoLoadMoreContentBar_Tips");
                autoLoadMoreBar.setAttribute("id", "GSApp_AutoLoadMoreContentBar_Tips");
                autoLoadMoreBar.setAttribute("onclick", "GSApp.autoLoadMoreBarChangeState()"); {
                    var loadMoreTipNode = document.createElement("span");
                    loadMoreTipNode.className = "GSApp_AutoLoadMoreContentBar_Caption";
                    loadMoreTipNode.innerText = "点击加载更多 ";
                    autoLoadMoreBar.appendChild(loadMoreTipNode);

                    var loadMoreTipImg = document.createElement("span");
                    loadMoreTipImg.className = "GSApp_AutoLoadMoreContentBar_CaptionImg";
                    autoLoadMoreBar.appendChild(loadMoreTipImg);
                }
                GSApp_MainBody().appendChild(autoLoadMoreBar);
                GSApp.shouldAutoAddContent = false;
                inLoadingNextPageContentState
                    = false;
            } else
            {
                GSApp.shouldAutoAddContent = true;
            }
        }
    }
}

GSApp.autoLoadMoreBarChangeState = function ()
{
    if (autoLoadMoreBar != null)
    {
        if (autoLoadMoreBar.className == "GSApp_AutoLoadMoreContentBar_Tips")
        {
            autoLoadMoreBar.className = "GSApp_AutoLoadMoreContentBar_InLoading";
            autoLoadMoreBar.setAttribute("id", "GSApp_AutoLoadMoreContentBar_InLoading");
            autoLoadMoreBar.innerText = "加载中......"
            GSApp.shouldAutoAddContent = true;
            kNeedToCheckLoadState
                = false;
            inLoadingNextPageContentState
                = false;
            setTimeout(GSApp.autoLoadNextPageContent(), 500);
        } else if (autoLoadMoreBar.className == "GSApp_AutoLoadMoreContentBar_InLoading")
        {

        } else if (autoLoadMoreBar.className == "GSApp_AutoLoadMoreContentBar_LoadFailed")
        {
            autoLoadMoreBar.className = "GSApp_AutoLoadMoreContentBar_InLoading";
            autoLoadMoreBar.innerText = "加载中......"
            GSApp.shouldAutoAddContent = true;
            kNeedToCheckLoadState
                = false;
            GSApp.autoLoadNextPageContent();
        }
    }
}


GSApp.timeoutIdForScrollToLoadImages = 0;

if (typeof (kContentPageIndex) == "undefined")
{
    var kContentPageIndex = 1;
}

if (typeof (kContentTotalPages) == "undefined")
{
    var kContentTotalPages = 1;
}

var articleContentChangedPageIndex = kContentPageIndex;

var kAdNodes = new Array();
GSApp.didWindowScroll = function ()
{
    if (!GSApp.autoLoadImageAtPageLoaded)
    {
        // 锚点的特殊处理
        if (kContentAnchor &&
            kContentAnchor == "comments")
        {
            var hotCommentsSplitLine = GSApp_SplitLine("hotComments");
            if (hotCommentsSplitLine)
            {
                if (window.scrollY < hotCommentsSplitLine.offsetTop)
                {
                    GSApp.autoLoadImageAtPageLoaded = true;
                }
            } else
            {
                var normalCommentsSplitLine = GSApp_SplitLine("normalComments");
                if (normalCommentsSplitLine &&
                    window.scrollY < normalCommentsSplitLine.offsetTop)
                {
                    GSApp.autoLoadImageAtPageLoaded = true;
                }
            }
        }
    }
    if (!GSApp.autoLoadImageAtPageLoaded ||
        _kGSIsNullImageModeBuffer)
    {
        return;
    }

    //

    clearTimeout(GSApp.timeoutIdForScrollToLoadImages);
    GSApp.timeoutIdForScrollToLoadImages = setTimeout(GSApp_Image.downloadImagesInDisplayArea,
        200);

    clearTimeout(GSApp.timeoutIdForScrollToReportCommentStatistics);
    GSApp.timeoutIdForScrollToReportCommentStatistics = setTimeout(
        GSApp_Comment.reportStatisticsInDisplayArea,
        100);

    // GSApp_Image.downloadImagesInDisplayArea();

    ///自动加载更多评论！！！
    if (window.scrollY + document.body.clientHeight
        > document.body.scrollHeight - document.body.clientHeight * 2 / 3.0)
    {
        //5.0 开放自动加载评论功能
        // if (kContentType == "shiPin"
        // 	||kContentType == "xinWen")
        // {
        GSApp_Comment.autoLoadMoreComments();
        // }
    }

    if (kContentType == "gongLue"
        && _kGSAppVersionNumberCode < 5340)
    {
        //因历史端版本不支持页面刷新,暂定5340之前的版本才能使用自动加载.
        if (GSApp.shouldAutoAddContent == true)
        {
            ///攻略实现自动加载
            if (window.scrollY > GSApp_MainBody().offsetHeight - GSApp_MainBody().offsetTop - document.body.clientHeight)
            {
                ///4.8 版本攻略新策略, 自动加载下一页面数据
                if (inLoadingNextPageContentState == true)
                {

                } else
                {
                    setTimeout(GSApp.autoLoadNextPageContent(), 1000);
                    setTimeout(
                        GSApp_Image.downloadImagesInDisplayArea,
                        500);
                    inLoadingNextPageContentState = true;
                }
            }

            if (window.scrollY < GSApp_MainBody().offsetTop / 2.0)
            {
                setTimeout(
                    function ()
                    {
                        if (inLoadingPreviousPageContentState == true)
                        {

                        } else
                        {
                            setTimeout(GSApp.autoLoadPreviousPageContent(), 1000);
                            inLoadingPreviousPageContentState = true;
                        }
                    }, 100
                );
            }
        }

        var visibleAreaTop = window.scrollY;
        var visibleAreaBottom = window.scrollY + document.body.clientHeight;

        // 改编页码
        setTimeout(
            function ()
            {
                var articleNodeArray = new Array();

                var divNodeArray = GSApp_MainBody().children;
                var changedNodeName = 0;
                for (var index = 0; index < divNodeArray.length; index++)
                {
                    const childNode = divNodeArray[index];

                    if (childNode.id.indexOf("Article_Page_") != -1)
                    {
                        changedNodeName
                            = childNode.id;
                        changedNodeName
                            = changedNodeName.replace("Article_Page_", "");
                        ///发送修改页码的消息
                        if (Number(changedNodeName) > 0 &&
                            Number(changedNodeName) <= kContentTotalPages)
                        {
                            if (childNode.offsetTop - window.scrollY < document.body.clientHeight * 2.0 / 3.0 &&
                                childNode.offsetTop + childNode.offsetHeight - window.scrollY > document.body.clientHeight / 3.0)
                            {
                                if (changedNodeName != articleContentChangedPageIndex)
                                {
                                    articleContentChangedPageIndex
                                        = changedNodeName;
                                    var changePageIndexMsg = "GSApp://change.currentPageIndex.app?{\"pageIndex\":" + "\"" + changedNodeName + "\"" + "}";
                                    GSApp.sendMessage(changePageIndexMsg);
                                }
                                break;
                            }
                        }
                    }
                }
            },
            10);
    }

    ///加载投票/观点功能
    if (window.scrollY > GSApp_MainBody().offsetHeight - GSApp_MainBody().offsetTop - document.body.clientHeight)
    {
        if (kUnReadedVoteContent == true)
        {
            GSApp.readVoteAndPointCoantent();
            kUnReadedVoteContent = false;
        }
    }

    //广告统计
    //MainBody快要划至底部的时候进行判断
    try
    {
        var mainBodyBottom = GSApp_MainBody().offsetTop + GSApp_MainBody().offsetHeight;
        if (mainBodyBottom - window.scrollY - window.innerHeight < 40)
        {
            if (kAdNodes.length == 0)
            {
                var midAds = document.getElementsByClassName("GSApp_MidAd");
                var bigAds = document.getElementsByClassName("GSApp_BigAd");
                var relateds = document.getElementsByClassName("GSApp_RelatedContent");

                if (midAds != null &&
                    midAds != undefined &&
                    midAds.length != 0)
                {
                    for (var index = 0; index < midAds.length; index++)
                    {
                        const element = midAds[index];
                        element.setAttribute("stasticsEnable", "true");
                        kAdNodes.push(element);
                    }
                }

                if (bigAds != null &&
                    bigAds != undefined &&
                    bigAds.length != 0)
                {
                    for (var index = 0; index < bigAds.length; index++)
                    {
                        const element = bigAds[index];
                        element.setAttribute("stasticsEnable", "true");
                        kAdNodes.push(element);
                    }
                }

                if (relateds != null &&
                    relateds != undefined &&
                    relateds.length != 0)
                {
                    for (var index = 0; index < relateds.length; index++)
                    {
                        const element = relateds[index];
                        var adId = element.getAttribute("gsadid");
                        if (adId != null &&
                            adId != undefined &&
                            adId.length > 0)
                        {
                            element.setAttribute("stasticsEnable", "true");
                            kAdNodes.push(element);
                        }
                    }
                }
            }
        }

        if (kAdNodes.length != 0)
        {
            for (var index = 0; index < kAdNodes.length; index++)
            {
                const adNode = kAdNodes[index];
                if (gsIsElementInFocusShowing(adNode))
                {
                    //完全曝光展示
                    if (adNode.getAttribute("stasticsEnable").toString().indexOf("true") != -1)
                    {
                        adNode.setAttribute("stasticsEnable", "false");
                        //上报.
                        var adId = gsGetInstanceElementDataId(adNode, "ad");
                        if (adId == null ||
                            adId.length < 1)
                        {
                            adId = gsGetInstanceElementDataId(adNode, "relatedContent");
                        }

                        /* 
                        统计测试代码
                        var adreport = document.getElementById("report_ad");
                        var time = adreport.innerText;
                        if (time == "") 
                        {
                        	adreport.innerText = "1";	
                        }
                        else
                        {
                        	time
                        	= parseInt(time)+1;

                        	adreport.innerText = time;
                        }
                        */

                        gsPostToURL(
                            "http://appapi2click.gamersky.com/v1/statisticAd",
                            "JSON",
                            "{\"adId\":\"" + adId + "\",\"operation\":\"zhanXian\"}",
                            true,
                            "GSApp_Ad.didPostCMSStatistics"
                        );

                        if (gsIsElementClass(adNode, "GSApp_MidAd"))
                        {
                            GSApp.reportUMengStatistics("launchad_show_4");
                        }
                    }
                } else
                {
                    if (adNode.getAttribute("stasticsEnable").toString().indexOf("false") != -1)
                    {
                        adNode.setAttribute("stasticsEnable", "true");
                    }
                }
            }
        }

    } catch (exception)
    {
        console.log(exception);
    }

};

var inLoadingNextPageContentState = false;
var inLoadingPreviousPageContentState = false;
var previousPageIndex = Number(kContentPageIndex);
var nextPageIndex = Number(kContentPageIndex);

var kNeedToCheckLoadState = true;
GSApp.autoLoadNextPageContent = function (specifiedNextPageIndex)
{
    if (inLoadingNextPageContentState == false)
    {
        if (kContentPageIndex == 1 &&
            nextPageIndex == 3 &&
            kContentTotalPages > 6)
        {
            if (kNeedToCheckLoadState == true)
            {
                GSApp.checkAutoLoadState();
                if (GSApp.shouldAutoAddContent == false)
                {
                    return;
                }
            }
        }
        nextPageIndex++;
        if (nextPageIndex > kContentTotalPages)
        {
            return;
        }
        inLoadingNextPageContentState = true;
        var pageIndex = nextPageIndex;
        if (specifiedNextPageIndex != null &&
            specifiedNextPageIndex > 0 &&
            specifiedNextPageIndex <= kContentTotalPages)
        {
            pageIndex = specifiedNextPageIndex;
        }

        var contentNodeDidAdded = document.getElementById("Article_Page_" + pageIndex);
        if (contentNodeDidAdded != null)
        {
            //防止新添加的元素寻址重复和错误
        } else
        {
            var newLoadingContentNode = document.createElement("div");
            newLoadingContentNode.setAttribute("id", "Article_Page_" + pageIndex);
            newLoadingContentNode.setAttribute("class", "GSApp_Article_ContentLoading");
            GSApp_MainBody().appendChild(newLoadingContentNode);
        }

        var autoLoadPreviousMsg = "GSApp://get.autoLoadContent.app?{\"contentId\":\"" + kContentId + "\"" +
            ",\"contentType\":\"" +
            kContentType + "\"" +
            ",\"contentPage\":\"" +
            pageIndex + "\"" +
            ",\"loadType\":\"next\"," + "\"callback\":" + "\"GSApp.didAutoAddContent\"" + "}";

        GSApp.sendMessage(autoLoadPreviousMsg);
    }
}

var scrollOriginPositionY = 0;
GSApp.autoLoadPreviousPageContent = function (specifiedPreviousPageIndex)
{
    console.log("前面增加了一页");
    if (inLoadingPreviousPageContentState == false)
    {
        scrollOriginPositionY
            = window.scrollY;
        previousPageIndex--;
        if (previousPageIndex <= 0)
        {
            return;
        }
        inLoadingPreviousPageContentState = true;
        var pageIndex = previousPageIndex;
        if (specifiedPreviousPageIndex != null &&
            specifiedPreviousPageIndex > 0)
        {
            pageIndex = specifiedPreviousPageIndex;
        }

        var contentNodeDidAdded = document.getElementById("Article_Page_" + pageIndex);
        if (contentNodeDidAdded != null)
        {
            //防止新添加的元素寻址重复和错误
        } else
        {
            var newLoadingArticleHTMLString = "<div id=\"Article_Page_" + pageIndex + "\" " + "class=\"GSApp_Article_ContentLoading\"></div>";
            GSApp_MainBody.insertAdjacentHTML("afterBegin", newLoadingArticleHTMLString);
        }

        if (pageIndex == kContentPageIndex - 1)
        {
            var newLoadingContentNode = document.getElementById("Article_Page_" + pageIndex);
            var windowScrollY = scrollOriginPositionY + newLoadingContentNode.offsetHeight;
            window.scrollTo(0, windowScrollY);
        }
        setTimeout(
            function ()
            {
                var autoLoadPreviousMsg = "GSApp://get.autoLoadContent.app?{\"contentId\":\"" +
                    kContentId + "\"" +
                    ",\"contentType\":\"" +
                    kContentType + "\"" +
                    ",\"contentPage\":\"" +
                    pageIndex + "\"" +
                    ",\"loadType\":\"previous\"," + "\"callback\":" + "\"GSApp.didAutoAddContent\"" + "}";

                GSApp.sendMessage(autoLoadPreviousMsg);
            },
            1000
        );
    }
}
///自动加载更多的方法

GSApp.shouldAutoAddContent = true;

GSApp.didAutoAddContent = function (articleContent)
{
    if (articleContent != null)
    {
        var newContentPreloadNodeId = "";
        var addingType = articleContent.loadType;
        var htmlString = decodeURIComponent(articleContent.html);

        var pageIndex = articleContent.pageIndex;

        var loadMoreNode = document.getElementById("GSApp_AutoLoadMoreContentBar_InLoading");

        if (addingType == "next")
        {
            newContentPreloadNodeId
                = "Article_Page_";
        } else if (addingType == "previous")
        {
            newContentPreloadNodeId
                = "Article_Page_";
        }
        newContentPreloadNodeId
            = newContentPreloadNodeId + pageIndex;

        if (htmlString != null &&
            htmlString.length > 0)
        {
            if (htmlString == "err")
            {
                var loadedContentNodeHaveToRemove;
                if (addingType == "next")
                {
                    GSApp.autoLoadNextPageContent(nextPageIndex);

                } else
                {
                    GSApp.autoLoadPreviousPageContent(previousPageIndex);
                }
                return;
            }

            scrollOriginPositionY
                = window.scrollY;

            var newLoadingContentNode = document.getElementById(newContentPreloadNodeId);
            if (newLoadingContentNode != null) { }
            if (newLoadingContentNode == null)
            {
                return;
            }

            newLoadingContentNode.removeAttribute("id");
            newLoadingContentNode.removeAttribute("class");

            if (addingType == "next")
            {
                if (htmlString == "noMoreContent")
                {
                    newLoadingContentNode.parentElement.removeChild(newLoadingContentNode);
                    inLoadingNextPageContentState = false;

                    if (loadMoreNode != null &&
                        loadMoreNode != "undefined")
                    {
                        if (loadMoreNode.parentNode != null &&
                            loadMoreNode.parentNode != "undefine")
                        {
                            loadMoreNode.parentNode.removeChild(loadMoreNode);
                        }
                    }
                    return;
                }
                if (htmlString == "neverLoadMore" ||
                    htmlString == "error")
                {
                    if (newLoadingContentNode &&
                        newLoadingContentNode.parentElement)
                    {
                        newLoadingContentNode.parentElement.removeChild(newLoadingContentNode);
                    }
                    if (htmlString == "error")
                    {
                        if (loadMoreNode != null &&
                            loadMoreNode != "undefined")
                        {
                            loadMoreNode.className = "GSApp_AutoLoadMoreContentBar_LoadFailed";
                            loadMoreNode.innerText = "加载失败,点击重试";
                            inLoadingNextPageContentState = false;
                        }
                    }
                    return;
                }
            } else
            {
                if (htmlString == "noPreviousContent")
                {
                    newLoadingContentNode.parentElement.removeChild(newLoadingContentNode);
                    inLoadingPreviousPageContentState = false;
                    return;
                }
                if (htmlString == "neverLoadPrevious" ||
                    htmlString == "error")
                {
                    if (newLoadingContentNode &&
                        newLoadingContentNode.parentElement)
                    {
                        newLoadingContentNode.parentElement.removeChild(newLoadingContentNode);
                    }
                    if (htmlString == "error")
                    {
                        inLoadingPreviousPageContentState = false;
                        GSApp.autoLoadPreviousPageContent();
                    }
                    return;
                }
            }

            if (loadMoreNode != null &&
                loadMoreNode != "undefined")
            {
                if (loadMoreNode.parentNode != null &&
                    loadMoreNode.parentNode != "undefine")
                {
                    loadMoreNode.parentNode.removeChild(loadMoreNode);
                }
            }

            // htmlString
            // 	= "<div id=Article_Page_" + pageIndex + ">"
            // 	+ htmlString;
            // htmlString
            // 	= htmlString ;
            // 	+ "</div>";
            // newLoadingContentNode.innerHTML
            // 	= htmlString;

            newLoadingContentNode.setAttribute("id", "Article_Page_" + pageIndex);
            newLoadingContentNode.innerHTML = htmlString;

            var pTags = GSApp_MainBody.getElementsByTagName("p");
            try
            {
                for (var pTagIndex = pTags.length - 1; pTagIndex > -1; pTagIndex--)
                {
                    var pTag = pTags[pTagIndex];
                    ///移除可能因接口问题导致的"NextPage"显示问题
                    if (pTag.innerText.indexOf("[NextPage") != -1)
                    {
                        pTag.parentElement.removeChild(pTag);
                    }
                }
            } catch (error)
            {
                console.log(error);
            }

            if (htmlString.indexOf("gsVideo") != -1)
            {
                var nodeJustAdded = document.getElementById("Article_Page_" + pageIndex);
                var scripts;
                if (nodeJustAdded != null)
                {
                    scripts
                        = nodeJustAdded.getElementsByTagName("script");
                }
                var preElement;
                var newScript;
                var parentElement;
                if (scripts &&
                    scripts.length > 0)
                {
                    for (var index = 0; index < scripts.length; index++)
                    {
                        const script = scripts[index];
                        script.setAttribute("id", "Article_Page_Video_Script_" + pageIndex);
                        if (script.innerHTML != null &&
                            script.innerHTML.length > 0 &&
                            script.innerHTML.indexOf("gsVideo(") != -1)
                        {
                            newScript
                                = document.createElement("script");
                            parentElement
                                = script.parentElement;
                            var parentId = "Article_Page_Video_Script_" + pageIndex;
                            newScript.innerHTML = script.innerHTML.replace("gsVideo(", "gsVideoAfterElement(document.getElementById(" + "\"" + parentId + "\"),");
                        } else
                        {
                            preElement
                                = script;
                        }
                    }
                }

                if (newScript != null &&
                    newScript.innerHTML.length > 0)
                {
                    if (parentElement != null)
                    {
                        parentElement.insertBefore(newScript, preElement);
                    }
                } else { }
            }

            GSApp.registScrollArea();
            GSApp.loadImages(newLoadingContentNode);
            GSApp.loadVideo();

            if (addingType == "previous")
            {
                window.scrollTo(0, scrollOriginPositionY + newLoadingContentNode.offsetHeight);

                var titleNode = document.getElementById("gsApp_Title ");
                if (titleNode != null &&
                    titleNode != undefined)
                {
                    titleNode.style.visibility = "";
                }
            }

            if (addingType == "next")
            {
                inLoadingNextPageContentState = false;
            } else if (addingType == "previous")
            {
                inLoadingPreviousPageContentState = false;
            }
        }
        GSApp.didWindowScroll();
    }
}


GSApp.showDebugInfo = function (debugInfo)
{
    try
    {
        var debugInfoHTML = "<div id=\"gsApp_DebugInfo\">获取文章内容耗时：" +
            debugInfo.secondsToGetData + "秒。" +
            "<br>访问接口耗时:" +
            debugInfo.secondsCostOnAPI + "秒。" +
            "<br>文章渲染耗时:" +
            debugInfo.secondsToShowData + "秒。</div>";

        document.getElementById("gsApp_Title")
            .insertAdjacentHTML(
                "beforeBegin",
                debugInfoHTML);
    } catch (exception)
    {
        console.log(exception);
    }
};

////////////////////////////////////////////////
// @用户相关
////////////////////////////////////////////////
GSApp.User = function () { };
GSApp.User.getUserAuthenticationNameWithUserGroupId = function (userGroupId)
{
    var iconURL = "";
    try
    {
        userGroupId = parseInt(userGroupId);
        if (userGroupId == 6)
        {
            return "GuanFangYongHu";
        } else if (userGroupId == 9 ||
            userGroupId == 10 ||
            userGroupId == 12 ||
            userGroupId == 13)
        {
            return "RenZhengYongHu";
        }
    } catch (error)
    {
        console.log(error);
    }
    return iconURL;
}

////////////////////////////////////////////////
// @分隔条
////////////////////////////////////////////////
var GSApp_SplitLine = function (contentId)
{
    return GSApp_SplitLine.getSplitLineOfContent(contentId);
};

GSApp_SplitLine.getSplitLineIdOfContent = function (contentId)
{
    return "splitLine_" + contentId;
};

GSApp_SplitLine.createHTML = function (contentId)
{
    var splitLine = "<div class=\"GSApp_SplitLine " + contentId + "\" id=\"" + this.getSplitLineIdOfContent(contentId) + "\"></div>"; { }
    return splitLine;
};

GSApp_SplitLine.insertSplitLineAtBottomOfContent = function (contentId)
{
    var splitLineId = "splitLine_" + contentId;
    if (document.getElementById(splitLineId) == null)
    {
        var splitLine = this.createHTML(contentId);
        document.getElementById(contentId)
            .insertAdjacentHTML("afterEnd", splitLine);
    }
};

GSApp_SplitLine.getSplitLineOfContent = function (contentId)
{
    return document.getElementById(this.getSplitLineIdOfContent(contentId));
};

GSApp_SplitLine.getLastSplitLine = function ()
{
    var splitLines = document.getElementsByClassName("GSApp_SplitLine");
    if (splitLines &&
        splitLines.length > 0)
    {
        return splitLines[splitLines.length - 1];
    }
    return null;
};

////////////////////////////////////////////////
// @标题栏
////////////////////////////////////////////////
var GSApp_TitleBar = function (contentId)
{
    return GSApp_TitleBar.getTitleBarOfContent(contentId);
};

GSApp_TitleBar.createTitleBarIdOfContent = function (contentId)
{
    return "titleBar_" + contentId;
};

GSApp_TitleBar.createHTML = function (contentId, title, buttonInfes)
{
    var buttons = "";
    if (buttonInfes &&
        buttonInfes.length > 0)
    {
        for (var i = buttonInfes.length - 1; i > -1; i--)
        {
            var buttonInfo = buttonInfes[i];
            var buttonClass = buttonInfo.className ? buttonInfo.className : "";
            if (buttonClass.length > 0)
            {
                buttonClass = " " + buttonClass;
            }
            var buttonId = buttonInfo.id ? buttonInfo.id : "";
            if (buttonId.length > 0)
            {
                buttonId = " id=\"" + buttonId + "\"";
            }
            buttons += "<div class=\"Button" + buttonClass + "\"" + buttonId + "\">" + buttonInfo.title + "</div>";
        }
    }

    var titleBar = "<div class=\"GSApp_TitleBar\" id=\"" + this.createTitleBarIdOfContent(contentId) + "\"><span class=\"Caption\">" + title + "</span>" + buttons + "</div>"; { }
    return titleBar;
};

GSApp_TitleBar.insertTitleBarAtTopOfContent = function (contentId)
{
    var titleBarId = "titleBar_" + contentId;
    if (document.getElementById(titleBarId) == null)
    {
        var titleBar = this.createTitleBarOfContent(contentId);
        document.getElementById(contentId)
            .insertAdjacentHTML("beforeBegin", titleBar);
    }
};

GSApp_TitleBar.getTitleBarOfContent = function (contentId)
{
    return document.getElementById(this.createTitleBarIdOfContent(contentId));
};

////////////////////////////////////////////////
// @正文
////////////////////////////////////////////////
var kGSApp_MainBody = null;
var GSApp_MainBody = function ()
{
    if (kGSApp_MainBody == null)
    {
        kGSApp_MainBody = document.getElementById("gsApp_MainBody");
    }
    return kGSApp_MainBody;
};

GSApp_MainBody.getElementsByTagName = function (tagName)
{
    return GSApp_MainBody().getElementsByTagName(tagName);
};

GSApp_MainBody.getElementsByClassName = function (className)
{
    return GSApp_MainBody().getElementsByClassName(className);
};

GSApp_MainBody.insertAdjacentHTML = function (position, html)
{
    return GSApp_MainBody().insertAdjacentHTML(position, html);
};

GSApp_MainBody.getContentAreaWidth = function ()
{
    var mainBody = GSApp_MainBody();
    var width = mainBody.clientWidth; {
        var style = window.getComputedStyle(mainBody);
        width
            -= parseInt(style.paddingLeft) +
            parseInt(style.paddingRight);
    }
    if (width <= 0)
    {
        width = screen.width - 24;
    }
    return width;
};

////////////////////////////////////////////////
// @图片操作
////////////////////////////////////////////////
var GSApp_Image = function (imageId)
{
    return document.getElementById(GSApp_Image.createImageId(imageId));
};

GSApp_Image.images = new Array();
GSApp_Image.createImageId = function (imageId)
{
    return "gsImage_" + imageId;
};

GSApp_Image.getOriginSrcOfImg = function (img)
{
    var imgOriginSrc = img.getAttribute("originSrc");
    try
    {
        if (imgOriginSrc != null &&
            imgOriginSrc.length > 0)
        {
            if (imgOriginSrc.isBeginWith("//"))
            {
                imgOriginSrc = "https:" + imgOriginSrc;
            }
            if (kContentType == "zhuTi.quanZi" &&
                imgOriginSrc.indexOf("gif") >= 0)
            {
                if (!gsIsElementClass(img, "Downloaded"))
                {
                    imgOriginSrc = imgOriginSrc.replace(".gif", ".jpg").replace("origin", "tiny");
                }
            }
        } else
        {
            imgOriginSrc = "";
        }
    } catch (error)
    {
        imgOriginSrc = "";
        //
        console.log(error);
    }
    return imgOriginSrc;
};

GSApp_Image.getSrcOfImg = function (img)
{
    var imgSrc = img.getAttribute("src");
    if (!imgSrc)
    {
        return "";
    }
    return imgSrc;
};

GSApp_Image.setSrcOfImg = function (img, src)
{
    img.setAttribute("src", src);
};

GSApp_Image.isImgGIFAnimationThumbnail = function (img)
{
    var isGIFAnimationThumbnail = false;
    try
    {
        /*
         if (gsIsCurrentOSIOS())
         {
         isGIFAnimationThumbnail
         = typeof(img.getAttribute("srcType"))!="undefined"
         && img.getAttribute("srcType")=="GIFAnimationThumbnail";
         }
         else
         */
        if (img)
        {
            var isGIFAttribute = img.getAttribute("isGIF");
            if (isGIFAttribute &&
                isGIFAttribute == "true")
            {
                return true;
            }
            var imgSrc = GSApp_Image.getSrcOfImg(img);
            if (imgSrc &&
                imgSrc.length > 0)
            {
                isGIFAnimationThumbnail
                    = imgSrc.toLowerCase().indexOf(".gif") != -1;

                if (isGIFAnimationThumbnail == false)
                {
                    isGIFAnimationThumbnail
                        = GSApp_Image.getOriginSrcOfImg(img).toLowerCase().indexOf(".gif") != -1;
                }
                if (isGIFAnimationThumbnail == false)
                {
                    isGIFAnimationThumbnail
                        = img.getAttribute("ori_link") != null &&
                        img.getAttribute("ori_link").toLowerCase().indexOf(".gif") != -1;
                }
            }
        }
    } catch (error)
    {
        console.log(error.toString());
    }
    return isGIFAnimationThumbnail;
};

GSApp_Image.getImageSrcs = function ()
{
    var images = GSApp_Image.images;
    var imageSrcs = "[";
    for (var imageIndex = 0; imageIndex < images.length; imageIndex++)
    {
        var image = images[imageIndex];
        var imageSrc = GSApp_Image.getOriginSrcOfImg(image);
        var imageHDSrc = image.getAttribute("hdImageURL");
        var imageDescription = "";
        try
        {
            imageDescription
                = GSApp_Image.getImageInfoWithImage(image).imageCaption;
            if (imageDescription == undefined)
            {
                imageDescription = "";
            }
        } catch (error)
        {
            imageDescription = "";
        }

        if (imageHDSrc == null ||
            imageHDSrc.length < 1)
        {
            if (imageSrc != null &&
                imageSrc.length > 0)
            {
                // 圈子图片的关键字替换：
                imageHDSrc = imageSrc.replaceAll("/small_", "/origin_");
            }
        }
        if (!imageHDSrc)
        {
            imageHDSrc = "";
        }
        try
        {
            if (imageSrc &&
                imageSrc.length > 0)
            {
                if (imageSrcs.length > 1)
                {
                    imageSrcs += ", ";
                }
                imageSrcs += "{\"url\":\"" + encodeURI(imageSrc) + "\", \"hdURL\":\"" + encodeURI(imageHDSrc) + "\", \"imageDescription\":\"" + imageDescription + "\"}";
            }
        } catch (error)
        {
            console.log(error.toString());
        }
    }
    imageSrcs += "]";
    return imageSrcs;
};

GSApp_Image.getImageWithImageId = function (gsImageId)
{
    try
    {
        var images = GSApp_Image.images;
        for (var imageIndex = images.length - 1; imageIndex > -1; imageIndex--)
        {
            var image = images[imageIndex];
            if (image.getAttribute("gsImageId") == gsImageId)
            {
                return image;
            }
        }
    } catch (error)
    {
        console.log(error.toString());
    }
    return null;
};

GSApp_Image.getFrameOfImage = function (image)
{
    var frame = new Object();
    frame.left = 0;
    frame.top = 0;
    frame.width = 0;
    frame.height = 0;

    if (image &&
        image.src &&
        image.src.length > 0)
    {
        frame.left = GSApp.getElementPostionX(image);
        frame.top = GSApp.getElementPositionY(image);
        frame.width = image.scrollWidth;
        frame.height = image.scrollHeight;
    } else
    {
        var imgBox = gsGetSuperElementWithClassOf(GSApp.imageBoxCSSClass);
        if (imgBox)
        {
            frame.left = imgBox.offsetLeft;
            frame.top = imgBox.offsetTop;
            frame.width = imgBox.scrollWidth;
            frame.height = imgBox.scrollHeight;
        }
    }
    return frame;
};

GSApp_Image.getImageInfoWithImage = function (img)
{
    if (img == null || img.tagName.toLowerCase() != "img")
    {
        return {
            "imageURL": "",
            "imageCaption": "",
            "hdImageURL": "",
            "imageFrame": []
        };
    }

    var imgCaption = "";

    var imageBox = img.parentNode;
    if (imageBox != null &&
        gsIsElementClass(imageBox, GSApp.imageBoxCSSClass))
    {
        var nextBrTag = imageBox.nextElementSibling;
        if (nextBrTag != null &&
            nextBrTag.tagName == "BR")
        {
            for (var nextSibling = nextBrTag.nextSibling; nextSibling != null; nextSibling = nextSibling.nextSibling)
            {
                if (nextSibling.nodeType == 3)
                {
                    imgCaption = nextSibling.data;
                    if (imgCaption != null &&
                        imgCaption.length > 0)
                    {
                        break;
                    }
                } else if (nextSibling.tagName != "SPAN")
                {
                    break;
                }
            }
        }
        if (imgCaption == null ||
            imgCaption.length < 1)
        {
            var parentPTag = gsGetSuperElementWithTagOf(imageBox, "P");
            if (parentPTag != null &&
                parentPTag.nextElementSibling != null &&
                parentPTag.nextElementSibling.tagName == "P")
            {
                var nextPTag = parentPTag.nextElementSibling;
                imgCaption = nextPTag.textContent;
            }
        }
    }

    if (imgCaption.length > 0)
    {
        if (gsIsCurrentOSAndroid())
        {
            imgCaption = imgCaption.replace(/[\r\n]/g, "");
            imgCaption = imgCaption.replace(/["]/g, "\\\"");
        } else
        {
            imgCaption = imgCaption.replaceAll(" ", "");
            imgCaption = imgCaption.replaceAll("\r\n", "");
            imgCaption = imgCaption.replaceAll("\r", "");
            imgCaption = imgCaption.replaceAll("\n", "");
            imgCaption = imgCaption.replaceAll("\"", "\\\"");
        }
    }

    var imgURL = GSApp_Image.getOriginSrcOfImg(img);
    if (!imgURL ||
        imgURL.length < 1)
    {
        imgURL = GSApp_Image.getSrcOfImg(img);
    }

    var imgHDImageURL = img.getAttribute("hdImageURL");
    if (imgHDImageURL == null)
    {
        imgHDImageURL = "";
    }
    if (imgHDImageURL.length > 0)
    {
        imgHDImageURL = imgHDImageURL.replaceAll(" ", "");
        imgHDImageURL = imgHDImageURL.replaceAll("\r\n", "");
        imgHDImageURL = imgHDImageURL.replaceAll("\r", "");
        imgHDImageURL = imgHDImageURL.replaceAll("\n", "");
        imgHDImageURL = imgHDImageURL.replace(/[\r\n]/g, "");
    } else if (imgURL.indexOf("small_") != -1)
    {
        imgHDImageURL = imgURL.replaceAll("small_", "origin_");
    }

    var isGIF = "false";
    if (imgHDImageURL.indexOfWithIgnorecase(".gif") != -1)
    {
        isGIF = "true";
    }
    var imgFrame = GSApp_Image.getFrameOfImage(img);
    imgFrame
        = "{\"left\":" + imgFrame.left +
        ", \"top\":" + imgFrame.top +
        ", \"width\":" + imgFrame.width +
        ", \"height\":" + imgFrame.height +
        "}";

    return "{\"imageURL\":\"" + imgURL + "\"" +
        ", \"imageCaption\":\"" + imgCaption + "\"" +
        ", \"hdImageURL\":\"" + imgHDImageURL + "\"" +
        ", \"isGIF\":\"" + isGIF + "\"" +
        ", \"thumbnailImageURL\":\"" + imgURL + "\"" +
        ", \"imageFrame\":" + imgFrame + "}";
};

////寻址搜索图片信息提供两个方法:
//1.根据图片id
//2.根据图片索引

GSApp_Image.getImageInfoWithImageId = function (imgGSID)
{
    return GSApp_Image.getImageInfoWithImage(GSApp_Image.getImageWithImageId(imgGSID));
};

GSApp_Image.getImageInfoWithIndex = function (imageGroupName, imageIndex)
{
    var imageInfo = GSApp_Image.getImageInfoWithImageIndex(imageIndex);

    ///处理字符串
    imageInfo
        = imageInfo.substring(0, imageInfo.length - 2);

    imageInfo
        = imageInfo +
        ", \"imageIndex\":\"" + imageIndex + "\"" +
        ", \"imageGroupName\":\"" + imageGroupName + "\"" +
        "}";
}

GSApp_Image.getImageInfoWithImageIndex = function (imageIndex)
{
    if (imageIndex >= 0 &&
        imageIndex < GSApp_Image.images.length)
    {
        var image = GSApp_Image.images[imageIndex];
        var imageGSId = image.getAttribute("gsImageId");
        return GSApp_Image.getImageInfoWithImage(GSApp_Image.getImageWithImageId(imageGSId));
    }
};

GSApp_Image.showImageWithImageId = function (gsImageId)
{
    var gsElement = GSApp_Image.getImageWithImageId(gsImageId);
    var gsElementLeft = 0;
    var gsElementTop = 0;
    var gsElementWidth = 0;
    var gsElementHeight = 0;
    if (gsElement != null &&
        gsElement.parentNode != null &&
        gsIsElementClass(gsElement.parentNode, GSApp.imageBoxCSSClass))
    {
        var imageBox = gsElement.parentNode;
        gsElementLeft = gsElement.offsetLeft;
        gsElementTop = gsElement.offsetTop;
        gsElementWidth = gsElement.scrollWidth;
        gsElementHeight = gsElement.scrollHeight;

        var gsElementBottom = gsElementTop + gsElementHeight;
        var windowBottom = window.scrollY + window.innerHeight;
        var windowScrollObjectY = window.scrollY;
        if (gsElementTop >= windowBottom ||
            gsElementBottom < window.scrollY)
        {
            windowScrollObjectY = gsElementTop - 10.0;
        } else if (gsElementTop < window.scrollY &&
            gsElementBottom > window.scrollY)
        {
            windowScrollObjectY = gsElementTop - 10.0;
        } else if (gsElementTop < windowBottom &&
            gsElementBottom > windowBottom)
        {
            windowScrollObjectY += gsElementBottom - windowBottom + 10.0;
        }
        window.scroll(0, windowScrollObjectY);
    }
    return '{"left":' + gsElementLeft +
        ', "top":' + gsElementTop +
        ', "width":' + gsElementWidth +
        ', "height":' + gsElementHeight + '}';
};

GSApp_Image.downloadImageWithImageId = function (gsImageId)
{
    if (gsImageId &&
        gsImageId.length > 0)
    {
        var img = GSApp_Image.getImageWithImageId(gsImageId);
        if (img == null)
        {
            return;
        }

        var imgOriginSrc = GSApp_Image.getOriginSrcOfImg(img);
        if (imgOriginSrc == null ||
            imgOriginSrc.length < 1)
        {
            return;
        }

        var imageDownloadTask = "{" +
            "\"id\":\"" + gsImageId + "\"" +
            ", \"url\":\"" + imgOriginSrc + "\"" +
            "}";
        var msg = "GSApp://download.app?{\"" +
            "downloadTasks\":[" + imageDownloadTask + "]" +
            ", \"callback\":\"GSApp_Image.didImagesDownloaded\"" +
            "}";
        GSApp.sendMessage(msg);
    }
};

GSApp_Image.downloadImagesInDisplayArea = function ()
{
    var imageDownloadTasks = "";
    try
    {
        var viewArea = GSApp.getDisplayArea();
        var viewAreaLeft = viewArea.left;
        var viewAreaTop = viewArea.top;
        var viewAreaRight = viewArea.right;
        var viewAreaBottom = viewArea.bottom;

        var allImages = GSApp_MainBody.getElementsByTagName("img");
        var allImagesCount = allImages.length;
        for (var imageIndex = 0; imageIndex < allImagesCount; imageIndex++)
        {
            if (imageIndex == 40)
            {
                console.log("s");
            }
            var imageDownloadInfo = "";
            try
            {
                var image = allImages[imageIndex];
                if (GSApp_Image.getSrcOfImg(image).length > 0)
                {
                    continue;
                }
                var gsImageId = image.getAttribute("gsImageId");
                var imageOriginSrc = GSApp_Image.getOriginSrcOfImg(image);
                if (gsImageId &&
                    !gsIsElementClass(image, "Downloading") &&
                    imageOriginSrc &&
                    imageOriginSrc.length > 0)
                {
                    var imageIndexInImgSet = image.getAttribute("indexInImgSet");
                    if (imageIndexInImgSet == null ||
                        imageIndexInImgSet == "undefined" ||
                        imageIndexInImgSet == "0")
                    {
                        var gsElementLeft = image.offsetLeft;
                        var gsElementTop = GSApp.getElementPositionY(image);
                        var gsElementRight = gsElementLeft + image.scrollWidth;
                        var gsElementBottom = gsElementTop + image.scrollHeight;

                        if (gsElementLeft < viewAreaRight &&
                            gsElementRight >= viewAreaLeft &&
                            gsElementTop < viewAreaBottom &&
                            gsElementBottom >= viewAreaTop)
                        {
                            // !!!
                            gsSetElementClass(image, "Downloaded", "Downloading");
                            // !!!
                            imageDownloadInfo
                                = "{" +
                                "\"id\":\"" + gsImageId + "\"" +
                                ", \"url\":\"" + imageOriginSrc + "\"" +
                                "}";
                        }
                    }
                }
            } catch (error)
            {
                console.log(error.toString());
            }
            if (imageDownloadInfo.length > 0)
            {
                if (imageDownloadTasks.length > 0)
                {
                    imageDownloadTasks += ", ";
                }
                imageDownloadTasks += imageDownloadInfo;
            }
        }
    } catch (error)
    {
        validElementIds = "";
        invalidElementIds = "";

        console.log(error.toString());
    }

    if (imageDownloadTasks.length > 0)
    {
        var msg = "GSApp://download.app?{\"" +
            "downloadTasks\":[" + imageDownloadTasks + "]" +
            ", \"callback\":\"GSApp_Image.didImagesDownloaded\"" +
            "}";
        GSApp.sendMessage(msg);
    }
};

GSApp_Image.didSetImageSrcForImageDownloaded = function (img, downloadURL, imageFilePath)
{
    try
    {
        img.parentNode.className = "GSApp_ImageBox PlaceHolder InPreparing";

        img.parentNode.style.paddingBottom = "";
        if (imageFilePath.length > 0)
        {
            if (img.parentNode.className == "GSApp_ImageBox PlaceHolder" ||
                img.parentNode.className == "GSApp_ImageBox PlaceHolder InPreparing")
            {
                img.parentNode.className = GSApp.imageBoxCSSClass;
                //避免闪屏
                if (kContentType != "zhuTi.quanZi")
                {
                    img.parentNode.style.height = img.parentNode.offsetWidth * 9 / 16.0;
                }
            }
            img.style.opacity = 1;
            img.style.visibility = "visible";
            img.style.animationDuration = "0.25s";
            img.style.animationName = "GSApp_Image_EaseInAnimation";
            img.style.animationTimingFunction = "ease-out";

            var dataSize = img.getAttribute("data-size");
            if (dataSize != null &&
                dataSize != undefined &&
                dataSize.length > 0)
            {
                img.style.paddingBottom = "0";
                img.style.width = GSApp_Image.getImageSizeWithImageDataSize(dataSize).width;
                img.style.height = GSApp_Image.getImageSizeWithImageDataSize(dataSize).height;
            }

            // GIF图加载按钮的处理：
            var imgOriginSrc = img.getAttribute("originSrc");
            if (typeof (imgOriginSrc) == "string" &&
                imgOriginSrc.indexOf(".gif") >= 0)
            {
                if (downloadURL.indexOf(".jpg") >= 0)
                {
                    // !!! 
                    GSApp_Image.setSrcOfImg(img, imageFilePath);
                    // !!!

                    var gsImageId = img.getAttribute("gsImageId");
                    if (typeof (gsImageId) == "string" &&
                        gsImageId.length > 0)
                    {
                        var gifLoadButton = document.createElement("DIV"); {
                            gifLoadButton.className = "GIFLoadButton";
                            gifLoadButton.onclick = function ()
                            {
                                if (gsIsElementClass("Loading"))
                                {
                                    return;
                                }

                                gifLoadButton.className = "GIFLoadButton Loading";

                                // !!! 开始下载原图 !!!
                                {
                                    GSApp_Image.downloadImageWithImageId(gsImageId);
                                }
                                // !!!
                                event.stopPropagation();
                                //
                            };
                        }
                        img.parentNode.insertBefore(
                            gifLoadButton,
                            img.nextSibling);
                    }
                } else if (downloadURL.indexOf(".gif") >= 0)
                {
                    var gifLoadButtons = img.parentNode.getElementsByClassName("GIFLoadButton");
                    if (gifLoadButtons != null &&
                        gifLoadButtons.length > 0)
                    {
                        var gifLoadButton = gifLoadButtons[0]; {
                            gifLoadButton.className = "GIFLoadButton LoadCompleted";
                        }
                        setTimeout(
                            function ()
                            {
                                // !!! 
                                GSApp_Image.setSrcOfImg(img, imageFilePath);
                                // !!!
                                gifLoadButton.parentNode.removeChild(gifLoadButton);
                                // !!!
                            },
                            300);
                    } else
                    {
                        // !!! 
                        GSApp_Image.setSrcOfImg(img, imageFilePath);
                        // !!!
                    }
                }
            } else
            {
                // !!! 
                GSApp_Image.setSrcOfImg(img, imageFilePath);
                // !!!
            }
        } else
        {
            img.style.visibility = "hidden";
        }
    } catch (error)
    {
        console.log(error);
    }
}
GSApp_Image.didImagesDownloaded = function (downloadInfes)
{
    try
    {
        if (downloadInfes.length < 1)
        {
            return;
        }

        for (var downloadInfoIndex = downloadInfes.length - 1; downloadInfoIndex > -1; downloadInfoIndex--)
        {
            var downloadInfo = downloadInfes[downloadInfoIndex];
            var img = GSApp_Image.getImageWithImageId(downloadInfo.id);
            if (img)
            {
                try
                {
                    if (!downloadInfo.error ||
                        downloadInfo.error.length < 1)
                    {
                        // !!!
                        GSApp_Image.didSetImageSrcForImageDownloaded(
                            img,
                            downloadInfo.url,
                            downloadInfo.filePath);
                        // !!!
                    } else
                    {
                        if (gsIsElementClass(img.parentNode, "GSApp_ImageBox Placeholder"))
                        {
                            img.parentNode.className = GSApp.imageBoxCSSClass;
                        }
                        if (gsIsElementClass(img.parentNode, GSApp.imageBoxCSSClass))
                        {
                            GSApp_Image.Box.updateBackgroundTypeOfBox(img.parentNode, "loadFailed", null);
                        }
                    }

                } catch (error)
                {
                    console.log(error.toString());
                }
            }
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};

/*评论区专用的图片下载回调加载方法*/
GSApp_Image.didCommentImagesDownloaded = function (downloadInfes)
{
    if (downloadInfes != null &&
        downloadInfes != undefined &&
        downloadInfes.length > 0)
    {
        for (var i = 0; i < downloadInfes.length; i++)
        {
            const downlowdImageMode = downloadInfes[i];
            if (downlowdImageMode.id != null &&
                downlowdImageMode.id != undefined)
            {
                var imageBoxs = document.getElementsByClassName("ImageBox");
                if (imageBoxs != null &&
                    imageBoxs != undefined &&
                    imageBoxs.length > 0)
                {
                    for (var index = 0; index < imageBoxs.length; index++)
                    {
                        var imageBox = imageBoxs[index];
                        var boxGroupName = imageBox.getAttribute("groupName");

                        if (boxGroupName != null &&
                            boxGroupName != undefined &&
                            boxGroupName.length > 0 &&
                            downlowdImageMode.groupName != null &&
                            downlowdImageMode.groupName != undefined &&
                            downlowdImageMode.groupName.length > 0)
                        {
                            if (boxGroupName == downlowdImageMode.groupName)
                            {
                                if (imageBox.id == downlowdImageMode.id)
                                {
                                    imageBox.setAttribute("staticsImageURL", downlowdImageMode.filePath);
                                    imageBox.style.backgroundImage = "url(" + downlowdImageMode.filePath + ")";
                                    imageBox.style.backgroundSize = "cover";
                                }
                            }
                        } else
                        {
                            if (imageBox.id == downlowdImageMode.id)
                            {
                                imageBox.setAttribute("staticsImageURL", downlowdImageMode.filePath);
                                imageBox.style.backgroundImage = "url(" + downlowdImageMode.filePath + ")";
                                imageBox.style.backgroundSize = "cover";
                            }
                        }
                    }
                }
            }
        }
    }
}

GSApp_Image.didLoaded = function ()
{
    gsSetElementClass(this, "Downloading", "Downloaded");
    //
    GSApp_Image.Box.updateBoxOfImage(this);
};

GSApp_Image.getImageSizeWithImageDataSize = function (dataSize)
{
    if (dataSize != null &&
        dataSize != undefined &&
        dataSize.length > 0)
    {
        var nextIndex = dataSize.indexOf("x");

        var originWidth = dataSize.substring(0, nextIndex);

        var originHeight = dataSize.substring(nextIndex + 1, dataSize.length);

        var scale = document.getElementById("gsApp_MainBody").offsetWidth / originWidth;

        var height = scale * originHeight;

        var sizeObj = Object();
        sizeObj.width = (scale > 1) ? originWidth : document.getElementById("gsApp_MainBody").offsetWidth;
        sizeObj.height = (scale > 1) ? originHeight : height;
        return sizeObj;
    }
}

GSApp_Image.didClick = function (image)
{
    if (image == null)
    {
        return;
    }
    ///屏蔽a标签
    var imgParentNode = image.parentNode;
    if (imgParentNode &&
        imgParentNode.parentElement &&
        imgParentNode.parentElement.tagName == "A")
    {
        return;
    }
    var gsImageId = image.getAttribute("gsImageId");
    if (gsImageId == null ||
        gsImageId.length < 1)
    {
        return;
    }
    var gifLoadButtons = imgParentNode.getElementsByClassName("GIFLoadButton");
    if (gifLoadButtons != null &&
        gifLoadButtons.length > 0)
    {
        // !!! 开始下载原图 !!!
        {
            gifLoadButtons[0].onclick();
        }
        // !!!
        return;
    }

    var clickedImageIndex = GSApp_Image.images.indexOf(image);

    var msg = "";
    if (gsIsCurrentOSAndroid())
    {
        msg
            = "GSApp://open.image.app?{" +
            "\"id\":\"" + clickedImageIndex + "\"" +
            ", \"allImageSrcs\":" + GSApp_Image.getImageSrcs() + "}";
    } else
    {
        var imageDescription = "";
        try
        {
            imageDescription
                = GSApp_Image.getImageInfoWithImageId(gsImageId).imageCaption;
        } catch (error)
        {
            imageDescription = "";
        }

        msg
            = "GSApp://open.image.app?{" +
            "\"imageIndex\":" + clickedImageIndex +
            ", \"imagesCount\":" + GSApp_Image.images.length +
            ", \"imageGroupName\":" + "\"\"" +
            ", \"imageDescription\":\"" + imageDescription + "\"" +
            ", \"imageInfoGetter\":" + "\"GSApp_Image.getImageInfoWithImageIndex\"" +
            "}";
    }
    GSApp.sendMessage(msg);
};

////////////////////////////////////////////////
// @图片盒子操作
////////////////////////////////////////////////
GSApp_Image.Box = function (boxId)
{
    return document.getElementById(GSApp_Image.Box.createBoxId(boxId));
};

GSApp_Image.Box.createBoxId = function (boxId)
{
    return "gsImageBox_" + boxId;
};

GSApp_Image.Box.updateBackgroundColorOfBox = function (imageBox, forceUpdate)
{
    if (imageBox == null)
    {
        return;
    }

    var isImgValid = false;
    var imgsInBox = imageBox.getElementsByTagName("img");
    if (imgsInBox != null &&
        imgsInBox.length > 0)
    {
        isImgValid = imgsInBox[0].style.visible == "visible";
    }
    /*
    if (isImgValid)
    {
        imageBox.style.backgroundColor = "transparent";
    }
    else if (_kGSIsNightColorModeBuffer)
    {
        imageBox.style.backgroundColor = "#1B1A1F";
    }
    else
    {
        imageBox.style.backgroundColor = "#eeeeee";
    }
    */
};

GSApp_Image.Box.updateBackgroundTypeOfBox = function (imageBox, bgType, bgParam)
{
    if (imageBox == null)
    {
        return;
    }

    // 统一设置
    GSApp_Image.Box.updateBackgroundColorOfBox(imageBox, false);
    imageBox.style.backgroundPosition = "center center";
    imageBox.style.backgroundRepeat = "no-repeat";
    imageBox.onclick = GSApp_Image.Box.didClick;
    // !!!
    imageBox.setAttribute("gsStatus", bgType);
    // !!!

    // 独立设置
    switch (bgType)
    {
        case "default": {
            /*
            var imageBoxBackgroundImage
            	= "url(gsAppHTMLTemplate_image/holder_ImgBox_Background@2x.png)";
            imageBox.style.backgroundImage = imageBoxBackgroundImage;
            imageBox.style.backgroundSize = "91px 91px";
            */
        }
            break;
        case "nullImageMode": {
            var imageBoxBackgroundImage = "url(gsAppHTMLTemplate_image/holder_ImgBox_LoadTheImage@2x.png)";
            imageBox.style.backgroundImage = imageBoxBackgroundImage;
            imageBox.style.backgroundSize = "70px 70px";
            /*
            imageBox.onclick = gsReloadTheImgBoxImage;
            */
        }
            break;
        case "progress": {
            /*
            imageBox.style.backgroundImage
                //= "url(gsAppHTMLTemplate_image/holder_ImgBox_BackgroundProgress" + bgParam + ".png)";
                = "url(gsAppHTMLTemplate_image/holder_ImgBox_Background@2x.png)";
            imageBox.style.backgroundSize = "91px 91px";
                */
        }
            break;
        case "loadFailed": {
            imageBox.style.backgroundImage = "url(gsAppHTMLTemplate_image/holder_ImgBox_BackgroundLoadFailed@2x.png)";
            imageBox.style.backgroundSize = "76px 76px";
            /*
            imageBox.onclick = gsReloadTheImgBoxImage;
            */
        }
            break;
        case "none": {
            /*
            imageBox.style.backgroundColor = "#eeeeee";
            imageBox.style.backgroundImage = "url(../gsAppHTMLTemplate_image/holder_ImgBox_Background@2x.png)";
            */
        }
            break;
    }
};

GSApp_Image.Box.updateBoxOfImage = function (img)
{
    var parentImgBox = null;
    if (!gsIsElementClass(img.parentNode, GSApp.imageBoxCSSClass))
    {
        return;
    }
    parentImgBox = img.parentNode;

    var imgWidthHadSpecified = false;
    var imgWidth = img.naturalWidth;
    if (img.scrollWidth > 0)
    {
        imgWidthHadSpecified = true;
        imgWidth = img.scrollWidth;
    } else if (img.style.width.length > 0)
    {
        imgWidthHadSpecified = true;
        imgWidth = parseInt(img.style.width);
    } else
    {
        var imgWidthAttribute = img.getAttribute("width");
        if (imgWidthAttribute != null)
        {
            imgWidthHadSpecified = true;
            imgWidth = parseInt(imgWidthAttribute);
        }
    }

    var imgHeightHadSpecified = false;
    var imgHeight = img.naturalHeight;
    if (img.scrollHeight > 0)
    {
        imgHeightHadSpecified = true;
        imgHeight = img.scrollHeight;
    } else if (img.style.height > 0)
    {
        imgHeightHadSpecified = true;
        imgHeight = parseInt(img.style.height);
    } else
    {
        var imgHeightAttribute = img.getAttribute("height");
        if (imgHeightAttribute != null)
        {
            imgHeightHadSpecified = true;
            imgHeight = parseInt(imgHeightAttribute);
        }
    }

    var isImgSetCover = gsIsElementClass(parentImgBox, "GSApp_ImgSetBox");
    var imageBoxMaxWidth = GSApp_MainBody.getContentAreaWidth();

    if (isImgSetCover)
    {
        imageBoxMaxWidth -= 10.0;
        /*
         var newImgWidth = imgWidth-10.0;
         if (imgWidth>0.0)
         {
         imgHeight
         = newImgWidth
         * imgHeight
         / imgWidth;
         }
         else
         {
         imgHeight
         = newImgWidth
         * 0.618;
         }
         imgWidth = newImgWidth;
         */
    }


    var isTooBigImg = false;
    if (imgWidth > imageBoxMaxWidth)
    {
        isTooBigImg = true;
    } else if (imgWidthHadSpecified == false)
    {
        isTooBigImg
            = GSApp_Image.isImgGIFAnimationThumbnail(img) || imgWidth > 200;
    }


    var imageBoxWidth = "100%";
    var imageBoxHeight = "auto";
    if (isTooBigImg)
    {
        imageBoxWidth = imageBoxMaxWidth + "px";
        if (imgWidth != 0)
        {
            imageBoxHeight = (imageBoxMaxWidth * imgHeight / imgWidth) + "px";
        } else
        {
            imageBoxHeight = "auto";
        }
    } else
    {
        imageBoxWidth = imgWidth + "px";
        imageBoxHeight = imgHeight + "px";
    }
    // 这里为img再次设置width,是了防止某些在表格等元素中的图片不能够撑起容器
    img.style.width = imageBoxWidth;
    img.style.height = imageBoxHeight;
    parentImgBox.style.width = imageBoxWidth;
    parentImgBox.style.height = imageBoxHeight;
    if (isImgSetCover)
    {
        for (var whitePageImgBox = parentImgBox.previousSibling; whitePageImgBox != null && gsIsElementClass(whitePageImgBox, "GSApp_ImgSetWhitePage"); whitePageImgBox = whitePageImgBox.previousSibling)
        {
            whitePageImgBox.style.marginBottom = (-1 * parseInt(imageBoxHeight) - 2) + "px";
            whitePageImgBox.style.width = imageBoxWidth;
            whitePageImgBox.style.height = imageBoxHeight;
        }
    }

    /*
     // 无图模式只有一种处理方法
     if (_kGSIsNullImageModeBuffer==true)
     {
        GSApp_Image.Box.updateBackgroundTypeOfBox(parentImgBox, "nullImageMode", null);
     }
     // 有图模式根据图片状态进行处理
     else
     */
    {
        var imgSrc = GSApp_Image.getSrcOfImg(img);

        var isImgValid = false;
        if (gsIsCurrentOSIOS())
        {
            isImgValid
                = imgSrc != null &&
                imgSrc.length > 0 &&
                img.style.visibility == "visible";
        } else
        {
            isImgValid
                = imgSrc != null &&
                imgSrc.length > 0;
        }

        if (isImgValid == true)
        {
            img.style.visibility = "visible"; // 安卓特殊处理
            GSApp_Image.Box.updateBackgroundTypeOfBox(parentImgBox, "none", null);

            if (img.nextSibling != null &&
                gsIsElementClass(img.nextSibling, "GSApp_ImageBoxStatusBar"))
            {
                img.nextSibling.style.visibility = "visible";
            }
        }
        // 图片等待加载
        else
        {
            if (_kGSIsNullImageModeBuffer == true)
            {
                GSApp_Image.Box.updateBackgroundTypeOfBox(parentImgBox, "nullImageMode", null);
            } else
            {
                GSApp_Image.Box.updateBackgroundTypeOfBox(parentImgBox, "progress", "0");
            }
        }
    }
};

GSApp_Image.Box.didClick = function ()
{
    var boxStatus = this.getAttribute("gsStatus");
    if (boxStatus &&
        (boxStatus == "nullImageMode" ||
            boxStatus == "loadFailed"))
    {
        var imageBox = gsGetSuperElementWithClassOf(
            event.target, GSApp.imageBoxCSSClass);
        if (imageBox == null)
        {
            return;
        }

        var imgsInImageBox = imageBox.getElementsByTagName("img");
        if (imgsInImageBox == null ||
            imgsInImageBox.length < 1)
        {
            return;
        }

        var img = imgsInImageBox[0];
        if (img != null)
        {
            GSApp_Image.Box.updateBackgroundTypeOfBox(imageBox, "progress", "0");
            GSApp_Image.downloadImageWithImageId(img.getAttribute("gsImageId"));
        }
    } else
    {
        var imgs = this.getElementsByTagName("IMG");
        if (imgs &&
            imgs.length > 0)
        {
            GSApp_Image.didClick(imgs[0]);
        }
    }
};

GSApp_Image.Box.didClickOnImageSetLogo = function ()
{
    var imgSetImgBoxer = gsGetSuperElementWithClassOf(this, "GSApp_ImageBoxer");
    if (imgSetImgBoxer == null)
    {
        return;
    }

    // 请求当前图片
    setTimeout(
        function ()
        {
            GSApp_Image.downloadImagesInDisplayArea();
        },
        100);
    event.stopPropagation();
    return false;
};

////////////////////////////////////////////////
// @视频操作
////////////////////////////////////////////////
var GSApp_Video = function (videoId)
{
    return document.getElementById(GSApp_Video.createVideoId(videoId));
};

GSApp_Video.createVideoId = function (videoId)
{
    return "gsVideo_" + videoId;
};

// {
//     "id": "",
//     "posterURL": "",
//     "videoSrc": ""
// }
GSApp_Video.didVideoParsed = function (videoInfo)
{
    var videoContent = GSApp_Video.getVideoContentWithId(videoInfo.id);
    if (videoContent != null)
    {
        videoContent.videoSrc = videoInfo.videoSrc;
    }
    GSApp_Video.setThumbnailOfImageWithVideoId(videoInfo.id, videoInfo.posterURL);
};

GSApp_Video.setThumbnailOfImageWithVideoId = function (videoId, posterImgURL)
{
    try
    {
        var videoPlayerBox = document.getElementById(videoId);
        if (videoPlayerBox == null)
        {
            return;
        }

        if (posterImgURL.indexOf("url(") != 0)
        {
            posterImgURL = "url(" + posterImgURL + ")";
        }

        /*
        var videoPlayerBoxWidth = videoPlayerBox.clientWidth;
        var videoPlayerBoxHeight = videoPlayerBox.clientHeight;
        */
        var videoPlayerBoxWidth = GSApp_MainBody.getContentAreaWidth();
        var videoPlayerBoxHeight = videoPlayerBoxWidth *
            1080.0 / 1920.0;
        var videoPlayerBoxBackgroundSize = videoPlayerBoxWidth + "px " + videoPlayerBoxHeight + "px";


        videoPlayerBox.style.backgroundSize = videoPlayerBoxBackgroundSize; //"auto";
        videoPlayerBox.style.backgroundImage = posterImgURL;

        var videoPlayButtonBackgrounds = videoPlayerBox.getElementsByClassName("PlayButtonBackground");
        if (videoPlayButtonBackgrounds == null ||
            videoPlayButtonBackgrounds.length < 1)
        {
            return;
        }

        var videoPlayButtonBackgroundsCount = videoPlayButtonBackgrounds.length;
        for (var videoPlayButtonBackgroundIndex = 0; videoPlayButtonBackgroundIndex < videoPlayButtonBackgroundsCount; videoPlayButtonBackgroundIndex++)
        {
            var videoPlayButtonBackground = videoPlayButtonBackgrounds[videoPlayButtonBackgroundIndex];

            videoPlayButtonBackground.style.backgroundSize = videoPlayerBoxBackgroundSize; //"auto";
            // videoPlayButtonBackground.style.backgroundImage = posterImgURL;
        }
    } catch (error)
    {
        console.log(error);
    }
};

GSApp_Video.getYouKuVideoThumbnail = function (youKuVideoId)
{
    var requestURL = "https://api.youku.com/videos/show.json?client_id=6bfe5b183f11e7d9&video_id=" + youKuVideoId; { }
    gsPostToURL(requestURL, "GET", "", false, "GSApp_Video.didGetYouKuVideoThumbnail");
}

GSApp_Video.getBilibiliVideoThumbnail = function (videoNodeId, bilibiliURL)
{
    if (bilibiliURL != null &&
        bilibiliURL != undefined &&
        bilibiliURL.length > 0)
    {
        //拆分bilibili视频id
        var video_AId = "";
        var video_BVId = "";
        var secs = bilibiliURL.split("/");
        if (secs != null &&
            secs != undefined &&
            secs.length > 0)
        {
            for (var index = 0; index < secs.length; index++)
            {
                const secItem = secs[index];
                if (secItem.indexOf("av") != -1
                    && video_AId.length < 1)
                {
                    video_AId = secItem.replace("av", "");
                }
                if (secItem.indexOf("BV") != -1
                    && video_BVId.length < 1)
                {
                    video_BVId = secItem;
                }
            }
        }

        var requestParams = "";
        if (video_AId.length > 0)
        {
            requestParams = "aid=" + video_AId;
        }
        if (video_BVId.length > 0)
        {
            if (requestParams.length > 0)
            {
                requestParams += "&";
            }
            requestParams += "bvid=" + video_BVId;
        }
        if (requestParams.length > 0)
        {
            //
            requestParams = requestParams.replace("?", "&");
            //

            gsPostToURL(
                "https://instrument.gamersky.com/HTTPHelper/Get?url=https://api.bilibili.com/x/web-interface/view?" + requestParams,
                "JSON",
                "",
                false,
                "GSApp_Video.didGetBilibiliVideoThumbnail");
            ""
        }
    }
}

GSApp_Video.didGetBilibiliVideoThumbnail = function (thumbnailResult)
{
    if (thumbnailResult != null &&
        thumbnailResult != undefined &&
        thumbnailResult.length > 0)
    {
        var response = JSON.parse(decodeURIComponent(thumbnailResult));
        var result = null;
        if (response != null &&
            response != undefined)
        {
            if (response.result != null &&
                response.result != undefined)
            {
                result = response.result;
            }
            else
            {
                result = response;
            }
        }

        var responseResult = null;
        if (result != null)
        {
            if (typeof (result) == "string")
            {
                responseResult
                    = JSON.parse(result);
                if (typeof (responseResult) == "string")
                {
                    responseResult
                        = JSON.parse(responseResult);
                }
            } else
            {
                responseResult
                    = result;
            }

        }

        var videoData = null;
        if (responseResult != null)
        {
            if (responseResult.data != null &&
                responseResult.data != undefined)
            {
                videoData = responseResult.data;
            }
        }

        var aId = null;
        var bvId = null;
        var videoThumbnailURL = null;
        if (videoData != null &&
            videoData != undefined)
        {
            aid = videoData.aid;
            bvId = videoData.bvid;
            videoThumbnailURL = videoData.pic;
        }
        if (videoThumbnailURL != null &&
            videoThumbnailURL.length > 0 &&
            aid.toString() != null &&
            aid.toString().length > 0)
        {
            var videoIdForCheck_AId = "www.bilibili.com/video/av" + aid;
            var videoIdForCheck_BvId = "www.bilibili.com/video/" + bvId;

            var videoObjs = GSApp_Video.videoObjects;
            for (var index = 0; index < videoObjs.length; index++)
            {
                const videoObj = videoObjs[index];
                if (videoObj.videoSrc.indexOf(videoIdForCheck_AId) != -1
                    || videoObj.videoSrc.indexOf(videoIdForCheck_BvId) != -1)
                {
                    var nodeId = videoObj.id;
                    GSApp_Video.setThumbnailOfImageWithVideoId(nodeId, videoThumbnailURL);
                }
            }
        }
    }
}

GSApp_Video.didGetYouKuVideoThumbnail = function (thumbnailResult)
{
    if (thumbnailResult != null &&
        thumbnailResult != undefined)
    {
        var resultParse = decodeURIComponent(thumbnailResult);

        if (resultParse.indexOf("jQuery") != -1)
        {
            var startIdx = resultParse.indexOf("({");
            var endIdx = resultParse.indexOf("});");
            resultParse
                = resultParse.substring(startIdx + 1, resultParse.length - endIdx);
        } else { }

        var thumbnailJsonResult = JSON.parse(resultParse);
        var thumbnailJson = null;

        if (thumbnailJsonResult != null &&
            thumbnailJsonResult != undefined)
        {
            try
            {
                if (thumbnailJsonResult.result != null &&
                    thumbnailJsonResult.result != undefined)
                {
                    thumbnailJson
                        = thumbnailJsonResult.result;
                } else
                {
                    thumbnailJson
                        = thumbnailJsonResult
                }
                if (thumbnailJson != null &&
                    thumbnailJson != undefined)
                {
                    GSApp_Video.setThumbnailOfImageWithYouKuVideoId(thumbnailJson.id, thumbnailJson.bigThumbnail);
                }
            } catch (error)
            {
                console.log(error.toString());
            }
        }
    }
}

GSApp_Video.setThumbnailOfImageWithYouKuVideoId = function (youKuVideoId, posterImgURL)
{
    try
    {
        var videoPlayerBox = null;

        var videoNodes = document.getElementsByName(youKuVideoId);
        if (videoNodes != null &&
            videoNodes != undefined &&
            videoNodes.length > 0)
        {
            for (var i = 0; i < videoNodes.length; i++)
            {
                const videoNode = videoNodes[i];
                if (videoNode.getAttribute("name") == youKuVideoId)
                {
                    videoPlayerBox = videoNode;
                    break;
                }
            }
        }

        if (videoPlayerBox != null &&
            videoPlayerBox != undefined)
        {
            videoPlayerBox.style.backgroundImage = "url(" + posterImgURL + ")";
            videoPlayerBox.style.backgroundSize = "cover";
        }
    } catch (error)
    {
        console.log(error);
    }
};

GSApp_Video.playWithVideoId = function (videoId)
{
    try
    {
        var videoContent = GSApp_Video.getVideoContentWithId(videoId);
        if (!videoContent)
        {
            return;
        }
        var videoPlayerBox = document.getElementById(videoId);
        if (videoPlayerBox == null)
        {
            return;
        }

        var videoSrc = videoContent.videoSrc;
        if (!videoSrc || videoSrc.length < 1)
        {
            videoSrc = videoContent.videoOriginURL ? videoContent.videoOriginURL : "";
        }

        var videoYouKuVideoId = videoContent.youkuVideoId;
        if (!videoYouKuVideoId)
        {
            videoYouKuVideoId = "";
        }

        var videoPlayerBoxLeft = videoPlayerBox.offsetLeft;
        var videoPlayerBoxTop = videoPlayerBox.offsetTop;
        var videoPlayerBoxWidth = videoPlayerBox.scrollWidth;
        var videoPlayerBoxHeight = videoPlayerBox.scrollHeight;
        if (videoPlayerBoxWidth <= 0
            || videoPlayerBoxHeight <= 0)
        {
            videoPlayerBoxWidth = GSApp_MainBody.getContentAreaWidth();
            videoPlayerBoxHeight = videoPlayerBoxWidth * 1080.0 / 1920.0;
        }

        var msgToPlayVideo = "GSApp://play.video.app?{" +
            "\"id\":\"" + videoId + "\"" +
            ", \"videoSrc\":\"" + videoSrc + "\"" +
            ", \"youKuVideoId\":\"" + videoYouKuVideoId + "\"" +
            ", \"frame\":[" +
            videoPlayerBoxLeft +
            ", " + videoPlayerBoxTop +
            ", " + videoPlayerBoxWidth +
            ", " + videoPlayerBoxHeight +
            "]}";
        if (gsIsCurrentOSIOS())
        {
            GSApp.sendMessage(msgToPlayVideo);
        } else
        {
            var windowOriginalScrollY = window.scrollY;
            var windowObjectScrollY = videoPlayerBox.offsetTop;

            var scrollLineAnimation = new GSLineAnimation(0.5, "easeOut",
                function (animationProgress)
                {
                    window.scrollTo(0,
                        windowOriginalScrollY +
                        (windowObjectScrollY - windowOriginalScrollY) * animationProgress);
                    if (animationProgress == 1)
                    {
                        GSApp.sendMessage(msgToPlayVideo);
                    }
                });
            scrollLineAnimation.startAnimation();
        }
    } catch (error)
    {
        console.log(error);
    }
};

GSApp_Video.createLeTvVideoHTML = function (videoId, videoParam)
{
    var bodyWidth = document.body.clientWidth - 24.0;
    var height = bodyWidth * 9.0 / 16.0;
    var width = bodyWidth;
    var leTv_videosupport_js = "http:\/\/j.gamersky.com\/wap\/js\/leTv_videosupport_2.0_v1.m.js";

    var html = "<div id=\"leshitvauto\" style=\"margin-left:auto;margin-right:auto; width:" + width + "; height:" + height + ";\">"

        +
        "<script type=\"text\/javascript\">"

        +
        "var domainname = \"http:\/\/yuntv.letv.com\/\";"

        +
        "<\/script>" +
        "<script type=\"text\/javascript\" src=\"http:\/\/yuntv.letv.com\/swfobj_1.3.m.js\"><\/script>"

        +
        "<script type=\"text\/javascript\" src=\"" + leTv_videosupport_js + "\"><\/script>"

        +
        "<script type=\"text\/javascript\" src=\"http:\/\/yuntv.letv.com\/user_defined.js?v2\"><\/script>"

        +
        "<script type=\"text\/javascript\" src=\"http:\/\/yuntv.letv.com\/js\/player_v2.3.js\" data=\"{uu:'" + videoId + "',vu:'" + videoParam + "',auto_play:'0',gpcflag:'1',width:'" + width + "',height:'" + height + "'}\"><\/script>"

        +
        "<\/div>";

    return html;
};

GSApp_Video.createVideoHTMLWithVideoInfo = function (videoInfo, preNode)
{
    var videoHTML = "";

    if (videoInfo.videoOriginal.indexOf("bilibili.com") != -1)
    {
        gsVideoInApp("B站", "<iframe width=\"550\" height=\"310\" src=\"" + videoInfo.videoOriginal + "\" scrolling=\"no\" border=\"0\" frameborder=\"no\" framespacing=\"0\" allowfullscreen=\"true\"></iframe>", null, null, null, null, preNode);
    }
    else if (videoInfo.videoOriginal.indexOf("youku") != -1)
    {
        gsVideoInApp("优酷", videoInfo.videoOriginal, null, null, null, null, preNode);
    }

    return videoHTML;
}

/*视频相关方法*/
// 优酷视频Id结束符号
GSApp_Video.kYouKuVideoIdEndSign = "==";
GSApp_Video.getYouKuVideoIdWithContentURL = function (videoContent)
{
    // 尝试获取优酷视频Id.
    var youkuVideoId = null;
    if (videoContent != null &&
        videoContent.length > -1)
    {
        // 去除空格.
        videoContent = videoContent.replace(new RegExp(" ", "gm"), "");
        // 保存原始视频内容.
        var originVideoContent = videoContent;
        // 小写化.
        videoContent = videoContent.toLowerCase();

        // 尝试从URL格式的视频代码中获取视频Id.
        var urlPlayerSign = "://v.youku.com/v_show/id_"; // "http://v.youku.com/v_show/id_"
        var indexOfURLPlayerSign = videoContent.indexOf(urlPlayerSign);


        if (indexOfURLPlayerSign > -1)
        {
            var youkuVideoIdBeginCharIndex = indexOfURLPlayerSign + urlPlayerSign.length;
            var youkuVideoIdEndCharIndex = videoContent.indexOf(
                GSApp_Video.kYouKuVideoIdEndSign,
                youkuVideoIdBeginCharIndex);
            if (youkuVideoIdEndCharIndex >= 0)
            {
                youkuVideoIdEndCharIndex
                    = youkuVideoIdEndCharIndex +
                    GSApp_Video.kYouKuVideoIdEndSign.length;
            } else
            {
                youkuVideoIdEndCharIndex
                    = videoContent.indexOf(
                        ".",
                        youkuVideoIdBeginCharIndex);
                if (youkuVideoIdEndCharIndex < 0)
                {
                    youkuVideoIdEndCharIndex
                        = videoContent.length;
                }
            }
            youkuVideoId
                = originVideoContent.substring(
                    youkuVideoIdBeginCharIndex,
                    youkuVideoIdEndCharIndex);
        } else
        {
            // 尝试从iFrame格式的视频代码中获取视频Id.
            var iFramePlayerSign = "://player.youku.com/embed/"; // "http://player.youku.com/embed/";
            var indexOfiFramePlayerSign = videoContent.indexOf(iFramePlayerSign);
            if (indexOfiFramePlayerSign > -1)
            {
                var youkuVideoIdBeginCharIndex = indexOfiFramePlayerSign + iFramePlayerSign.length;
                var youkuVideoIdEndCharIndex = videoContent.indexOf(
                    GSApp_Video.kYouKuVideoIdEndSign,
                    youkuVideoIdBeginCharIndex);
                if (youkuVideoIdEndCharIndex != -1)
                {
                    youkuVideoIdEndCharIndex
                        += GSApp_Video.kYouKuVideoIdEndSign.length;
                } else
                {
                    youkuVideoIdEndCharIndex
                        = originVideoContent.length;
                }
                youkuVideoId
                    = originVideoContent.substring(youkuVideoIdBeginCharIndex, youkuVideoIdEndCharIndex);
            } else
            {
                // 尝试从JS格式的视频代码中获取视频Id.
                var jsPlayerSign = "vid:'";
                var indexOfJSPlayerSign = videoContent.indexOf(jsPlayerSign);
                if (indexOfJSPlayerSign > -1)
                {
                    var youkuVideoIdBeginCharIndex = indexOfJSPlayerSign + jsPlayerSign.length;
                    var youkuVideoIdEndCharIndex = videoContent.indexOf(
                        GSApp_Video.kYouKuVideoIdEndSign,
                        youkuVideoIdBeginCharIndex) +
                        GSApp_Video.kYouKuVideoIdEndSign.length;
                    youkuVideoId
                        = originVideoContent.substring(youkuVideoIdBeginCharIndex,
                            youkuVideoIdEndCharIndex);
                }
            }
        }
    }
    return youkuVideoId;
};

GSApp_Video.videoObjects = new Array();

GSApp_Video.addVideoContent = function (videoOriginContent, isVideoOriginContentVideoSrc)
{
    if (videoOriginContent == null)
    {
        videoOriginContent = "";
    } else
    {
        videoOriginContent = videoOriginContent.trim();
    }
    videoOriginContent = videoOriginContent.trim();

    ////////////////////////////////////////////////
    // 过滤调整 videoOriginContent
    ////////////////////////////////////////////////
    var videoURL = videoOriginContent;
    var videoSrc = "";
    var youkuVideoId = "";
    if (isVideoOriginContentVideoSrc)
    {
        videoSrc = videoOriginContent;
    } else
    {
        var indexOfIFrameTagBeginCharIndex = videoOriginContent.indexOfWithIgnorecase("<iframe");
        if (indexOfIFrameTagBeginCharIndex == 0)
        {
            var indexOfIFrameTagEndCharIndex = videoOriginContent.indexOf(">");
            if (indexOfIFrameTagEndCharIndex > -1)
            {
                var iFrameTag = videoOriginContent.substring(indexOfIFrameTagBeginCharIndex,
                    indexOfIFrameTagEndCharIndex + 1);
                if (iFrameTag != null && iFrameTag.length > 0)
                {
                    var srcBegin = "src=\"";
                    var indexOfSrcBeginCharIndex = iFrameTag.indexOfWithIgnorecase(srcBegin);
                    if (indexOfSrcBeginCharIndex < 0)
                    {
                        srcBegin = "src=\'";
                        indexOfSrcBeginCharIndex
                            = iFrameTag.indexOfWithIgnorecase(srcBegin);
                    }
                    if (indexOfSrcBeginCharIndex > 0)
                    {
                        iFrameTag = iFrameTag.substring(indexOfSrcBeginCharIndex + srcBegin.length);
                        indexOfSrcBeginCharIndex = 0;

                        var srcEndSign = srcBegin.charAt(srcBegin.length - 1);

                        var indexOfSrcEndCharIndex = iFrameTag.indexOf(srcEndSign);
                        if (indexOfSrcEndCharIndex > 0)
                        {
                            var iFrameTagLength = iFrameTag.length;
                            while (indexOfSrcEndCharIndex > 0 &&
                                indexOfSrcEndCharIndex < iFrameTagLength &&
                                iFrameTag.charAt(indexOfSrcEndCharIndex - 1) == "\\")
                            {
                                indexOfSrcEndCharIndex = iFrameTag.indexOf(srcEndSign, indexOfSrcEndCharIndex + 1);
                            }
                        }
                        if (indexOfSrcEndCharIndex < 0)
                        {
                            indexOfSrcEndCharIndex = iFrameTag.length;
                        }

                        iFrameTag = iFrameTag.substring(indexOfSrcBeginCharIndex,
                            indexOfSrcEndCharIndex - indexOfSrcBeginCharIndex);
                        ////////////////////////////////////////////////
                        // 调整后的 videoOriginContent
                        ////////////////////////////////////////////////
                        // !!!
                        videoURL = iFrameTag;
                        // !!!
                    }
                }
            }
        } else if (videoOriginContent.indexOfWithIgnorecase("bdstatic.com") >= 0)
        {
            var videoSrcBeginSign = "src=\"";
            var videoSrcBeginSignBeginIndex = videoOriginContent.indexOfWithIgnorecase(videoSrcBeginSign);
            if (videoSrcBeginSignBeginIndex >= 0)
            {
                var videoSrcBeginIndex = videoSrcBeginSignBeginIndex + videoSrcBeginSign.length;
                var videoSrcEndIndex = videoOriginContent.indexOf("\"", videoSrcBeginIndex);
                if (videoSrcEndIndex > videoSrcBeginIndex)
                {
                    videoURL = videoOriginContent.substring(videoSrcBeginIndex, videoSrcEndIndex);
                }
            }
        }
        // !!!
        youkuVideoId = GSApp_Video.getYouKuVideoIdWithContentURL(videoURL);
        // !!!
    }


    ////////////////////////////////////////////////
    // 加入 kGSVideoOriginContents
    ////////////////////////////////////////////////
    if (GSApp_Video.videoObjects == null)
    {
        GSApp_Video.videoObjects = new Array();
    }
    var videoObject = new Object(); {
        videoObject.id = GSApp_Video.createVideoId(GSApp_Video.videoObjects.length);
        videoObject.videoSrc = videoSrc;
        videoObject.videoOriginURL = videoURL;
        videoObject.youkuVideoId = youkuVideoId;
        videoObject.play = function ()
        {
            GSApp_Video.playWithVideoId(videoObject.id);
        };
    }
    GSApp_Video.videoObjects.push(videoObject);

    return videoObject;
}

GSApp_Video.getVideoContentWithId = function (videoContentId)
{
    if (videoContentId &&
        videoContentId.length > 0)
    {
        for (var i = GSApp_Video.videoObjects.length - 1; i > -1; i--)
        {
            var videoContent = GSApp_Video.videoObjects[i];
            if (videoContent.id == videoContentId)
            {
                return videoContent;
            }
        }
    }
    return null;
};


////////////////////////////////////////////////
// @“延迟IFrame”操作
////////////////////////////////////////////////
var GSApp_DelayIFrame = function () { };
GSApp_DelayIFrame.loadAllOriginSrcs = function ()
{
    try
    {
        var delayIFrames = GSApp_MainBody()
            .getElementsByClassName("GSApp_DelayIFrame");
        if (delayIFrames &&
            delayIFrames.length > 0)
        {
            for (var iframeIndex = 0; iframeIndex < delayIFrames.length; iframeIndex++)
            {
                var iframe = delayIFrames[iframeIndex];
                iframe.src = iframe.getAttribute("originSrc");
            }
        }
    } catch (exception)
    {
        console.log(exception);
    }
};

////////////////////////////////////////////////
/*页码控制器*/
////////////////////////////////////////////////
var GSApp_PageControlBar = function ()
{
}

GSApp_PageControlBar.create = function () 
{
    if (kContentType != "gongLue"
        || kContentTotalPages < 2)
    {
        return;
    }

    var controlBarHTML
        = GSApp_PageControlBar.createHTML();

    var mainBody = document.getElementById("gsApp_MainBody");
    mainBody.insertAdjacentHTML("afterEnd", controlBarHTML);

    GSApp_PageControlBar.registControlBarButton();
}

GSApp_PageControlBar.createHTML = function ()
{

    var preAble = "";
    if (kContentPageIndex == 1) 
    {
        preAble = "Unable";
    }
    var nextAble = "";
    if (kContentPageIndex == kContentTotalPages) 
    {
        nextAble = "Unable";
    }
    var htmlString
        = "<div class=\"GSApp_PageControlBar\" id=\"gsApp_PageControlBar\">"
        + "<div class=\"PreviousPage " + preAble + "\" id=\"gsApp_PageControlBar_PreviousPage\">"
        + "<span class=\"Tip\">上一页</span>"
        + "</div>"
        + "<div class=\"PageIndex\" id=\"gsApp_PageControlBar_PageIndex\">第" + kContentPageIndex + "页</div>"
        + "<div class=\"NextPage " + nextAble + "\" id=\"gsApp_PageControlBar_NextPage\">"
        + "<span class=\"Tip\">下一页</span>"
        + "</div>"
        + "</div>";

    return htmlString;
}

GSApp_PageControlBar.registControlBarButton = function () 
{
    var controlBarNode
        = document.getElementById("gsApp_PageControlBar");

    var preButton
        = document.getElementById("gsApp_PageControlBar_PreviousPage");
    var nextButton
        = document.getElementById("gsApp_PageControlBar_NextPage");

    gsAddTouchListenerToObject(preButton,
        function () 
        {
            if (kContentPageIndex == 1) 
            {
                return;
            }
            else
            {
                GSApp_PageControlBar.loadStrategyContentWithPageIndex(Number(kContentPageIndex) - 1);
                // GSApp_PageControlBar.checkPageButtonState(preButton, nextButton); 
            }
        });
    gsAddTouchListenerToObject(nextButton,
        function () 
        {
            if (kContentPageIndex == kContentTotalPages) 
            {
                return;
            }
            else
            {
                GSApp_PageControlBar.loadStrategyContentWithPageIndex(Number(kContentPageIndex) + 1);
                // GSApp_PageControlBar.checkPageButtonState(preButton, nextButton);
            }
        });
}

GSApp_PageControlBar.checkPageButtonState = function (preButton, nextButton) 
{
    if (kContentPageIndex - 1 <= 0) 
    {
        preButton.className = "PreviousPage Unable";
    }
    else if (kContentPageIndex >= kContentTotalPages)
    {
        nextButton.className = "NextPage Unable";
    }
    else
    {
        preButton.className = "PreviousPage";
        nextButton.className = "NextPage";
    }

}

GSApp_PageControlBar.loadStrategyContentWithPageIndex = function (pageIndex) 
{
    var pageIndexNode
        = document.getElementById("gsApp_PageControlBar_PageIndex");
    pageIndexNode.innerText = "第" + pageIndex + "页";

    if (kContentType == "gongLue"
        && _kGSAppVersionNumberCode >= 472)
    {
        var changePageIndexMsg
            = "GSApp://load.strategy.app?{\"pageIndex\":" + "\"" + pageIndex + "\"" + "}";
        kReadPosition = { x: 0, y: 0 };
        GSApp.sendMessage(changePageIndexMsg);
    }
}

////////////////////////////////////////////////
/*点赞条*/
////////////////////////////////////////////////
var GSApp_OperateBar = function (praiseId)
{
    return document.getElementById(GSApp_OperateBar.createPraiseBarId(praiseId));
};
GSApp_OperateBar.createPraiseBarId = function (praiseId)
{
    return "GSApp_OperateBar_" + praiseId;
};
// 参数格式：
// [
//     {
//         "id": "101",
//         "praisesCount": 123,
//         "treadsCount": 456,
//         "operatied"： ""
//     }
// ]
GSApp_OperateBar.createHTML = function ()
{
    var praiseBar = "";
    try
    {
        var praiseBarClass = "";

        ///5.0临时
        // if (praiseInfo.praised)
        // {
        // 	praiseBarClass = " Selected";
        // }
        ///

        // if (_kGSAppVersionNumberCode >= 500) 
        // {

        // }
        // else
        // {
        // 	if (kContentType == "gongLue")
        // 	{
        // 		praiseBarClass += " DoubleButton";
        // 	}
        // }

        praiseBar
            = "<div class=\"GSApp_OperateBar" + praiseBarClass + "\" id=\"" + GSApp_OperateBar.createPraiseBarId(kContentId) + "\">";

        ///兼容低版本,暂时先不移除该部分代码
        // if (_kGSAppVersionNumberCode >= 500) 
        // {

        // }
        // else
        // {
        // 	if (kContentType == "gongLue")
        // 	{
        // 		praiseBar
        // 			+= "<div class=\"Description\">本文对您是否有帮助</div>"
        // 			+ " <a class=\"Button PraiseButton" + praiseBarClass + "\" id=\"praiseButton_" + praiseInfo.contentId + "\" align=\"center\">"
        // 			+ "     <span class=\"Caption\">有 " + praiseInfo.praisesCount + "</span>"
        // 			+ " </a>"
        // 			+ " <a class=\"Button PraiseButton Tread" + praiseBarClass + "\" id=\"treadButton_" + praiseInfo.contentId + "\" align=\"center\">"
        // 			//+ "     <span class=\"Caption\">未解决 " + praiseInfo.treadsCount + "</span>"
        // 			+ "     <span class=\"Caption\">没有</span>"
        // 			+ " </a>"
        // 	}
        // }


        praiseBar
            += " <a class=\"OperateBarButton PraiseButton" + praiseBarClass + "\" id=\"praiseButton_" + kContentId + "\" align=\"center\">" +
            "     <span class=\"Caption Icon\">" + "0" + "</span>" +
            " </a>";

        if (_kGSAppVersionNumberCode >= 500)
        {
            ///
            if (kContentType == "gongLue")
            {
                praiseBar
                    = praiseBar +
                    " <a class=\"OperateBarButton TreadButton" + praiseBarClass + "\" id=\"treadButton_" + kContentId + "\" align=\"center\">" +
                    "     <span class=\"Caption Icon\">不喜欢</span>" +
                    " </a>";
            } else
            {
                praiseBar
                    = praiseBar +
                    " <a class=\"OperateBarButton WechatButton" + praiseBarClass + "\" id=\"wechatButton_" + kContentId + "\" align=\"center\">" +
                    "     <span class=\"Caption Icon\">" + "微信" + "</span>" +
                    " </a>";
            }

            ///
            praiseBar
                = praiseBar +
                " <a class=\"OperateBarButton MomentsButton" + praiseBarClass + "\" id=\"momentsButton_" + kContentId + "\" align=\"center\">" +
                "     <span class=\"Caption Icon\">" + "朋友圈" + "</span>" +
                " </a>";
            ///
            praiseBar
                = praiseBar +
                " <a class=\"OperateBarButton QQButton" + praiseBarClass + "\" id=\"qqButton" + kContentId + "\" align=\"center\">" +
                "     <span class=\"Caption Icon\">" + "QQ" + "</span>" +
                " </a>";
        } else
        {
            if (kContentType == "gongLue")
            {
                praiseBar
                    = praiseBar +
                    " <a class=\"OperateBarButton TreadButton" + praiseBarClass + "\" id=\"treadButton_" + kContentId + "\" align=\"center\">" +
                    "     <span class=\"Caption Icon\">不喜欢</span>" +
                    " </a>";
            }
        }
        praiseBar
            = praiseBar +
            "</div>";
    } catch (error)
    {
        console.log(error.toString());
    }
    return praiseBar;
};
GSApp_OperateBar.createHTMLWithPraiseInfo = function ()
{
    var praiseInfoHTML = GSApp_OperateBar.createHTML();
    return praiseInfoHTML;
};

GSApp_OperateBar.registerButtons = function ()
{
    var praiseBars = document.getElementsByClassName("GSApp_OperateBar");
    for (var barIndex = praiseBars.length - 1; barIndex > -1; barIndex--)
    {
        var bar = praiseBars[barIndex];

        var praiseButtons = bar.getElementsByClassName("OperateBarButton");
        for (var buttonIndex = praiseButtons.length - 1; buttonIndex > -1; buttonIndex--)
        {
            var button = praiseButtons[buttonIndex];
            gsAddTouchListenerToObject(
                button,
                function ()
                {
                    try
                    {
                        var selectedClassName = "Selected";

                        var button = gsGetSuperElementWithClassOf(event.target, "OperateBarButton");
                        var contentId = "";
                        var appMsg = "";
                        if (gsIsElementClass(button, "PraiseButton"))
                        {
                            if (gsIsElementClass(button, "Selected"))
                            {
                                return;
                            }
                            contentId
                                = gsGetInstanceElementDataId(button, "praiseButton");

                            GSApp_OperateBar.didPraised();
                            appMsg
                                = "GSApp://praise.praiseInfo.content.app?{\"contentType\":\"" + kContentType + "\"" +
                                ", \"contentId\":\"" + contentId + "\"" +
                                ", \"callback\":\"GSApp_OperateBar.didPraised\"}";
                        } else if (gsIsElementClass(button, "TreadButton"))
                        {
                            if (gsIsElementClass(button, "Selected"))
                            {
                                return;
                            }
                            contentId
                                = gsGetInstanceElementDataId(button, "treadButton");

                            // @temp 临时修复的前端问题
                            GSApp_OperateBar.didTreaded();
                            appMsg
                                = "GSApp://tread.praiseInfo.content.app?{\"contentType\":\"" + kContentType + "\"" +
                                ", \"contentId\":\"" + contentId + "\"" +
                                ", \"callback\":\"GSApp_OperateBar.didTreaded\"}";
                        } else
                        {
                            var platform = "";
                            if (gsIsElementClass(button, "WechatButton"))
                            {
                                platform = "weiXin";
                            } else if (gsIsElementClass(button, "MomentsButton"))
                            {
                                platform = "pengYouQuan";
                            } else if (gsIsElementClass(button, "QQButton"))
                            {
                                platform = "qq";
                            }

                            var isNewAppVersion = false;
                            if (_kGSAppVersionNumberCode < 1000)
                            {
                                if (_kGSAppVersionNumberCode >= 523)
                                {
                                    isNewAppVersion = true;
                                }
                            } else if (_kGSAppVersionNumberCode >= 5230)
                            {
                                isNewAppVersion = true;
                            }

                            if (isNewAppVersion)
                            {
                                if (gsIsCurrentOSAndroid())
                                {
                                    appMsg
                                        = "GSApp://share.app?{\"platform\":\"" +
                                        platform +
                                        "\",\"type\":\"url\",\"title\":\"" +
                                        kShareContentTitle +
                                        "\",\"URL\":\"" +
                                        kContentURL +
                                        "\",\"description\":\"" +
                                        kShareContentSubtitle +
                                        "\",\"thumbnailURL\":\"" +
                                        kContentThumbnail +
                                        "\",\"lotteryId\":\"" +
                                        kContentId +
                                        "\",\"callback\":\"GSApp.didShared\"}";
                                } else
                                {
                                    appMsg
                                        = "GSApp://share.app?{\"platform\":\"" +
                                        platform +
                                        "\",\"type\":\"url\",\"title\":\"" +
                                        kShareContentTitle +
                                        "\",\"URL\":\"" +
                                        kContentURL +
                                        "\",\"subTitle\":\"" +
                                        kShareContentSubtitle +
                                        "\",\"thumbnailURL\":\"" +
                                        kContentThumbnail +
                                        "\",\"lotteryId\":\"" +
                                        kContentId +
                                        "\",\"callback\":\"GSApp.didShared\"}";
                                }
                            } else
                            {
                                appMsg
                                    = "GSApp://share.app?{\"platform\":\"" +
                                    platform +
                                    "\",\"type\":\"url\",\"title\":\"" +
                                    kShareContentTitle +
                                    "\",\"originURL\":\"" +
                                    kContentURL +
                                    "\",\"subtitle\":\"" +
                                    kShareContentSubtitle +
                                    "\",\"thumbnailURL\":\"" +
                                    kContentThumbnail +
                                    "\",\"lotteryId\":\"" +
                                    kContentId +
                                    "\",\"callback\":\"GSApp.didShared\"}";
                            }
                        }
                        GSApp.sendMessage(appMsg);
                    } catch (error)
                    {
                        console.log(error.toString());
                    }
                });
        }
    }
};

GSApp.didShared = function (response)
{

}

GSApp_OperateBar.create = function ()
{
    //先添加人数为0的点赞按钮 再获取数据

    var praiseBars = GSApp_OperateBar.createHTMLWithPraiseInfo();

    if (praiseBars.length > 0)
    {
        var mainBody = document.getElementById("gsApp_MainBody");
        mainBody.insertAdjacentHTML("afterEnd", praiseBars);

        // !!!
        GSApp_OperateBar.registerButtons();
        // !!!
    }


    var appMsg = "GSApp://get.praiseInfo.content.app?{" +
        "\"contentType\":\"" + kContentType + "\"" +
        ", \"contentId\":\"" + kContentId + "\"" +
        ", \"callback\":\"GSApp_OperateBar.insertPraiseBarWithPraiseInfo\"}";
    GSApp.sendMessage(appMsg);
};
GSApp_OperateBar.insertPraiseBarWithPraiseInfo = function (praiseInfo)
{
    try
    {
        if (praiseInfo.contentId != kContentId)
        {
            return;
        }

        var praiseBar = GSApp_OperateBar(praiseInfo.contentId);
        if (praiseBar)
        {
            var praiseBarCaption = praiseBar.getElementsByClassName("Caption")[0];
            praiseBarCaption.innerText = praiseInfo.praisesCount;

            if (praiseInfo.praised == true)
            {
                if (praiseBarCaption.parentNode != null &&
                    praiseBarCaption.parentNode != undefined)
                {
                    praiseBarCaption.parentNode.className = "OperateBarButton PraiseButton Selected";
                }
            }
            return;
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};
// {
//     "error": "",
//     "operation": ""
// }
GSApp_OperateBar.didPraised = function (praisedInfo)
{
    try
    {
        var praiseButton = document.getElementById("praiseButton_" + kContentId);

        if (gsIsElementClass(praiseButton, "Selected"))
        {
            return;
        }

        var praiseButtonCaption = praiseButton ?
            praiseButton.getElementsByClassName("Caption")[0] :
            null;

        var praisesCount = 0;
        var praiseCaption = praiseButtonCaption.innerText.replace(/[^0-9]/ig, "");

        praisesCount
            = parseInt(praiseCaption) + 1;

        praiseButtonCaption.innerText = praisesCount;

        praiseButton.className = "OperateBarButton PraiseButton Selected";

        // GSApp.showTips("点赞成功");
        // GSApp.vibrate();
    } catch (error)
    {
        console.log(error.toString());
    }
};


GSApp_OperateBar.didTreaded = function (treadInfo)
{
    try
    {
        var treadButton = document.getElementById("treadButton_" + kContentId);

        if (gsIsElementClass(treadButton, "Selected"))
        {
            return;
        }

        treadButton.className = "OperateBarButton TreadButton Selected";
    } catch (error)
    {
        console.log(error.toString());
    }
}

////////////////////////////////////////////////
/*圈子标题条相关*/
////////////////////////////////////////////////

GSApp.createClubTitleBar = function ()
{
    if (kContentType == "zhuTi.quanZi" &&
        kClubId.length > 0)
    {
        var clubTitleNode = document.createElement("div"); {
            clubTitleNode.id = "gsApp_ClubBar_" + kClubId;
            clubTitleNode.innerHTML = "<div class=\"GSApp_SplitLine\" id=\"splitLine_gsApp_GSAppClubBar_Top\"></div>" +
                "<div class=\"GSApp_TitleBar GSApp_ClubBar NoData\"  id=\"gsapp_ClubBar\" onclick=\"GSApp.openURL('http://i.gamersky.com/club/" + kClubId + "');\">" +
                " <span class=\"Caption\" id=\"gsapp_ClubBar_caption\"></span>" +
                " <div class=\"Thumbnail\" id=\"gsapp_ClubBar_thumnail\"></div>" +
                " <div class=\"Icon\" id=\"gsapp_ClubBar_icon\"></div>" +
                " <div class=\"IconTip\" id=\"gsapp_ClubBar_iconTip\">前往圈子</div>" +
                "</div>" +
                "<div class=\"GSApp_SplitLineWithNoPadding\" id=\"splitLine_gsApp_GSAppClubBar_Bottom\"></div>";

            var praise = document.getElementById("GSApp_OperateBar_" + kContentId);

            //主动刷新一次圈子信息
            GSApp.didUpdateClubInfo();

            if (praise != null &&
                praise != undefined)
            {
                praise.parentNode.insertAdjacentHTML("beforeEnd", clubTitleNode.innerHTML);

                ///!!!!
                try
                {
                    GSApp_SplitLine("gsApp_MainBody").parentNode.removeChild(GSApp_SplitLine("gsApp_MainBody"));
                } catch (error)
                {
                    console.log(error);
                }
                ///!!!!
            }
        }
    }
}

var kClubInfo = null;
var kClubName = "";
var kClubThumbnailURL = "";

GSApp.didGetClubStrandardInfo = function (clubResult)
{
    var clubInfoJson = JSON.parse(decodeURIComponent(clubResult));

    var clubInfo = null;
    if (gsIsCurrentOSIOS())
    {
        if (_kGSAppVersionNumberCode >= 500)
        {
            if (clubInfoJson.result != null &&
                clubInfoJson.result != undefined)
            {
                clubInfo
                    = clubInfoJson.result;
            }
            if (clubInfo == null ||
                clubInfo == undefined)
            {
                clubInfo
                    = clubInfoJson;
            }
        } else
        {
            if (clubInfoJson.errorCode == 0)
            {
                clubInfo
                    = clubInfoJson.result;
            }
        }
    } else if (gsIsCurrentOSAndroid())
    {
        if (clubInfoJson.errorCode == 0)
        {
            clubInfo
                = clubInfoJson.result;
        }
    }

    kClubInfo = clubInfo;
    kClubName = clubInfo.name;
    kClubThumbnailURL = clubInfo.thumbnailURL;
}

//刷新圈子信息栏的内容
GSApp.didUpdateClubInfo = function ()
{
    gsPostToURL("http://i.gamersky.com/appapi/v2/getClub",
        "JSON",
        "{\"clubId\":\"" + kClubId + "\"}",
        true,
        "GSApp.didUpdateClubTitleBarInfo");
}

GSApp.didUpdateClubTitleBarInfo = function (clubResult)
{
    GSApp.didGetClubStrandardInfo(clubResult);

    if (kClubInfo != null &&
        kClubInfo != undefined)
    {
        kClubName = kClubInfo.name;
        kClubThumbnailURL = kClubInfo.thumbnailURL;

        var clubBar = document.getElementById("gsapp_ClubBar");
        if (clubBar != null &&
            clubBar != undefined)
        {
            if (kClubName != null &&
                kClubName != undefined &&
                kClubName.length > 0)
            {
                clubBar.className = "GSApp_TitleBar GSApp_ClubBar";
            }

            if (clubBar.children != null &&
                clubBar.children.length > 0)
            {
                for (var i = 0; i < clubBar.children.length; i++)
                {
                    const clubBarChild = clubBar.children[i];
                    if (clubBarChild.className == "Caption" &&
                        clubBarChild.id == "gsapp_ClubBar_caption")
                    {
                        clubBarChild.innerText = kClubInfo.name;
                    } else if (clubBarChild.className == "Thumbnail" &&
                        clubBarChild.id == "gsapp_ClubBar_thumnail")
                    {
                        if (clubBarChild.children == null ||
                            clubBarChild.children.length == 0)
                        {
                            var clubImg = document.createElement("img");
                            clubImg.src = kClubInfo.thumbnailURL;
                            clubBarChild.appendChild(clubImg);
                        }
                    }
                }
            }
        }
    }
}

var kClubTopicAuthorInfo = null;
GSApp.getClubTopicAuthorInfo = function ()
{
    gsPostToURL("http://appapi2.gamersky.com/v5/getUserInfesList",
        "JSON",
        "{\"userIds\":\"" + kClubAuthorId + "\",\"cacheMinutes\":120}",
        true,
        "GSApp.didGetClubTopicAuthorInfo");
}

GSApp.didGetClubTopicAuthorInfo = function (authorInfoResult)
{
    var authorInfoJson = JSON.parse(decodeURIComponent(authorInfoResult));
    if (authorInfoJson)
    {
        var authorInfo = null;

        if (gsIsCurrentOSIOS())
        {
            if (_kGSAppVersionNumberCode >= 500)
            {
                authorInfo
                    = authorInfoJson[0];
            } else
            {
                authorInfo
                    = authorInfoJson.result[0];
            }
        } else if (gsIsCurrentOSAndroid())
        {
            if (authorInfoJson.errorCode == 0)
            {
                authorInfo
                    = authorInfoJson.result[0];
            }
        }

        if (authorInfo != null &&
            authorInfo != undefined)
        {
            kClubTopicAuthorInfo
                = authorInfo;
            kClubAuthorHeadImageURL
                = authorInfo.userHeadImageURL;
            kContentAuthorGroupId
                = authorInfo.userGroupId;
            kClubAuthorLevel
                = authorInfo.level;
            kContentAuthor
                = authorInfo.userName;

            var isThirdPlatformBounding = false;
            if ((authorInfo.steamAccount != null &&
                authorInfo.steamAccount != undefined &&
                authorInfo.steamAccount.length > 0) ||
                (authorInfo.playStationAccount != null &&
                    authorInfo.playStationAccount != undefined &&
                    authorInfo.playStationAccount.length > 0) ||
                (authorInfo.xBoxAccount != null &&
                    authorInfo.xBoxAccount != undefined &&
                    authorInfo.xBoxAccount.length > 0))
            {
                isThirdPlatformBounding
                    = true;
            }

            var userInfoBar = document.getElementById("gsApp_AuthorBar");
            var authorAuthenticationName = GSApp.User.getUserAuthenticationNameWithUserGroupId(
                kContentAuthorGroupId);

            var userNameBadgesHTML = "";

            userNameBadgesHTML += "<span class=\"AuthorLevel\">Lv" + authorInfo.level + "</span>";

            var contentCreateTimeCaption = GSApp.captionOfTimeInContent(kContentTime);

            var openUser = "GSApp.openUser(" + Number(authorInfo.userId) + "," + isThirdPlatformBounding + ")";

            var authorHeadImage = decodeURI(authorInfo.userHeadImageURL);
            if (authorHeadImage == null ||
                authorHeadImage.length < 1)
            {
                authorHeadImage = "gsAppHTMLTemplate_image/user_DefaultHeadImage@2x.png";
            }

            userInfoBar.style.display = "";

            var authorHeadImage = decodeURI(authorInfo.userHeadImageURL);
            if (authorHeadImage == null ||
                authorHeadImage.length < 1)
            {
                authorHeadImage = "gsAppHTMLTemplate_image/user_DefaultHeadImage@2x.png";
            }

            var iconNode = document.getElementById("gsAuthorGroupIcon");
            if (iconNode != null &&
                iconNode != undefined)
            {
                iconNode.className = "UserGroupIcon " + authorAuthenticationName;
            }

            var headNode = document.getElementById("gsApp_AuthorHeadImage");
            if (headNode != null &&
                headNode != undefined)
            {
                // headNode.style.backgroundImage = "url("+authorHeadImage+")";

                headNode.setAttribute("src", authorHeadImage);
                headNode.setAttribute("onclick", openUser);
            }

            var nameNode = document.getElementById("gsApp_AuthorName");
            if (nameNode != null &&
                nameNode != undefined)
            {
                nameNode.setAttribute("onclick", openUser);
                nameNode.innerText = kContentAuthor;
                nameNode.insertAdjacentHTML("afterend", userNameBadgesHTML);
            }

            var timeNode = document.getElementById("gsArticleCreateTime");
            if (timeNode != null &&
                timeNode != undefined)
            {
                timeNode.innerText = contentCreateTimeCaption;
            }

            var followButton = document.getElementById("gsApp_FollowButton");
            if (followButton != null &&
                followButton != undefined)
            {
                followButton.setAttribute("onclick", "GSApp.followUser(\"" + kClubAuthorId + "\")");
            }

            ///获取是否关注了该用户
            GSApp.checkFollowedUser(kClubAuthorId);

            //策略:避免丢失了callback,加400ms延迟判断机制,强制显示关注按钮.
            setTimeout(
                function ()
                {
                    var followButton = document.getElementById("gsApp_FollowButton");
                    if (followButton != null)
                    {
                        followButton.style.visibility = "visible";
                    }
                }, 400
            );
        }
    }

    if (kGameId != undefined &&
        kGameId.length > 0 &&
        !isNaN(Number(kGameId)) &&
        kGameScore != undefined)
    {
        gsPostToURL("http://appapi2.gamersky.com/v4/getGame",
            "JSON",
            "{\"gameId\":\"" +
            kGameId +
            "\",\"gameModeFieldNames\":\"DeputyNodeId,Position,Title,EnTitle,\",\"gameRelatedFieldNames\":\"gsScore,playCount,expectCount,gameTag\",\"gameTagsCount\":20}",
            true,
            "GSApp.didGetGameInfos");
    }
}

GSApp.didGetGameInfos = function (gameInfoResponse)
{
    var gameInfoJson = null;
    var gameInfo = null;

    if (gameInfoResponse)
    {
        try
        {
            gameInfo
                = decodeURIComponent(gameInfoResponse);
            gameInfoJson
                = JSON.parse(gameInfo);
        } catch (error)
        {
            console.log(error.toString());
        }

        if (gameInfoJson)
        {
            if (gameInfoJson.Title != null &&
                gameInfoJson.Title != undefined &&
                gameInfoJson.Title.length > 0)
            {
                kGameName = gameInfoJson.Title;
            } else
            {
                if (gameInfoJson.result != null &&
                    gameInfoJson.result != undefined)
                {
                    var gameInfoResult = gameInfoJson.result;
                    if (gameInfoResult.Title != null &&
                        gameInfoResult.Title != undefined &&
                        gameInfoResult.Title.length > 0)
                    {
                        kGameName = gameInfoResult.Title;
                    }
                }
            }
        }
    }

    if (kGameName != null &&
        kGameName != undefined &&
        kGameName.length > 0)
    {
        GSApp.createArticleGameScore();
    }
}

// 获取长评分数
GSApp.createArticleGameScore = function ()
{
    if (kGameName != null &&
        kGameName.length > 0)
    {
        var userInfoBar = document.getElementById("gsApp_AuthorBar");
        var gameScoreNode = document.createElement("div");

        gameScoreNode.className = "AuthorGameScore";
        gameScoreNode.id = "gsAuthorGameScore";

        var rating = kGameScore;
        if (isNaN(rating))
        {
            rating = 0;
        }

        if (Number(rating) != 0)
        {
            var scoreTip = "";
            if (rating <= 2)
            {
                scoreTip = "渣作";
            } else if (rating > 2 &&
                rating <= 4)
            {
                scoreTip = "平庸";
            } else if (rating > 4 &&
                rating <= 6)
            {
                scoreTip = "一般"
            } else if (rating > 6 &&
                rating <= 8)
            {
                scoreTip = "佳作";
            } else if (rating > 8)
            {
                scoreTip = "神作";
            }

            var ratio = rating * 10 / 100 * 54;

            var scoreInner = "<span class=\"SubjectName\">" + kGameName + "</span>" +
                "<span class=\"ScoreStar\">" +
                "<div class=\"GrayStar\"></div>" +
                "<div class=\"RedStar\" style=\"clip: rect(0px," + ratio + "px" + ",auto, auto);\"></div>" +
                "</span>" +
                "<span class=\"ScoreTip\">" + scoreTip + "</span>";

            gameScoreNode.innerHTML = scoreInner;
            userInfoBar.appendChild(gameScoreNode);
            gameScoreNode.onclick = function ()
            {
                var msg = "GSApp://open.game.app?{\"gameId\":" + kGameId + "}";
                GSApp.sendMessage(msg);
            }
        }
    }
}

//打开话题:
GSApp.openSubjectWithSubjectId = function (subjectId)
{
    subjectId
        = subjectId.toString();

    if (subjectId != null &&
        subjectId != undefined &&
        subjectId.length > 0)
    {
        var msg = "GSApp://open.subject.app?{\"subjectId\":" + subjectId + "}";
        GSApp.sendMessage(msg);
    }
}

////////////////////////////////////////////////
/*游戏条相关交互*/
////////////////////////////////////////////////
var GSApp_GameBar = function (gameId)
{
    return document.getElementById(GSApp_GameBar.createGameBarId(gameId));
};
GSApp_GameBar.createGameBarId = function (gameId)
{
    return "gameBar_" + gameId;
};
// 参数格式：
// {
//     "id":"",
//     "thumbnail":"",
//     "title":"",
//     "score":0.0,
//     "scoreUsersCount":0,
//     "expectedUsersCount":0,
//     "badges":["", ""],
//     "tags":["", ""]
// }
GSApp_GameBar.createHTML = function (gameInfo, isLast)
{
    var gameBar = "";
    try
    {
        var scoreBoxTitle = "";
        var scoreBoxSubtitle = "";
        var isGameMarketed = true;

        var gameBadges = null;

        if (gameInfo.score != null &&
            gameInfo.score != undefined)
        {
            gameBadges
                = GSApp_GameBar.createGameScoreStarsHTML(gameInfo.score, true);
        } else
        {
            gameBadges
                = "";
        }

        if (typeof (gameInfo.isMarketed) == "boolean")
        {
            isGameMarketed = gameInfo.isMarketed;
        } else
        {
            isGameMarketed = gameInfo.scoreUsersCount > 0;
        }
        if (isGameMarketed)
        {
            if (gameInfo.scoreUsersCount < 10 ||
                parseInt(gameInfo.score) == 0)
            {
                scoreBoxTitle = "0";
                scoreBoxSubtitle = "评分不足";

                gameBadges
                    = GSApp_GameBar.createNoEnoughScoresForShowHTML(scoreBoxSubtitle);
            } else
            {
                scoreBoxTitle = gameInfo.score.toString();
                var dotIndexInScoreBoxTitle = scoreBoxTitle.indexOf(".");
                if (dotIndexInScoreBoxTitle > 0)
                {
                    scoreBoxTitle = scoreBoxTitle.substring(0, dotIndexInScoreBoxTitle + 2);
                } else
                {
                    scoreBoxTitle += ".0";
                }
            }
        } else
        {
            if (parseInt(gameInfo.expectedUsersCount) > 999)
            {
                scoreBoxTitle
                    = "<span style=\"font-size:24px;\">" +
                    parseInt(gameInfo.expectedUsersCount).toString() +
                    "</span>";
            } else
            {
                scoreBoxTitle
                    = parseInt(gameInfo.expectedUsersCount).toString();
            }
            scoreBoxSubtitle = "期待人数";

            gameBadges
                = GSApp_GameBar.createNoEnoughScoresForShowHTML(parseInt(gameInfo.expectedUsersCount).toString() + "人期待");
        }

        var gameTags = "";
        if (gameInfo.tags)
        {
            for (var tagIndex = 0; tagIndex < 3 && tagIndex < gameInfo.tags.length; tagIndex++)
            {
                var tag = gameInfo.tags[tagIndex];
                if (tagIndex == 0)
                {
                    gameTags += tag;
                } else
                {
                    gameTags += "/" + tag;
                }
            }
        }

        gameBar
            = "<table class=\"GSApp_GameBar\" id=\"gameBar_" + gameInfo.contentId + "\" border=\"0px\" cellspacing=\"0\" cellpadding=\"0\">" +
            " <tr>" +
            "     <td class=\"Cover\" rowspan=\"3\">" +
            "         <img src=\"" + gameInfo.thumbnail + "\">" +
            "     </td>" +
            "     <td class=\"Title\">" + gameInfo.title + "</td>"
            // + "     <td class=\"Score\" rowspan=\"3\">"
            // + "         <div class=\"Box\">"
            // + "             <div class=\"Title\">"
            // + "                 " + scoreBoxTitle
            // + "             </div>"
            // + "             <div class=\"Subtitle\">"
            // + "                 " + scoreBoxSubtitle
            // + "             </div>"
            // + "         </div>"
            // + "     </td>"
            +
            " </tr>" +
            " <tr>" +
            "     <td class=\"Badges\">" +
            "         " + gameBadges +
            "     </td>" +
            " </tr>" +
            " <tr>" +
            "     <td class=\"Tags\">" +
            "         " + gameTags +
            "     </td>" +
            " </tr>" +
            "</table>";
    } catch (error)
    {
        console.log(error.toString());
    }
    return gameBar;
};
GSApp_GameBar.createHTMLWithGameInfes = function (gameInfes)
{
    var gameInfesHTML = "";
    var lastGameInfoIndex = gameInfes.length - 1;
    for (var i = 0; i <= lastGameInfoIndex; i++)
    {
        gameInfesHTML
            += GSApp_GameBar.createHTML(
                gameInfes[i],
                i == lastGameInfoIndex);
    }
    return gameInfesHTML;
};

GSApp_GameBar.createNoEnoughScoresForShowHTML = function (noneText)
{
    var htmlText = "<div class=\"GSAppScoreStar\" id=\"GSApp_ScoreStar_" + kContentId + "\">" +
        "<div class=\"NoneScoreCaption\">" + noneText + "</div>" +
        "</div>";

    return htmlText;
}

// 预留一个展示分数的元素放在star尾部 
GSApp_GameBar.createGameScoreStarsHTML = function (score, showScoreLabel)
{
    var starWidth = 54 * score / 10;

    var starNodeHTML = "<div class=\"GSAppScoreStar\" id=\"GSApp_ScoreStar_" + kContentId + "\">" +
        "<div class=\"ScoreStar\">" +
        "<div class=\"GrayStar\"></div>" +
        "<div class=\"RedStar\" style=\"clip: rect(0px," + starWidth + "px" + ",auto, auto);\"></div>";

    if (showScoreLabel)
    {
        starNodeHTML
            = starNodeHTML +
            "</div><div class=\"ScoreCaption\">" + Number(score).toFixed(1) + "</div>";
    }
    starNodeHTML
        = starNodeHTML +
        "</div>";

    return starNodeHTML;
}


GSApp_GameBar.registerButtons = function ()
{
    var gameBars = document.getElementsByClassName("GSApp_GameBar");
    for (var barIndex = gameBars.length - 1; barIndex > -1; barIndex--)
    {
        var bar = gameBars[barIndex];
        gsAddTouchListenerToObject(
            bar,
            function ()
            {
                try
                {
                    var gameBar = gsGetSuperElementWithClassOf(event.target, "GSApp_GameBar");
                    var gameId = gsGetInstanceElementDataId(gameBar, "gameBar");
                    var appMsg = "GSApp://open.app?{\"contentType\":\"youXi\", \"content\":\"" +
                        gameId +
                        "\"}";
                    GSApp.reportUMengStatistics("games_news_gamepage");
                    GSApp.sendMessage(appMsg);
                } catch (error)
                {
                    console.log(error.toString());
                }
            });
    }
};
GSApp_GameBar.create = function ()
{
    /*
    var appMsg
    	= "GSApp://get.related.app?{"
    	+ "\"contentType\":\"" + kContentType + "\""
    	+ ", \"contentId\":\"" + kContentId + "\""
    	+ ", \"type\":\"youXi\""
    	+ ", \"pageIndex\":1"
    	+ ", \"pageSize\":" + GSApp.relatedContentCount + ","
    	+ " \"callback\":\"GSApp_GameBar.insertGameBarsWithGamesInfo\"}";
    GSApp.sendMessage(appMsg);
    */
    if (typeof (kRelatedGameId) == "undefined" ||
        kRelatedGameId.length < 1 ||
        kRelatedGameId == "0")
    {
        return;
    }

    gsPostToURL("http://appapi2.gamersky.com/v4/getGame",
        "JSON",
        "{\"gameId\":\"" + kRelatedGameId + "\",\"gameModeFieldNames\":\"Title,AllTime,AllTimeT,GameType\",\"gameRelatedFieldNames\":\"gsScore,isMarket,wantplayCount,playCount,expectCount,defaultPicUrl,gameTag\"}",
        true,
        "GSApp_GameBar.insertGameBarsWithGamesInfo"
    );
    return;
};
GSApp_GameBar.insertGameBarsWithGamesInfo = function (gamesInfo)
{
    try
    {
        var relatedGames = null;
        if (typeof (gamesInfo) == "string")
        {
            // !!!
            gamesInfo = decodeURIComponent(gamesInfo);
            // !!!
            var response = JSON.parse(gamesInfo);
            if (response.errorCode == 0)
            {
                var gameInfo = response.result;
                var gameTags = "";
                if (typeof (gameInfo.GameType) == "string")
                {
                    gameTags = gameInfo.GameType;
                }
                if (typeof (gameInfo.gameTag) == "object" &&
                    gameInfo.gameTag instanceof Array)
                {
                    gameInfo.gameTag.forEach(function (tag)
                    {
                        gameTags += "/" + tag;
                    });
                }
                var relatedContentInfo = {
                    "commentsCount": 0,
                    "contentId": gameInfo.id,
                    "contentType": "youXi",
                    "expectedUsersCount": gameInfo.expectCount,
                    "isMarketed": gameInfo.isMarket == 2,
                    "platforms": [],
                    "score": gameInfo.gsScore,
                    "scoreUsersCount": gameInfo.playCount,
                    "tags": [gameTags],
                    thumbnail: gameInfo.defaultPicUrl,
                    time: 0,
                    title: gameInfo.Title
                };
                relatedGames = [relatedContentInfo];
            }
        } else
        {
            if (gamesInfo.contentType != kContentType ||
                gamesInfo.contentId != kContentId ||
                gamesInfo.relateds.length < 1)
            {
                return;
            }

            relatedGames = gamesInfo.relateds;
        }

        var gameBars = GSApp_GameBar.createHTMLWithGameInfes(relatedGames);
        if (gameBars.length > 0)
        {
            var gsApp_AllDiversityButtons = document.getElementById("gsApp_AllPageButtons");
            if (gsApp_AllDiversityButtons != null)
            {
                //
                gsApp_AllDiversityButtons.insertAdjacentHTML("afterEnd", gameBars);
                //
            } else
            {
                var midAds = document.getElementsByClassName("GSApp_MidAd");
                if (midAds.length > 0)
                {
                    midAds[0].insertAdjacentHTML("beforeBegin", gameBars);
                } else
                {
                    GSApp_SplitLine("gsApp_MainBody").insertAdjacentHTML("beforeBegin", gameBars);
                }
            }

            // !!!
            GSApp_GameBar.registerButtons();
            // !!!
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};
////////////////////////////////////////////////
// @游戏评测卡片相关
////////////////////////////////////////////////
var GSApp_GameEvaluationCard = function () { };
GSApp_GameEvaluationCard.insertGameEvaluationCard = function (evaluationCardHTML)
{
    try
    {
        evaluationCardHTML = evaluationCardHTML.relateds[0];
        if (evaluationCardHTML &&
            evaluationCardHTML.length > 0)
        {
            evaluationCardHTML
                = "<div class=\"pingce2wrap\">" +
                decodeURIComponent(evaluationCardHTML) +
                "</div>";
            evaluationCardHTML
                = evaluationCardHTML.replaceAll("<img", "<img style=\"display:block;visibility: visible;\"");
            document
                .getElementById("gsApp_MainBody")
                .insertAdjacentHTML("beforeEnd", evaluationCardHTML);
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};
GSApp_GameEvaluationCard.create = function ()
{
    var appMsg = "GSApp://get.related.app?{" +
        "\"contentType\":\"" + kContentType + "\"" +
        ", \"contentId\":\"" + kContentId + "\""
        +
        ", \"type\":\"pingCeKaPian\"" +
        ", \"pageIndex\":1" +
        ", \"pageSize\":" + GSApp.relatedContentCount + "," +
        " \"callback\":\"GSApp_GameEvaluationCard.insertGameEvaluationCard\"}";
    GSApp.sendMessage(appMsg);
};
////////////////////////////////////////////////
// @引用内容相关
////////////////////////////////////////////////
var GSApp_Referencecontent = function () { };
GSApp_Referencecontent.insertReferenCecontent = function (referenceContent)
{
    try
    {
        referenceContent = referenceContent.relateds[0];
        if (referenceContent &&
            referenceContent.length > 0)
        {
            var referenceContentDiv = document.getElementsByClassName("referencecontent")[0];
            if (referenceContentDiv)
            {
                referenceContentDiv.innerHTML = decodeURIComponent(referenceContent);
            }
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};
GSApp_Referencecontent.create = function ()
{
    if (kContentType != "gongLue")
    {
        var appMsg = "GSApp://get.related.app?{" +
            "\"contentType\":\"" + kContentType + "\"" +
            ", \"contentId\":\"" + kContentId + "\""
            +
            ", \"type\":\"yinYongQuKuai\"" +
            ", \"pageIndex\":1" +
            ", \"pageSize\":" + GSApp.relatedContentCount + "," +
            " \"callback\":\"GSApp_Referencecontent.insertReferenCecontent\"}";
        GSApp.sendMessage(appMsg);
    }
};

////////////////////////////////////////////////
// @相关推荐交互
////////////////////////////////////////////////
var GSApp_RelatedContent = function (relatedContentId)
{
    return document.getElementById(GSApp_RelatedContent.createRelatedContentId(relatedContentId));
};

GSApp_RelatedContent.Topic = function () { }

GSApp_RelatedContent.createRelatedContentId = function (relatedContentId)
{
    return "relatedContent_" + relatedContentId;
};
// 参数格式：
// {
//     "id": "",
//     "title": "",
//     "thumbnail": "",
//     "time": 1519784654000,
//     "commentsCount": 0,
//     "contentType": "xinWen",
//     "content": "10002",
//     "adId": "8008"
// }
GSApp_RelatedContent.createHTML = function (relatedContentInfo, index)
{
    var relatedContentBar = "";
    try
    {
        var isAd = relatedContentInfo.adId &&
            relatedContentInfo.adId.length > 0 &&
            relatedContentInfo.adId != "0";

        var relatedContentTimeCaption = GSApp.captionOfTimeInList(relatedContentInfo.time);
        var relatedContentCommentsCount = "<span class=\"RepliesCount\">" + relatedContentInfo.commentsCount + "评论" + "</span>";
        var relatedContentAdBadge = "";
        if (isAd)
        {
            relatedContentTimeCaption = "";
            relatedContentCommentsCount = "";
            relatedContentAdBadge = "<span class=\"Badge\">广告</span>";

            /*
            //广告统计测试代码
            var report_Ad = "<div id=\"report_ad\" style=\"position: fixed;width: 100px;height: 60px;background: red;top: 0px;left: 0px;\"></div>";
            var report_Ad_Node = document.createElement("div");
            report_Ad_Node.innerHTML = report_Ad;
            document.body.appendChild(report_Ad_Node);

            var split = document.getElementById("splitLine_gsApp_MainBody");

            var bigAd = "<div id=\"report_bigad\" class=\"GSApp_BigAd\" style=\"height: 100px;background: red;\"></div>";
            var bigadnode = document.createElement("div");
            bigadnode.innerHTML = bigAd;
            var midadnode = document.createElement("div");
			
            var midad = "<div id=\"report_midad\" class=\"GSApp_MidAd\" style=\"height: 60px;background: yellow;\"></div>";
            midadnode.innerHTML = midad;
            document.body.insertBefore(bigadnode,split);
            document.body.insertBefore(midadnode,split);
            */
        }

        var contentType = relatedContentInfo.contentType ? relatedContentInfo.contentType : "";
        var content = relatedContentInfo.content ? relatedContentInfo.content : "";
        var adId = relatedContentInfo.adId ? relatedContentInfo.adId : "";

        var titleStyle = "";
        var thumbnailHTML = "";
        var playButtonStyle = contentType == "shiPin" || contentType == "video" ?
            "display: inline;" :
            "";

        var shieldContentType = "";
        if (_kGSAppVersionNumberCode < 472)
        {
            shieldContentType
                = "gongLue";
        }

        if (kContentType != shieldContentType ||
            isAd)
        {
            thumbnailHTML
                = "     <td class=\"Thumbnail\" rowspan=\"2\" style=\"background-image:url(" + relatedContentInfo.thumbnail + ");\" align=\"center\" valign=\"middle\">" +
                "         <img src=\"gsAppHTMLTemplate_image/icon_Play_24x24@2x.png\" style=\"width: 24px; height: 24px;" + playButtonStyle + "\">" +
                "     </td>"
        } else
        {
            titleStyle = " style=\"height:60px;\" ";
        }


        relatedContentBar
            = "<table class=\"GSApp_RelatedContent\" id=\"" + GSApp_RelatedContent.createRelatedContentId(relatedContentInfo.id) + "\" gsContentType=\"" + contentType + "\" gsContent=\"" + content + "\" gsAdId=\"" + adId + "\" border=\"0px\" cellspacing=\"0\" cellpadding=\"0\">" +
            " <tr>" +
            "     <td class=\"Title\" align=\"left\" valign=\"top\"" + titleStyle + ">" +
            "         " + relatedContentInfo.title +
            "     </td>" +
            thumbnailHTML +
            " </tr>" +
            " <tr>" +
            "     <td class=\"Badges\" valgin=\"bottom\">" +
            "         " + relatedContentTimeCaption + relatedContentCommentsCount + relatedContentAdBadge +
            "     </td>" +
            " </tr>" +
            "</table>";
    } catch (error)
    {
        console.log(error.toString());
    }
    return relatedContentBar;
};
GSApp_RelatedContent.createHTMLWithRelatedContentInfes = function (relatedContentInfes)
{
    var relatedContentsHTML = "";
    var lastRelatedContentInfoIndex = relatedContentInfes.length - 1;
    for (var i = 0; i <= lastRelatedContentInfoIndex; i++)
    {
        relatedContentsHTML
            += GSApp_RelatedContent.createHTML(relatedContentInfes[i], i);

        if (i != lastRelatedContentInfoIndex)
        {
            relatedContentsHTML
                = relatedContentsHTML +
                "<div class=\"GSApp_SplitLine CorrelationLine\"></div>";
        }
    }
    return relatedContentsHTML;
};
GSApp_RelatedContent.registerButtons = function ()
{
    var relatedContentBars = document.getElementsByClassName("GSApp_RelatedContent");
    for (var barIndex = relatedContentBars.length - 1; barIndex > -1; barIndex--)
    {
        var bar = relatedContentBars[barIndex];
        gsAddTouchListenerToObject(
            bar,
            function ()
            {
                try
                {
                    var relatedContentBar = gsGetSuperElementWithClassOf(event.target, "GSApp_RelatedContent");
                    if (relatedContentBar != null)
                    {
                        var relatedContentType = relatedContentBar.getAttribute("gsContentType");
                        var relatedContent = relatedContentBar.getAttribute("gsContent");
                        var relatedAdId = relatedContentBar.getAttribute("gsAdId");
                        var appMsg = "GSApp://open.app?{" +
                            "\"contentType\":\"" + relatedContentType + "\"" +
                            ", \"content\":\"" + relatedContent + "\"" +
                            ", \"adId\":\"" + relatedAdId + "\"" +
                            "}";
                        GSApp.sendMessage(appMsg);

                        //cms统计
                        if (gsIsCurrentOSAndroid())
                        {
                            gsPostToURL(
                                "http://appapi2click.gamersky.com/v1/statisticAd",
                                "JSON",
                                "{\"adId\":\"" + relatedAdId + "\",\"operation\":\"dianJi\"}",
                                true,
                                "GSApp_Ad.didPostCMSStatistics"
                            );
                        }
                    }
                } catch (error)
                {
                    console.log(error.toString());
                }
            });
    }

    var relatedMore = document.getElementById("titleBar_relatedContent_more");
    if (relatedMore != null &&
        relatedMore != undefined)
    {
        gsAddTouchListenerToObject(
            relatedMore,
            function ()
            {
                if (kRecommendTopicName != null &
                    kRecommendTopicName != undefined)
                {
                    if (typeof (kRecommendTopicId) != "undefined" &&
                        kRecommendTopicId != null &&
                        kRecommendTopicId != undefined &&
                        kRecommendTopicId.length > 0)
                    {
                        var msg = "GSApp://open.recommendTopic.app?{\"contentId\":\"" + kRecommendTopicId + "\",\"recommendTopicName\":\"" + kRecommendTopicName + "\"}";
                        GSApp.sendMessage(msg);
                    }
                }
            });
    }
};

GSApp_RelatedContent.create = function ()
{
    if (typeof (kRecommendTopicName) != "undefined" &&
        kRecommendTopicName != null &&
        kRecommendTopicName.length > 0 &&
        typeof (kTagsInfo) != "undefined" &&
        kTagsInfo != null &&
        kTagsInfo.length > 0)
    {
        if (kTagsInfo.indexOf(",") != -1)
        {
            kTagsInfo
                = kTagsInfo.substr(0, kTagsInfo.indexOf(","));
        }

        gsPostToURL("http://appapi2.gamersky.com/v5/getExhibitionInfes",
            "JSON",
            "{\"exhibitionId\":\"" + kRecommendTopicId + "\",\"pageIndx\":1,\"pageSize\":20}",
            true,
            "GSApp_RelatedContent.Topic.didGetTopicInfo"
        );
        return;
    }

    var appMsg = "GSApp://get.related.app?{" +
        "\"contentType\":\"" + kContentType + "\"" +
        ", \"contentId\":\"" + kContentId + "\"" +
        ", \"type\":\"" + kContentType + "\"" +
        ", \"pageIndex\":1" +
        ", \"pageSize\":" + GSApp.relatedContentCount + "," +
        " \"callback\":\"GSApp_RelatedContent.insertRelatedContentWithRelatedContentInfo\"}";
    GSApp.sendMessage(appMsg);
};
var kRecommendTopicTags = null;
GSApp_RelatedContent.Topic.didGetTopicInfo = function (responseData)
{
    var response = null;
    var specialId = null;
    if (responseData != null &&
        responseData != undefined)
    {
        response = JSON.parse(decodeURIComponent(responseData));
        if (response != null)
        {
            if (response.result != null &&
                response.result != undefined)
            {
                if (response.result.exhibitionInfes != null &&
                    response.result.exhibitionInfes != undefined &&
                    response.result.exhibitionInfes.length > 0)
                {
                    var specialTopic = response.result.exhibitionInfes[0];
                    kRecommendTopicTags = specialTopic.tags;
                }
            }
        }
    }

    gsPostToURL("http://appapi2.gamersky.com/v5/getCMSNewsList",
        "JSON",
        "{\"topicIds\":\"\",\"nodeIds\":\"\",\"tagIds\":\"\",\"tags\":\"" + kRecommendTopicTags + "\",\"systemFieldNames\":\"DefaultPicUrl\",\"modelFieldNames\":\"Title,Author,ThumbnailsPicUrl,updateTime\",\"UpdateTime\":0,\"order\":\"timeDesc\",\"recommendedIndex\":\"0\",\"pageIndex\":1,\"pageSize\":4,\"cacheMinutes\":1}",
        true,
        "GSApp_RelatedContent.Topic.didGetRelatedTopicsContentData");
}


GSApp_RelatedContent.insertRelatedContentWithRelatedContentInfo = function (relatedContentInfo, insertAtFront)
{
    try
    {
        // 目前只获取相关订阅栏目：
        if (relatedContentInfo.contentType != kContentType ||
            relatedContentInfo.contentId != kContentId ||
            relatedContentInfo.relateds.length < 1)
        {
            return;
        }

        var relatedModRepeatedIndex = null;
        for (var index = 0; index < relatedContentInfo.relateds.length; index++)
        {
            const element = relatedContentInfo.relateds[index];
            var relatedId = "";

            if (gsIsCurrentOSAndroid() == true)
            {
                relatedId
                    = element.content;
            } else if (gsIsCurrentOSIOS() == true)
            {
                relatedId
                    = element.id;
            }

            if (relatedId == kContentId)
            {
                relatedModRepeatedIndex = index;
                break;
            }
        }

        if (relatedModRepeatedIndex != null &&
            relatedModRepeatedIndex != "undefined")
        {
            try
            {
                relatedContentInfo.relateds.splice(relatedModRepeatedIndex, 1);
            } catch (error)
            {
                console.log(error);
            }
        }

        if (relatedContentInfo.relateds.length > 10)
        {
            try
            {
                relatedContentInfo.relateds.splice(relatedContentInfo.relateds.length - 1, 1);
            } catch (error)
            {
                console.log(error);
            }
        }

        var relatedContents = GSApp_RelatedContent.createHTMLWithRelatedContentInfes(relatedContentInfo.relateds);

        if (relatedContents.length > 0)
        {
            var relatedContentsExsited = document.getElementsByClassName("GSApp_RelatedContent");
            if (relatedContentsExsited &&
                relatedContentsExsited.length > 0)
            {
                if (insertAtFront)
                {
                    relatedContentsExsited[0].insertAdjacentHTML(
                        "beforeBegin",
                        relatedContents);
                } else
                {
                    relatedContentsExsited[relatedContentsExsited.length - 1].insertAdjacentHTML(
                        "afterEnd",
                        relatedContents);
                }
            } else
            {
                var relatedCaption = "相关推荐";
                // if (kContentType == "gongLue"
                // 	&& _kGSAppVersionNumberCode >= 472) 
                // {
                // 	relatedCaption
                // 		= "精华推荐";
                // }
                console.log("先加载了广告,后加载推荐内容");
                relatedContents
                    = GSApp_TitleBar.createHTML("relatedContent", relatedCaption) +
                    relatedContents +
                    GSApp_SplitLine.createHTML("relatedContent");
                //
                var insertPositionObjectElement = GSApp_SplitLine("gsApp_MainBody");
                var tagsSplitLine = GSApp_SplitLine("tags");
                if (tagsSplitLine)
                {
                    insertPositionObjectElement = tagsSplitLine;
                }
                insertPositionObjectElement
                    .insertAdjacentHTML("afterEnd", relatedContents);
            }
            // !!!
            GSApp_RelatedContent.registerButtons();
            // !!!
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};

GSApp_RelatedContent.Topic.didGetRelatedTopicsContentData = function (responseData)
{
    var response = null;
    if (responseData != null && responseData != undefined)
    {
        response = JSON.parse(decodeURIComponent(responseData));
        if (response.result != null &&
            response.result != undefined)
        {
            response = response.result;
        }
    }

    GSApp_RelatedContent.Topic.createRelatedTopicContents(response);
}

GSApp_RelatedContent.Topic.createTitlebar = function ()
{
    return "<div class=\"GSApp_TitleBar\" id=\"titleBar_relatedContent\"><span class=\"Caption RecommendTopic\">" + kRecommendTopicName + "</span><span class=\"TopicMore\" id=\"titleBar_relatedContent_more\">进入专题</span></div>";
}

GSApp_RelatedContent.Topic.createRelatedTopicContents = function (relatedContents)
{
    var relateds = new Array();
    var relatedContentsHTML = "";
    if (relatedContents != null &&
        relatedContents != undefined &&
        relatedContents.length > 0)
    {
        var repeatContent = null;
        for (var index = 0; index < relatedContents.length; index++)
        {
            const element = relatedContents[index];
            if (element.id == kContentId)
            {
                repeatContent = element;
                break;
            }
        }
        if (repeatContent != null)
        {
            relatedContents.remove(repeatContent);
        }

        if (relatedContents.length > 3)
        {
            relatedContents
                = relatedContents.splice(0, 3);
        }

        for (var index = 0; index < relatedContents.length; index++)
        {
            const related = relatedContents[index];

            var relateObj = new Object();
            relateObj.id = related.contentId;
            relateObj.contentType = related.contentType;
            relateObj.content = related.contentId;
            relateObj.title = related.Title;
            if (related.thumbnails != null &&
                related.thumbnails != undefined &&
                related.thumbnails.length != 0)
            {
                relateObj.thumbnail = related.thumbnails[0];
            } else
            {
                relateObj.thumbnail = "";
            }
            relateObj.time = Date.parse(related.updateTime);
            relateObj.commentsCount = related.commentsCount;

            relatedContentsHTML += GSApp_RelatedContent.createHTML(relateObj);
        }

        var relatedTitleNode = document.getElementById("titleBar_relatedContent");
        if (relatedTitleNode != undefined &&
            relatedTitleNode != null)
        {
            ///如果已经加载了标题了	
            relatedTitleNode.className = "GSApp_TitleBar";
            relatedTitleNode.id = "titleBar_relatedContent";
            relatedTitleNode.innerHTML = "<span class=\"Caption RecommendTopic\">" + kRecommendTopicName + "</span><span class=\"TopicMore\" id=\"titleBar_relatedContent_more\">进入专题</span>";

            // relatedContentsHTML
            // = relatedContentsHTML ;
            // + GSApp_SplitLine.createHTML("relatedContent");

            var insertPositionObjectElement = GSApp_SplitLine("splitLine_relatedContent");

            if (insertPositionObjectElement != null &&
                insertPositionObjectElement != undefined)
            {
                insertPositionObjectElement.insertAdjacentHTML("beforeEnd", relatedContentsHTML);
            } else
            {
                var lastRelatedNode = null;
                var relates = document.getElementsByClassName("GSApp_RelatedContent");
                if (relates != null &&
                    relates.length > 0)
                {
                    lastRelatedNode
                        = relates[relates.length - 1];
                } else
                {
                    lastRelatedNode = relatedTitleNode;
                }

                // relatedContentsHTML
                // = relatedContentsHTML 
                // + GSApp_SplitLine.createHTML("relatedContent");
                lastRelatedNode.insertAdjacentHTML("afterEnd", relatedContentsHTML);
            }
        } else
        {
            relatedContentsHTML
                = GSApp_RelatedContent.Topic.createTitlebar() +
                relatedContentsHTML;

            relatedContentsHTML
                = relatedContentsHTML +
                GSApp_SplitLine.createHTML("relatedContent");

            var insertPositionObjectElement = GSApp_SplitLine("gsApp_MainBody");
            var tagsSplitLine = GSApp_SplitLine("tags");
            if (tagsSplitLine)
            {
                insertPositionObjectElement = tagsSplitLine;
            }
            insertPositionObjectElement.insertAdjacentHTML("afterEnd", relatedContentsHTML);
        }

        // !!!
        GSApp_RelatedContent.registerButtons();
        // !!!
    }
}


////////////////////////////////////////////////
// @评论相关交互
////////////////////////////////////////////////
var GSApp_Comment = function (commentId)
{
    return document.getElementById(GSApp_Comment.createCommentId(commentInfo));
};

GSApp_Comment.kHotCommentsTitle = "热门评论";
GSApp_Comment.kAllCommentsTitle = "全部评论";
if (kCommentMode == "quanZi")
{
    kContentType
    if (kContentType == "zhuTi.quanZi") 
    {
        GSApp_Comment.kHotCommentsTitle = "热门回帖";
        GSApp_Comment.kAllCommentsTitle = "全部回帖";
    }
}

var _commentStatisticsHasReported = false;
//如果全部评论区第一次进入可视区，报送友盟统计
GSApp_Comment.reportStatisticsInDisplayArea = function ()
{
    if (_commentStatisticsHasReported)
    {
        return;
    }
    try
    {
        var commentTitleBar = document.getElementById("titleBar_hotComments");
        if (commentTitleBar == null)
        {
            commentTitleBar = document.getElementById("titleBar_normalComments");
        }

        if (commentTitleBar != null)
        {
            var displayAreaTop = window.scrollY;
            var displayAreaBottom = displayAreaTop + window.innerHeight;

            var elementTop = commentTitleBar.offsetTop;
            var elementBottom = elementTop + commentTitleBar.scrollHeight;

            if (elementTop >= displayAreaTop &&
                elementBottom <= displayAreaBottom)
            {
                _commentStatisticsHasReported = true;
                GSApp.reportUMengStatistics("all_0001");
            }
        }
    } catch (error)
    {
        console.log(error);
    }
};

GSApp_Comment.createCommentId = function (commentInfo)
{
    return commentInfo.type + "_" + commentInfo.id;
};
GSApp_Comment.createCommentPraiseButtonClass = function (commentId)
{
    return "CommentPraiseButton_" + commentId;
};


// 参数格式：
// {
//     "id": "",
//     "content": "",
//     "time": 1519784654000,
//     "device": "",
//     "repliesCount": 0,
//     "praisesCount": 0,
//     "userId": "",
//     "userName": "",
//     "userHeadImageURL": "",
//     "repliesCount": "",
//     "replies":
//     [
//         {
//             "id": "",
//             "content": "",
//             "userId": "",
//             "userName": "",
//         } ...
//     ]
// }
GSApp_Comment.createHTML = function (commentInfo, isHotComment)
{
    var comment = "";
    try
    {
        var commentClass = "";
        var commentSplitLineClass = "";
        if (isHotComment)
        {
            commentClass = " GSApp_HotComment";
            commentSplitLineClass = " GSApp_HotComment_BottomBorder";
        } else
        {
            commentClass = " GSApp_NormalComment";
            commentSplitLineClass = " GSApp_NormalComment_BottomBorder";
        }


        var isCommentMode_QuanZi = false;
        if (kCommentMode == "quanZi")
        {
            commentClass += " QuanZiMode";
            //
            isCommentMode_QuanZi = true;
        }
        var commentTimeCaption = GSApp.captionOfTimeInList(commentInfo.time);
        if (commentInfo.device == "(null)")
        {
            commentInfo.device = "";
        }
        var commentDeviceCaption = "<span class=\"Device\">" + commentInfo.device + "</span>";

        // @最多楼层数量
        var commentRepliesHTML = "";
        if (commentInfo.replies &&
            commentInfo.replies.length > 0)
        {
            var commentReplies = commentInfo.replies;
            var commentRepliesCount = commentInfo.allRepliesCount;
            if (kCommentMode == "quanZi")
            {
                var kMaxCommentRepliesCount = 6;
                var lastReplyIndex = commentRepliesCount - 1;
                var needHideSomeCommentReply = commentInfo.allRepliesCount >=
                    kMaxCommentRepliesCount;

                for (var replyIndex = 0; replyIndex < commentRepliesCount; replyIndex++)
                {
                    var needHideCommentReply = needHideSomeCommentReply &&
                        (replyIndex >= kMaxCommentRepliesCount);

                    commentRepliesHTML
                        += GSApp_Comment.Reply.createHTML(
                            commentReplies[replyIndex],
                            commentInfo,
                            replyIndex,
                            replyIndex == 0,
                            replyIndex == lastReplyIndex,
                            needHideCommentReply);
                }
                if (needHideSomeCommentReply &&
                    commentInfo.allRepliesCount &&
                    !isNaN(commentInfo.allRepliesCount))
                {
                    commentRepliesHTML
                        += "<div class=\"ShowAllRepliesButton QuanZiMode\" gsCommentId=\"" + commentInfo.id + "\">查看全部" + commentInfo.allRepliesCount + "条回复</div>"
                }
            } else
            {
                //再抓一次回复数据 没有数据直接过.
                if (commentRepliesCount == 0 ||
                    commentRepliesCount == null ||
                    commentRepliesCount == undefined)
                {
                    commentRepliesCount = commentInfo.replies.length;
                }
                var kMaxCommentRepliesCount = 4;
                var lastReplyIndex = commentRepliesCount - 1;
                var lastHiddenCommentReplyIndex = lastReplyIndex - 1;


                //5层的是不需要展示的.
                if (commentRepliesCount == 5)
                {
                    needHideSomeCommentReply = false;
                    kMaxCommentRepliesCount = 5;
                }

                for (var replyIndex = 0; replyIndex <= lastReplyIndex; replyIndex++)
                {
                    var needHideSomeCommentReply = commentRepliesCount >= kMaxCommentRepliesCount &&
                        replyIndex >= (kMaxCommentRepliesCount - 1) &&
                        replyIndex <= lastHiddenCommentReplyIndex;

                    commentRepliesHTML
                        += GSApp_Comment.Reply.createHTML(
                            commentReplies[replyIndex],
                            commentInfo,
                            replyIndex,
                            replyIndex == 0,
                            replyIndex == lastReplyIndex,
                            needHideSomeCommentReply);

                    if (needHideSomeCommentReply &&
                        replyIndex == lastHiddenCommentReplyIndex)
                    {
                        commentRepliesHTML
                            // += "<div class=\"ShowAllRepliesButton\">展开隐藏楼层</div>"

                            += "<div class=\"ShowAllRepliesButton\">" +
                            "<div class=\"FocusButton\">" +
                            "<div class=\"Caption\">展开隐藏楼层</div>" +
                            "</div>" +
                            "</div>";
                    }
                }
            }
        }

        var commentRepliesHTMLBeforeComment = "";
        var commentRepliesHTMLAfterComment = "";
        if (kCommentMode == "quanZi")
        {
            ////热门评论也要展示子评论
            // if (commentClass.indexOf("GSApp_HotComment")==-1)
            // {
            commentRepliesHTMLAfterComment = commentRepliesHTML;
            // }
        } else
        {
            commentRepliesHTMLBeforeComment = commentRepliesHTML;
        }

        var userHeadImageURL = "gsAppHTMLTemplate_image/user_DefaultHeadImage@2x.png";
        if (commentInfo.userHeadImageURL &&
            commentInfo.userHeadImageURL.length > 0)
        {
            userHeadImageURL = commentInfo.userHeadImageURL;
        }

        var commentUserName = decodeURI(commentInfo.userName);
        if (commentUserName == null ||
            commentUserName == undefined ||
            commentUserName.length == 0)
        {
            commentUserName = "匿名用户";
        }
        var commentUserGroupIconHTML = "";
        var commentUserLevelHTML = "";
        var commentUserThirdPlatformBoundIconHTML = "";
        if (_kGSAppVersionNumberCode >= 410)
        {
            var commentUserLevel = 1;
            try
            {
                commentUserLevel = commentInfo.userLevel;

                if (commentInfo.userGroupId == 6)
                {
                    commentUserGroupIconHTML = "<div class=\"UserGroupIcon GuanFangYongHu\"></div>";
                } else if (commentInfo.userGroupId == 9 ||
                    commentInfo.userGroupId == 10 ||
                    commentInfo.userGroupId == 12 ||
                    commentInfo.userGroupId == 13)
                {
                    commentUserGroupIconHTML = "<div class=\"UserGroupIcon RenZhengYongHu\"></div>";
                }
            } catch (exception)
            {
                commentUserLevel = 1;
                commentUserGroupIconHTML = "";
            }

            try
            {
                if (!isNaN(commentInfo.userId))
                {
                    if (_kGSAppVersionNumberCode < 430)
                    {
                        commentUserLevelHTML
                            = "<span class=\"UserLevel_InVersionBefore430\">" + commentUserLevel + "</span> ";
                    } else
                    {
                        commentUserLevelHTML
                            = "<span class=\"UserLevel\">Lv " + commentUserLevel + "</span> ";
                    }
                }
            } catch (exception)
            {
                console.log(exception);
            }

            try
            {
                var isCurrentUserSteamBound = false;
                var isCurrentUserPSNBound = false;

                if (commentInfo.thirdPlatformBound != null &&
                    commentInfo.thirdPlatformBound != undefined &&
                    commentInfo.thirdPlatformBound.length > 0)
                {
                    if (commentInfo.thirdPlatformBound.indexOf("steam") >= 0)
                    {
                        isCurrentUserSteamBound = true;
                    }
                    if (commentInfo.thirdPlatformBound.indexOf("psn") >= 0)
                    {
                        isCurrentUserPSNBound = true;
                    }
                }

                if (isCurrentUserSteamBound &&
                    isCurrentUserPSNBound)
                {
                    commentUserThirdPlatformBoundIconHTML
                        = "<span class=\"UserThirdPlatformBoundIcon SteamAndPSN\"></span>";
                } else if (isCurrentUserSteamBound)
                {
                    commentUserThirdPlatformBoundIconHTML
                        = "<span class=\"UserThirdPlatformBoundIcon Steam\"></span>";
                } else if (isCurrentUserPSNBound)
                {
                    commentUserThirdPlatformBoundIconHTML
                        = "<span class=\"UserThirdPlatformBoundIcon PSN\"></span>";
                }

            } catch (exception)
            {
                console.log(exception);
            }
        }
        var reportButtonHTML = "";
        if (_kGSAppVersionNumberCode >= 430)
        {
            reportButtonHTML = "<span class=\"ReportButton\"></span>";
        }

        var floorHTML = "";
        if (_kGSAppVersionNumberCode >= 500 &&
            kCommentMode == "quanZi")
        {
            if (commentInfo.floorNumber != null &&
                commentInfo.floorNumber != undefined &&
                commentInfo.floorNumber.length > 0)
            {
                floorHTML = "<span class=\"Floor\">" + commentInfo.floorNumber + "楼</span>";
            }
        }

        var commentContentHTML = decodeURIComponent(commentInfo.content).toSafeContent();
        var commentImagesHTML = "";
        if (isCommentMode_QuanZi &&
            commentInfo.contentImageInfes &&
            commentInfo.contentImageInfes instanceof Array &&
            commentInfo.contentImageInfes.length > 0)
        {
            try
            {
                var commentImageSize = (window.innerWidth - 62 - 12 - 8) /
                    3;
                var contentImagesCount = commentInfo.contentImageInfes.length;
                if (contentImagesCount > 9)
                {
                    contentImagesCount = 9;
                }
                var imageDownloadTask = "";
                for (var contentImageIndex = 0; contentImageIndex < contentImagesCount; contentImageIndex++)
                {
                    var contentImage = commentInfo.contentImageInfes[contentImageIndex];
                    var cotnetnImageBadgeHTML = "";
                    if (contentImage.isGIF == "1")
                    {
                        cotnetnImageBadgeHTML = "<span class=\"Badge ImageType\">GIF</span>";
                        contentImage.url = contentImage.url.replace(".gif", ".jpg");
                    } else if (contentImage.isLongImage == "1")
                    {
                        cotnetnImageBadgeHTML = "<span class=\"Badge ImageType\">长图</span>";
                    }

                    var contentImageCSSClassName = "";
                    if ((contentImageIndex + 1) % 3 == 0)
                    {
                        contentImageCSSClassName = " LastInRow";
                    }

                    var contentImageHDURL = contentImage.hdURL;
                    if (!contentImageHDURL ||
                        contentImageHDURL.length < 1)
                    {
                        contentImageHDURL = contentImage.url;
                    }

                    var imageId = "comment_" + commentInfo.id + "_image_" + contentImageIndex;
                    var contentImageHTML = "<div class=\"ImageBox" + contentImageCSSClassName + "\"" +
                        " style=\"width:" + commentImageSize + "px; height:" + commentImageSize + "px; ";

                    if (gsIsCurrentOSAndroid())
                    {
                        contentImageHTML
                            += "background-image: url(" + contentImage.url + ")" +
                            "; \"";
                    }

                    var groupName = "";
                    if (isHotComment == true)
                    {
                        groupName = "hotComment_" + commentInfo.id;
                    } else
                    {
                        groupName = "normalComment_" + commentInfo.id;
                    }
                    contentImageHTML
                        += "; \"" +
                        " id=\"" + imageId + "\"" +
                        " imageIndex=\"" + contentImageIndex + "\"" +
                        " imageURL=\"" + contentImageHDURL + "\"" +
                        " hdImageURL=\"" + contentImageHDURL + "\"" +
                        " groupName=\"" + groupName + "\"" +
                        ">" +
                        cotnetnImageBadgeHTML +
                        "</div>";
                    commentImagesHTML
                        += contentImageHTML;

                    if (gsIsCurrentOSIOS())
                    {
                        imageDownloadTask
                            += "{" +
                            "\"id\":\"" + imageId + "\"" +
                            ", \"url\":\"" + contentImage.url + "\"" +
                            ", \"groupName\":\"" + groupName + "\"" +
                            "},";
                    }
                }

                if (gsIsCurrentOSIOS())
                {
                    var msg = "GSApp://download.app?{\"" +
                        "downloadTasks\":[" + imageDownloadTask + "]" +
                        ", \"callback\":\"GSApp_Image.didCommentImagesDownloaded\"" +
                        "}";
                    GSApp.sendMessage(msg);
                }

                if (commentImagesHTML.length > 0)
                {
                    commentImagesHTML
                        = "<div class=\"CommentImages\">" +
                        commentImagesHTML +
                        "</div>";
                }
            } catch (exception)
            {
                console.log(exception);
                //
                commentImagesHTML = "";
            }
        }

        var replyButtonCaption = "回复";
        if (!isNaN(commentInfo.allRepliesCount))
        {
            replyButtonCaption = commentInfo.allRepliesCount;
        }

        var buttonType = "ReplyButton";
        if (kCommentMode == "quanZi")
        {
            buttonType = "SingleReplyButton";
            replyButtonCaption = "回复";
        }

        comment
            = "<table class=\"GSApp_Comment" +
            commentClass +
            "\" id=\"" +
            GSApp_Comment.createCommentId(commentInfo) +
            "\" gsUserId=\"" +
            commentInfo.userId +
            "\" gsCommentTime=\"" +
            commentInfo.time +
            "\" gsCommentDevice=\"" +
            commentInfo.device +
            "\" gsCommentUserHeadImageURL=\"" +
            commentInfo.userHeadImageURL +
            "\" gsPraisedCount=\"" +
            commentInfo.praisesCount +
            "\" isThirdPlatformBounding=\"" +
            ((commentUserThirdPlatformBoundIconHTML != null && commentUserThirdPlatformBoundIconHTML.length > 0) ? "true" : "false") +
            "\"  gsUserName=\"" +
            ((commentUserName != null && commentUserName.length > 0) ? commentUserName : "匿名用户") +
            "\" border=\"0px\" cellspacing=\"0\" cellpadding=\"0\">" +
            "    <tr>" +
            "        <td class=\"UserHeadImage\" align=\"left\" valign=\"top\">" +
            "            <div class=\"Image\" style=\"background-image: url(" + userHeadImageURL + ");\"></div>" +
            commentUserGroupIconHTML +
            "        </td>" +
            "        <td class=\"Content\">" +
            "            <div class=\"UserInfoBar\">" +
            "                <span class=\"UserName " + (gsIsCurrentOSAndroid() ? "Android" : "") + "\" gsUserId=\"" + commentInfo.userId + "\" >" + ((commentUserName != null && commentUserName.length > 0) ? commentUserName : "匿名用户") + "</span>" +
            commentUserThirdPlatformBoundIconHTML +
            commentUserLevelHTML +
            reportButtonHTML +
            floorHTML +
            "            </div>" +
            commentRepliesHTMLBeforeComment +
            "            <div class=\"CommentContent\">" +
            "                " + commentContentHTML +
            "            </div>";

        var praisedState = (commentInfo.isPraised == "true") ? " Selected" : "";

        if (kCommentMode == "quanZi")
        {
            comment
                = comment + "" +
                commentImagesHTML +
                "<div class=\"OptionBar\">" +
                " " + commentTimeCaption + commentDeviceCaption +
                "<span class=\"PraiseButton " + GSApp_Comment.createCommentPraiseButtonClass(commentInfo.id) + praisedState + "\">" + (Number(commentInfo.praisesCount) > 0 ? commentInfo.praisesCount : "0") + "</span>" +
                "<span class= " + buttonType + ">" + replyButtonCaption + "</span>" +
                "</div>";

            if (commentRepliesHTMLAfterComment.length > 0)
            {
                comment
                    = comment +
                    "<div class=\"GSApp_SplitLine CommentSplitLine TopPosition" + commentSplitLineClass + "\"></div>";
            }

            comment
                = comment +
                commentRepliesHTMLAfterComment;
        } else
        {
            comment
                = comment +
                "            " + commentImagesHTML +
                commentRepliesHTMLAfterComment;

            comment
                = comment +
                "            <div class=\"OptionBar\">"

                +
                "                " + commentTimeCaption + commentDeviceCaption;
            if (_kGSAppVersionNumberCode >= 500)
            {
                comment
                    = comment +
                    "<span class= \"ShareButton\"  id=\"comment_" +
                    commentInfo.id +
                    "\" gsShareContent=\"" +
                    encodeURI(JSON.stringify(commentInfo)) +
                    "\"";

                if (_kGSAppVersionNumberCode >= 5320)
                {
                    comment
                        = comment +
                        " style=\"width: 0px;margin: 0;x;\"";
                }

                comment
                    = comment +
                    "></span>";
            }
            comment
                = comment +
                "                <span class=\"PraiseButton " + GSApp_Comment.createCommentPraiseButtonClass(commentInfo.id) + praisedState + "\">" + (Number(commentInfo.praisesCount) > 0 ? commentInfo.praisesCount : "0") + "</span>" +
                "            </div>";

        }

        comment
            = comment +
            "        </td>" +
            "    </tr>" +
            "</table>";

        var splitClass = "";
        if (kCommentMode == "quanZi")
        {
            splitClass = "QuanZiMode";
        }

        comment
            = comment +
            "<div class=\"GSApp_SplitLine CommentSplitLine " + splitClass +  commentSplitLineClass + "\"></div>";

    } catch (error)
    {
        console.log(error.toString());
    }
    return comment;
};
// {
//     "type": "",
//     "pageIndex": 1,
//     "comments":
//     [
//         {
//             "id": "",
//             "content": "",
//             "time": 1519784654000,
//             "device": "",
//             "repliesCount": 0,
//             "praisesCount": 0,
//             "userId": "",
//             "userName": "",
//             "userHeadImageURL": "",
//             "replies":
//             [
//                 {
//                 "id": "",
//                 "content": "",
//                 "userId": "",
//                 "userName": "",
// 				   "createTime":"",
// 			       "deviceName":"",
// 				   "praiseCount":"",
//                 } ...
//             ]
//         }
//     ]
// }
GSApp_Comment.commentsInfesCache_hot = new Array();
GSApp_Comment.commentsInfesCache_normal = new Array();
GSApp_Comment.cacheCommentInfo = function (isHotComment, commentInfo)
{
    if (!commentInfo)
    {
        return false;
    }
    var commentsInfes = isHotComment ?
        GSApp_Comment.commentsInfesCache_hot :
        GSApp_Comment.commentsInfesCache_normal;

    var commentId = commentInfo.id;
    for (var i = commentsInfes.length - 1; i > -1; i--)
    {
        if (commentsInfes[i].id == commentId)
        {
            return false;
        }
    }
    // !!!
    commentsInfes.push(commentInfo);
    // !!!
    return true;
};
GSApp_Comment.clearCommentInfoCacheWithCommentType = function (commentType)
{
    if (commentType == "hotComments")
    {
        GSApp_Comment.commentsInfesCache_hot.length = 0;
    } else
    {
        GSApp_Comment.commentsInfesCache_normal.length = 0;
    }
};
GSApp_Comment.createHTMLWithComments = function (commentsInfo)
{
    var commentsHTML = "";
    try
    {
        var commentInfes = commentsInfo.comments;
        if (commentInfes &&
            Array.isArray(commentInfes))
        {
            var commentsInfoType = "normalComments";
            var isHotComment = false;
            if (commentsInfo.type == "hotComments")
            {
                isHotComment = true;
                commentsInfoType = "hotComments";
            }
            var normalCommentsElements = Array();
            if (commentsInfo.type == "normalComments")
            {
                normalCommentsElements
                    = document.getElementsByClassName("GSApp_NormalComment");
            }


            var commentNodes = document.getElementsByClassName("GSApp_NormalComment");

            for (var i = 0; i < commentInfes.length; i++)
            {
                var commentInfo = commentInfes[i]; {
                    // !!!
                    commentInfo.type = commentsInfoType;
                    // !!!
                }

                //数据去重/假数据样式
                if (commentInfo.isCacheType == "true")
                {
                    if (commentInfo.replies != null &&
                        commentInfo.replies != undefined &&
                        commentInfo.replies.length > 0)
                    {
                        if (commentNodes != null &&
                            commentNodes != undefined &&
                            commentNodes.length > 0)
                        {
                            for (var index = 0; index < commentNodes.length; index++)
                            {
                                var commentElement = commentNodes[index];

                                if (commentInfo.replies == null ||
                                    commentInfo.replies == undefined ||
                                    commentInfo.replies.length == 0)
                                {
                                    return;
                                }

                                var replyJson = commentInfo.replies[0];

                                ///!!!
                                if (commentInfo.id.indexOf("_cache") != -1)
                                {
                                    commentInfo.id = commentInfo.id.substring(0, commentInfo.id.indexOf("_cache"));
                                    if (commentInfo.isFake == undefined) 
                                    {
                                        commentInfo.isFake = "true";
                                    }
                                }
                                else
                                {
                                    if (commentInfo.isFake == undefined) 
                                    {
                                        commentInfo.isFake = "false";
                                    }
                                }
                                ///!!!

                                var isValidCommentNode_LevelOne = commentElement.getAttribute("id").indexOf(commentInfo.id) != -1;
                                if (isValidCommentNode_LevelOne == false)
                                {
                                    var replyNodes
                                        = commentElement.getElementsByClassName('commentReply');
                                    if (replyNodes != null
                                        && replyNodes != undefined
                                        && replyNodes.length > 0) 
                                    {
                                        for (var repIdx = 0; repIdx < replyNodes.length; repIdx++) 
                                        {
                                            const rep = replyNodes[repIdx];
                                            if (rep.getAttribute('id').indexOf(commentInfo.id) != -1) 
                                            {
                                                isValidCommentNode_LevelOne = true;
                                                break;
                                            }
                                        }
                                    }
                                }
                                if (isValidCommentNode_LevelOne)
                                {
                                    var replies = commentElement.getElementsByClassName("CommentReply");

                                    var newReplyNode = document.createElement("div");

                                    if (replyJson.device == "(null)")
                                    {
                                        replyJson.device = "";
                                    }
                                    newReplyNode.className = "CommentReply QuanZiMode";
                                    newReplyNode.id = "commentReply_" + replyJson.id;
                                    newReplyNode.setAttribute("gsuserid", replyJson.userId);
                                    newReplyNode.setAttribute("gsusername", replyJson.userName);
                                    newReplyNode.setAttribute("gscommenttime", replyJson.time);
                                    newReplyNode.setAttribute("gscommentdevice", replyJson.device);
                                    newReplyNode.setAttribute("isfoldstyle", "false");
                                    newReplyNode.setAttribute("gsComment_Id",commentInfo.commentId);

                                    var newReplyInner = "<div class=\"UserHeadImage\">" +
                                        "<img src=\"" + replyJson.userHeadImageURL + "\">" +
                                        "</div>" +
                                        "<span class=\"UserName "
                                        + (gsIsCurrentOSAndroid() ? "Android" : "")
                                        + "\" gsuserid=\"" + replyJson.userId + "\">"
                                        + replyJson.userName + "</span>";

                                    if (replyJson.objectUserId != undefined
                                        && replyJson.objectUserId != null
                                        && replyJson.objectUserName != undefined
                                        && replyJson.objectUserName != null) 
                                    {
                                        if (replyJson.objectUserId.length > 0
                                            && replyJson.objectUserName.length > 0) 
                                        {
                                            newReplyInner
                                                = newReplyInner
                                                + "<span class=\"ReplyTo\"></span>"
                                                + "<span class=\"UserName ObjectUserName\" gsuserid=\"" + replyJson.objectUserId + "\">"
                                                + replyJson.objectUserName
                                                + "</span>";
                                        }
                                    }

                                    var splitClass = "";
                                    if (kCommentMode == "quanZi")
                                    {
                                        splitClass = "QuanZiMode";
                                    }
                                    newReplyInner
                                        = newReplyInner +
                                        "<div class=\"ReplyContent\">" + decodeURI(replyJson.content) + "</div>" +
                                        "<div class=\"OptionBar\">" +
                                        "<span class=\"Device\">" + "刚刚 " + replyJson.device + "</span>" +
                                        "<span class=\"PraiseButton CommentPraiseButton_" + replyJson.id + "\">0</span>" +
                                        "<span class=\"ReplyButton\"></span>" +
                                        "</div>" +
                                        "<div class=\"GSApp_SplitLine ReplySplitLine  " + splitClass + " Last\"></div>";

                                    newReplyNode.innerHTML = newReplyInner;

                                    if (replies.length > 0)
                                    {
                                        var last = replies[replies.length - 1];

                                        if (last.nextElementSibling != null &&
                                            last.nextElementSibling != undefined)
                                        {
                                            last.parentNode.insertBefore(newReplyNode, last.nextElementSibling);
                                        } else
                                        {
                                            last.parentNode.appendChild(newReplyNode);
                                        }
                                    } else
                                    {
                                        commentElement.getElementsByClassName("Content")[0].appendChild(newReplyNode);
                                    }
                                }
                            }
                        }
                        if (kCommentMode == "quanZi") 
                        {
                            if (commentInfo.isFake == "true") 
                            {
                                return ;    
                            }
                        }
                    } else
                    {
                        ///向下走流程
                    }
                }

                if (GSApp_Comment.cacheCommentInfo(isHotComment, commentInfo))
                {
                    commentsHTML
                        += GSApp_Comment.createHTML(
                            commentInfo,
                            isHotComment);

                }

                if (kCommentMode != "quanZi")
                {
                    if (commentsInfoType == "hotComments")
                    {
                        if (i != commentInfes.length - 1)
                        {
                            // commentsHTML
                            // = commentsHTML 
                            // 	+ "<div class=\"GSApp_Splitline CorrelationLine\"></div>";
                        }
                    } else
                    {
                        // commentsHTML
                        // 	= commentsHTML 
                        // 		+ "<div class=\"GSApp_Splitline CorrelationLine\"></div>";
                    }
                }
            }
        }
    } catch (error)
    {
        console.log(error.toString());
        //
        commentsHTML = "";
    }
    return commentsHTML;
};
// @评论回复-新闻模式
GSApp_Comment.Reply = function (commentReplyId)
{
    return document.getElementById(GSApp_Comment.Reply.createCommentReplyId(commentReplyId));
};
GSApp_Comment.Reply.createCommentReplyId = function (commentReplyId)
{
    return "commentReply_" + commentReplyId;
};
// 参数格式：
// {
//     "id": "",
//     "content": "",
//     "userId": "",
//     "userName": "",
//     "objectUserId": "",
//     "objectUserName": "",
// }
GSApp_Comment.Reply.createHTML = function (commentReplyInfo, commentInfo, replyIndex, isFirst, isLast, needHidden)
{
    var commentReply = "";
    try
    {
        var commentReplyClass = "";
        if (isFirst)
        {
            commentReplyClass += " First";
        }
        if (isLast)
        {
            commentReplyClass += " Last";
        }
        if (needHidden)
        {
            commentReplyClass = " Hidden";
        }

        var isDeletedReply = false;

        var replayObjectUser = "";
        if (kCommentMode == "quanZi")
        {
            commentReplyClass += " QuanZiMode";

            if (typeof (commentReplyInfo.objectUserId) != "undefined" &&
                commentReplyInfo.objectUserId != null &&
                commentReplyInfo.objectUserId != undefined &&
                commentReplyInfo.objectUserName != null &&
                commentReplyInfo.objectUserName != undefined)
            {
                if (commentReplyInfo.objectUserId != commentInfo.userId)
                {
                    replayObjectUser = "<span class=\"ReplyTo\"></span><span class=\"UserName ObjectUserName " + (gsIsCurrentOSAndroid() ? "Android" : "") + "\" gsUserId=\"" + commentReplyInfo.objectUserId + "\">" + decodeURI(commentReplyInfo.objectUserName) + "</span>";
                }
            }
        }

        var replyUserName = decodeURI(commentReplyInfo.userName);
        if (replyUserName == null ||
            replyUserName == undefined ||
            replyUserName.length == 0)
        {
            replyUserName = "匿名用户";
        }
        var replyContent = new String(commentReplyInfo.content);
        replyContent
            = decodeURIComponent(replyContent).toSafeContent();
        if (replyContent.indexOf("[该楼层信息已被删除]") != -1)
        {
            isDeletedReply = true;
            commentReplyClass += " Deleted";
            replyContent = "该楼层被删除";
        }
        var replyTime = GSApp.captionOfTimeInList(commentReplyInfo.time);
        var deviceName = commentReplyInfo.deviceName;

        if (deviceName == null ||
            deviceName == undefined)
        {
            deviceName = commentReplyInfo.device;
        }

        if (deviceName == "(null)")
        {
            deviceName = "";
        }
        var praiseCount = commentReplyInfo.praiseCount;

        commentReply
            = "<div class=\"CommentReply" +
            commentReplyClass +
            "\" id=\"" +
            GSApp_Comment.Reply.createCommentReplyId(commentReplyInfo.id) +
            "\" gsUserId=\"" +
            commentReplyInfo.userId +
            "\" gsUserName=\"" +
            replyUserName +
            "\" gsCommentTime=\"" +
            replyTime +
            "\" gsComment_Id=\"" +
            commentInfo.id +
            "\" gsCommentDevice=\"" +
            deviceName +
            "\" isThirdPlatformBounding=" +
            ((commentReplyInfo.thirdPlatformBound != null && commentReplyInfo.thirdPlatformBound.length > 0) ? "true" : "false") +
            ">";

        if (isDeletedReply == false)
        {
            if (kCommentMode == "quanZi")
            {
                var head = commentReplyInfo.userHeadImageURL;
                if (head == null ||
                    head == undefined ||
                    head.length == 0)
                {
                    head
                        = "gsAppHTMLTemplate_image/user_DefaultHeadImage@2x.png";
                }
                commentReply
                    = commentReply +
                    " <div class=\"UserHeadImage\"> " +
                    " <img src=\"" + head + "\">" +
                    " </div>";
            } else { }

            commentReply
                = commentReply +
                " <span class=\"UserName " + (gsIsCurrentOSAndroid() ? "Android" : "") + "\" gsUserId=\"" + commentReplyInfo.userId + "\">" + replyUserName + "</span>" + replayObjectUser;


            if (kCommentMode == "quanZi")
            {
                commentReply
                    = commentReply +
                    "<span class=\"ReportButton\"></span>";

            } else
            {
                commentReply
                    = commentReply +
                    " <span class=\"Badge\">" + (replyIndex + 1) + "#" + "</span>";
            }

            var praisedState = (commentReplyInfo.isPraised == "true") ? " Selected" : "";

            commentReply
                = commentReply +
                "<div class=\"ReplyContent\" content=\"" + encodeURI(replyContent) + "\">" + replyContent.replaceReturn().toSafeContent() + "</div>" +
                "<div class=\"OptionBar\">";

            if (_kGSAppVersionNumberCode >= 500)
            {
                if (gsIsCurrentOSIOS())
                {
                    commentReply
                        = commentReply +
                        "<span class=\"Device\">" + replyTime + " " + deviceName + "</span>";
                } else
                {
                    commentReply
                        = commentReply +
                        "<span class=\"Device\">" + replyTime + "</span>";
                }
            }
            commentReply
                = commentReply +
                "                <span class=\"PraiseButton " + GSApp_Comment.createCommentPraiseButtonClass(commentReplyInfo.id) + praisedState + "\">" + (Number(commentReplyInfo.praiseCount) > 0 ? commentReplyInfo.praiseCount : "0") + "</span>"

                +
                "</div>";
        } else
        {
            commentReply
                = commentReply +
                "<span class=\"ReplyContent\">" + replyContent + "</span>" +
                " <span class=\"Badge\">" + (replyIndex + 1) + "#" + "</span>";
        }

        var splitClass = "";
        if (kCommentMode == "quanZi")
        {
            splitClass = "QuanZiMode";
        }
        if (commentReplyClass.indexOf("Last") != -1)
        {
            commentReply
                = commentReply +
                "<div class=\"GSApp_SplitLine ReplySplitLine " + splitClass + " Last\"></div>";
        } else
        {
            commentReply
                = commentReply +
                "<div class=\"GSApp_SplitLine ReplySplitLine " + splitClass + " \"></div>";
        }
        commentReply
            = commentReply +
            "</div>";
    } catch (error)
    {
        console.log(error.toString());
    }
    return commentReply;
};
// 显示全部评论内容按钮：
GSApp_Comment.ExpandButton = function () { };
GSApp_Comment.ExpandButton.createHTML = function ()
{
    var expandButton = "";
    try
    {
        expandButton
            = "<div class=\"CommentExpandButton\">展开</div>";
    } catch (error)
    {
        console.log(error.toString());
    }
    return expandButton;
};
// 显示全部回复内容按钮：
GSApp_Comment.ReplyExpandButton = function () { };
GSApp_Comment.ReplyExpandButton.createHTML = function (isLastCommentReply)
{
    var expandButton = "";
    try
    {
        var expandButtonClass = isLastCommentReply ? " Last" : "";
        if (kCommentMode == "quanZi")
        {
            expandButtonClass += " QuanZiMode";
        }
        expandButton
            = "<div class=\"CommentReplyExpandButton" + expandButtonClass + "\">显示全部</div>";
    } catch (error)
    {
        console.log(error.toString());
    }
    return expandButton;
};
// 加载更多评论按钮：
GSApp_Comment.MoreButton = function (buttonId)
{
    return document.getElementById(GSApp_Comment.MoreButton.createMoreButtonId(buttonId));
};
GSApp_Comment.MoreButton.createMoreButtonId = function (buttonId)
{
    return "commentMoreButton_" + buttonId;
};
GSApp_Comment.MoreButton.createHTML = function (buttonId, buttonClass, defaultPageIndex)
{
    var expandButton = "";
    try
    {
        if (buttonClass)
        {
            buttonClass = " " + buttonClass;
        } else
        {
            buttonClass = "";
        }

        if (isNaN(defaultPageIndex))
        {
            defaultPageIndex = 0;
        }

        // expandButton
        // 	= "<div class=\"GSApp_CommentMoreButton" + buttonClass + "\" id=\"" + GSApp_Comment.MoreButton.createMoreButtonId(buttonId) + "\" gsPageIndex=\"" + defaultPageIndex + "\">"
        // 	+ "<span class=\"NoneData\">暂无评论, 快来抢沙发吧~</span>"
        // 	// + "<span class=\"More\">查看更多</span>"
        // 	+ "<span class=\"Loading\">正在加载</span>"
        // 	+ "<span class=\"NoneMoreData\">没有更多内容了</span>"
        // 	+ "</div>";

        expandButton
            = "<div class=\"GSApp_CommentMoreButton" + buttonClass + "\" id=\"" + GSApp_Comment.MoreButton.createMoreButtonId(buttonId) + "\" gsPageIndex=\"" + defaultPageIndex + "\">" +
            "<span class=\"NoneData\">暂无评论, 快来抢沙发吧~</span>"
            // + "<span class=\"More\">查看更多</span>"
            +
            "<span class=\"Loading\">正在加载</span>";

        if (buttonId != "hotComments")
        {
            expandButton
                = expandButton +
                "<span class=\"NoneMoreData\"></span>"
        } else
        {
            expandButton
                = "";
        }
        expandButton
            = expandButton + "</div>";

    } catch (error)
    {
        console.log(error.toString());
    }
    return expandButton;
};
GSApp_Comment.registerButtons = function ()
{
    // 1/3，全部评论，标题栏按钮事件：
    var normalCommentsOrderButtons = document.getElementsByClassName("GSNormalCommentsOrderButton");
    if (normalCommentsOrderButtons &&
        normalCommentsOrderButtons.length > 0)
    {
        for (var i = normalCommentsOrderButtons.length - 1; i > -1; i--)
        {
            var button = normalCommentsOrderButtons[i];
            gsAddTouchListenerToObject(
                button,
                function ()
                {
                    try
                    {
                        var orderButton = gsGetSuperElementWithClassOf(event.target, "GSNormalCommentsOrderButton");
                        if (orderButton)
                        {
                            var commentsOrder = gsGetInstanceElementDataId(orderButton, "gsNormalCommentsOrderButton");
                            if (commentsOrder != null)
                            {
                                if (commentsOrder == "time_asc")
                                {
                                    commentsOrder = "time_desc";
                                    orderButton.className = "Button GSNormalCommentsOrderButton Desc";
                                    orderButton.id = "gsNormalCommentsOrderButton_time_desc";
                                } else
                                {
                                    commentsOrder = "time_asc";
                                    orderButton.className = "Button GSNormalCommentsOrderButton Asc";
                                    orderButton.id = "gsNormalCommentsOrderButton_time_asc";
                                }

                                var appMsg = "GSApp://get.comment.app?{" +
                                    "\"contentType\":\"" + kContentType + "\"" +
                                    ", \"mode\":\"" + kCommentMode + "\"" +
                                    ", \"type\":\"normalComments\"" +
                                    ", \"order\":\"" + commentsOrder + "\"" +
                                    ", \"pageIndex\":1" +
                                    ", \"pageSize\":10" +
                                    ", \"callback\":\"GSApp_Comment.didRefreshCommentsWithCommentsInfo\"}";
                                GSApp.sendMessage(appMsg);
                            }
                        }
                    } catch (error)
                    {
                        console.log(error.toString());
                    }
                });
        }
    }

    // 2/3，评论内容按钮点击事件：
    var comments = document.getElementsByClassName("GSApp_Comment");
    // 评论，回复内容公用的点击事件：
    var commentContentClickEvent = function ()
    {
        // console.log(event.target);
        try
        {
            if (event.target.parentNode != null &&
                event.target.parentNode != undefined &&
                event.target.parentNode.getAttribute("class") == "OptionBar")
            {
                return;
            }

            if (event.target.getAttribute("class") == "ShowAllRepliesButton")
            {
                console.log(event.target);
            }
            if (event.target.className.indexOf("ReplyContent") != -1 ||
                event.target.className.indexOf("CommentContent") != -1)
            {
                var commentId = null;
                var commentContent = null;
                var commentUserId = null;
                var commentUserName = null;
                var commentTime = null;
                var commentDevice = null;
                var commentPraiseCount = 0;
                var commentUserHeadImageURL = null;
                var objectCommentId = null;
                var comment = gsGetSuperElementWithClassOf(event.target, "CommentReply");
                if (comment != null)
                {
                    objectCommentId = gsGetInstanceElementDataId(comment, "commentReply");
                    commentId = comment.getAttribute("gscomment_id");
                    commentContent
                        = comment.getElementsByClassName("ReplyContent")[0].innerText;
                    commentContent
                        = commentContent.replaceAll("\"", "\\\"");
                    commentUserId
                        = comment.getAttribute("gsUserId");
                    commentUserName
                        = comment.getAttribute("gsUserName");
                    commentTime
                        = comment.getAttribute("gsCommentTime");
                    commentDevice
                        = comment.getAttribute("gsCommentDevice");
                    commentUserHeadImageURL
                        = comment.getAttribute("gsCommentUserHeadImageURL");
                } else
                {
                    comment
                        = gsGetSuperElementWithClassOf(event.target, "GSApp_Comment");
                    if (comment != null)
                    {
                        commentType
                            = gsIsElementClass(comment, "GSApp_HotComment") ?
                                "hotComments" :
                                "normalComments";
                        commentId
                            = gsGetInstanceElementDataId(
                                comment,
                                commentType);
                        commentContent
                            = comment.getElementsByClassName("CommentContent")[0].innerText;
                        commentUserId
                            = comment.getAttribute("gsUserId");
                        commentUserName
                            = comment.getAttribute("gsUserName");
                        commentTime
                            = comment.getAttribute("gsCommentTime");
                        commentDevice
                            = comment.getAttribute("gsCommentDevice");
                        commentPraiseCount
                            = comment.getAttribute("gsPraisedCount");
                        commentUserHeadImageURL
                            = comment.getAttribute("gsCommentUserHeadImageURL");
                    }
                }
                if (commentId.length > 0)
                {
                    commentContent = encodeURI(commentContent);

                    var appMsg = "GSApp://create.comment.app?{" +
                        "\"contentType\":\"" + kContentType + "\"" +
                        ", \"contentId\":\"" + kContentId + "\"";

                    if (kContentType == "zhuTi.quanZi")
                    {
                        appMsg
                            = appMsg +
                            ", \"clubId\":\"" +
                            kClubId +
                            "\"";
                    }
                    if (commentId.indexOf("_cache") != -1) 
                    {
                        commentId
                            = commentId.replace("_cache", "");
                    }

                    if (objectCommentId == null
                        ||objectCommentId == undefined) 
                    {
                        objectCommentId = commentId;    
                    }

                    appMsg
                        = appMsg +
                        ", \"commentId\":\"" + commentId + "\"" +
                        ", \"commentMode\":\"" + kCommentMode + "\"" +
                        ", \"replyObjectCommentId\":\"" + objectCommentId + "\"" +
                        ", \"replyObjectCommentContent\":\"" + commentContent + "\"" +
                        ", \"replyObjectUserId\":\"" + commentUserId + "\"" +
                        ", \"replyObjectUserName\":\"" + commentUserName + "\"" +
                        ", \"replyObjectUserHeadImageURL\":\"" + commentUserHeadImageURL + "\"" +
                        ", \"replyObjectCreateTime\":\"" + commentTime + "\"" +
                        ", \"replyObjectDevice\":\"" + commentDevice + "\"" +
                        ", \"replyObjectPraisedCount\":\"" + commentPraiseCount + "\"" +
                        ", \"callback\":\"GSApp_Comment.didCommentReplied\"}";

                    GSApp.sendMessage(appMsg);
                }
            }
        } catch (error)
        {
            console.log(error.toString());
        }
    }

    for (var commentIndex = 0; commentIndex < comments.length; commentIndex++)
    {
        var comment = comments[commentIndex];

        // 2/3 - 1 评论头像点击事件
        var commentUserHeadImages = comment.getElementsByClassName("UserHeadImage");
        for (var commentUserHeadImageIndex = commentUserHeadImages.length - 1; commentUserHeadImageIndex > -1; commentUserHeadImageIndex--)
        {
            var commentUserHeadImage = commentUserHeadImages[commentUserHeadImageIndex];
            gsAddTouchListenerToObject(
                commentUserHeadImage,
                function ()
                {
                    try
                    {
                        var commentUserId = null;

                        var comment = null;

                        comment
                            = gsGetSuperElementWithClassOf(event.target, "CommentReply");
                        if (comment != null &&
                            comment != undefined) { } else
                        {
                            comment
                                = gsGetSuperElementWithClassOf(event.target, "GSApp_Comment");
                        }

                        if (comment != null)
                        {
                            commentUserId
                                = comment.getAttribute("gsUserId");
                        }
                        if (commentUserId.length > 0 &&
                            _kGSAppVersionNumberCode >= 410)
                        {
                            GSApp.openUser(commentUserId, comment.getAttribute("isThirdPlatformBounding"));
                            // !!!
                            event.stopPropagation();
                            // !!!
                        }
                    } catch (error)
                    {
                        console.log(error.toString());
                    }
                });
        }

        // 2/3 - 2 评论用户名称点击事件
        var commentUserNames = comment.getElementsByClassName("UserName");
        for (var commentUserNameIndex = commentUserNames.length - 1; commentUserNameIndex > -1; commentUserNameIndex--)
        {
            var commentUserName = commentUserNames[commentUserNameIndex];
            gsAddTouchListenerToObject(
                commentUserName,
                function ()
                {
                    try
                    {
                        var commentUserId = null;
                        var userName = gsGetSuperElementWithClassOf(event.target, "UserName");
                        if (userName != null)
                        {
                            commentUserId
                                = userName.getAttribute("gsUserId");
                        }

                        var comment = null;

                        comment
                            = gsGetSuperElementWithClassOf(event.target, "CommentReply");
                        if (comment != null &&
                            comment != undefined) { } else
                        {
                            comment
                                = gsGetSuperElementWithClassOf(event.target, "GSApp_Comment");
                        }

                        if (commentUserId.length > 0 &&
                            _kGSAppVersionNumberCode >= 410)
                        {
                            GSApp.openUser(commentUserId, comment.getAttribute("isThirdPlatformBounding"));
                            // !!!
                            event.stopPropagation();
                            // !!!
                        }
                    } catch (error)
                    {
                        console.log(error.toString());
                    }
                });
        }

        // 2/3 - 3 更多按钮操作
        var reportButtons = comment.getElementsByClassName("ReportButton");
        for (var reportButtonIndex = reportButtons.length - 1; reportButtonIndex > -1; reportButtonIndex--)
        {
            var reportButton = reportButtons[reportButtonIndex];
            gsAddTouchListenerToObject(
                reportButton,
                function ()
                {
                    try
                    {
                        var commentId = null;
                        var commentContent = null;
                        var commentUserId = null;
                        var commentUserName = null;

                        var comment = gsGetSuperElementWithClassOf(event.target, "CommentReply");
                        if (comment != null)
                        {
                            commentId = gsGetInstanceElementDataId(comment, "commentReply");
                            commentContent
                                = comment.getElementsByClassName("ReplyContent")[0].innerText;
                            commentUserId
                                = comment.getAttribute("gsUserId");
                            if (comment.className.indexOf("CommentReply") != -1) 
                            {
                                commentUserId = "";
                            }
                            commentUserName
                                = comment.getAttribute("gsUserName");
                        } else
                        {
                            comment
                                = gsGetSuperElementWithClassOf(event.target, "GSApp_Comment");
                            if (comment != null)
                            {
                                commentType
                                    = gsIsElementClass(comment, "GSApp_HotComment") ?
                                        "hotComments" :
                                        "normalComments";
                                commentId
                                    = gsGetInstanceElementDataId(
                                        comment,
                                        commentType);
                                commentContent
                                    = comment.getElementsByClassName("CommentContent")[0].innerText;
                                commentUserId
                                    = comment.getAttribute("gsUserId");

                                if (comment.className.indexOf("CommentReply") != -1) 
                                {
                                    commentUserId = "";
                                }
                                commentUserName
                                    = comment.getAttribute("gsUserName");
                            }
                        }

                        if (commentId.length > 0)
                        {
                            commentContent = encodeURI(commentContent);

                            var appMsg = null;

                            var shareContent;
                            var commentObj;
                            if (kCommentMode != "quanZi")
                            {
                                shareContent
                                    = comment.getElementsByClassName("ShareButton")[0].getAttribute("gsShareContent");

                                commentObj
                                    = JSON.parse(decodeURI(shareContent));

                                var commentRepliesText = "";
                                if (commentObj.replies != null &&
                                    commentObj.replies != undefined &&
                                    commentObj.replies.length > 0)
                                {
                                    for (var i = 0; i < commentObj.replies.length; i++)
                                    {
                                        var commentReplyElement = commentObj.replies[i];
                                        var replyText
                                            // = "{\"content\":\""+commentReplyElement.content+"\",\"deviceName\":\""+commentReplyElement.deviceName+"\",\"id\":\""+commentReplyElement.id+"\",\"praiseCount\":\""+commentReplyElement.praiseCount+"\",\"time\":\""+commentReplyElement.time+"\",\"userHeadImageURL\":\""commentReplyElement.userHeadImageURL"\",\"userId\":\""+commentReplyElement.userId+"\",\"userName\":\""+commentReplyElement.userName+"\"}";
                                            = JSON.stringify(commentReplyElement);

                                        commentRepliesText
                                            = commentRepliesText +
                                            replyText;

                                        if (i != commentObj.replies.length - 1)
                                        {
                                            commentRepliesText += ",";
                                        }
                                    }
                                }

                                appMsg
                                    = "GSApp://operate.comment.app?{" +
                                    "\"contentType\":\"" + kContentType + "\"" +
                                    ", \"contentId\":\"" + kContentId + "\"" +
                                    ", \"commentMode\":\"" + kCommentMode + "\"" +
                                    ", \"commentId\":\"" + commentId + "\"" +
                                    ", \"commentContent\":\"" + commentContent + "\"" +
                                    ", \"commentUserId\":\"" + commentUserId + "\"" +
                                    ", \"commentUserName\":\"" + commentUserName + "\"" +
                                    ", \"id\":\"" + commentObj.id + "\"" +
                                    ", \"time\":\"" + commentObj.time + "\"" +
                                    ", \"content\":\"" + commentObj.content + "\"" +
                                    ", \"device\":\"" + commentObj.device + "\"" +
                                    ", \"praisesCount\":\"" + commentObj.praisesCount + "\"" +
                                    ", \"repliesCount\":\"" + commentObj.allRepliesCount + "\"" +
                                    ", \"thirdPlatformBound\":\"" + commentObj.thirdPlatformBound + "\"" +
                                    ", \"type\":\"" + commentObj.type + "\"" +
                                    ", \"userGroupId\":\"" + commentObj.userGroupId + "\"" +
                                    ", \"userHeadImageURL\":\"" + commentObj.userHeadImageURL + "\"" +
                                    ", \"userId\":\"" + commentObj.userId + "\"" +
                                    ", \"userLevel\":\"" + commentObj.userLevel + "\"" +
                                    ", \"userName\":\"" + commentObj.userName + "\"" +
                                    ", \"replies\":[" + commentRepliesText + "]," +
                                    "\"callback\":\"GSApp_Comment.didCommentOperated\"}";
                            }
                            else
                            {
                                appMsg
                                    = "GSApp://operate.comment.app?{" +
                                    "\"contentType\":\"" + kContentType + "\"" +
                                    ", \"contentId\":\"" + kContentId + "\"" +
                                    ", \"commentMode\":\"" + kCommentMode + "\"" +
                                    ", \"commentId\":\"" + commentId + "\"" +
                                    ", \"commentContent\":\"" + commentContent + "\"" +
                                    ", \"commentUserId\":\"" + commentUserId + "\"" +
                                    ", \"commentUserName\":\"" + commentUserName + "\"" +
                                    ", \"callback\":\"GSApp_Comment.didCommentOperated\"}";
                            }

                            GSApp.sendMessage(appMsg);
                        }

                        // !!!
                        event.stopPropagation();
                        // !!!
                    } catch (error)
                    {
                        console.log(error.toString());
                    }
                });
        }

        // 2/3 - 4 评论回复点击事件：
        var isCommentReplyExpandButtonExisted = false;
        var commentReplies = comment.getElementsByClassName("CommentReply");
        for (var commentReplyIndex = commentReplies.length - 1; commentReplyIndex > -1; commentReplyIndex--)
        {
            var commentReply = commentReplies[commentReplyIndex];
            if (gsAddTouchListenerToObject(
                commentReply,
                commentContentClickEvent))
            {
                // 检查是否隐藏了评论内容：
                if (commentReply.scrollHeight > commentReply.clientHeight)
                {
                    var isLastCommentReply = false;
                    if (gsIsElementClass(commentReply, "Last"))
                    {
                        isLastCommentReply = true;
                        gsRemoveElementClass(commentReply, "Last");
                    }
                    commentReply.insertAdjacentHTML("afterEnd", GSApp_Comment.ReplyExpandButton.createHTML(isLastCommentReply));
                    //
                    isCommentReplyExpandButtonExisted = true;
                    //
                }
            }
        }

        // 2/3 - 5 关联“展开隐藏楼层按”事件：
        var showAllRepliesButtons = comment.getElementsByClassName("ShowAllRepliesButton");

        if (showAllRepliesButtons != null &&
            showAllRepliesButtons != undefined &&
            showAllRepliesButtons.length > 0)
        {
            for (var buttonIndex = showAllRepliesButtons.length - 1; buttonIndex > -1; buttonIndex--)
            {
                var button = showAllRepliesButtons[buttonIndex];

                if (kCommentMode == "quanZi")
                {
                    gsAddTouchListenerToObject(
                        button,
                        function ()
                        {
                            try
                            {
                                var commentId = null;
                                var commentContent = null;
                                var commentUserId = null;
                                var commentUserName = null;
                                var comment = gsGetSuperElementWithClassOf(event.target, "CommentReply");
                                if (comment != null)
                                {
                                    commentId = gsGetInstanceElementDataId(comment, "commentReply");
                                    commentContent
                                        = comment.getElementsByClassName("ReplyContent")[0].innerText;
                                    commentUserId
                                        = comment.getAttribute("gsUserId");
                                    commentUserName
                                        = comment.getAttribute("gsUserName");
                                } else
                                {
                                    comment
                                        = gsGetSuperElementWithClassOf(event.target, "GSApp_Comment");
                                    if (comment != null)
                                    {
                                        commentType
                                            = gsIsElementClass(comment, "GSApp_HotComment") ?
                                                "hotComments" :
                                                "normalComments";
                                        commentId
                                            = gsGetInstanceElementDataId(
                                                comment,
                                                commentType);
                                        commentContent
                                            = comment.getElementsByClassName("CommentContent")[0].innerText;
                                        commentUserId
                                            = comment.getAttribute("gsUserId");
                                        commentUserName
                                            = comment.getAttribute("gsUserName");
                                    }
                                }
                                if (commentId.length > 0)
                                {
                                    commentContent = encodeURI(commentContent);

                                    var appMsg = "GSApp://open.comment.app?{" +
                                        "\"contentType\":\"" + kContentType + "\"" +
                                        ", \"contentId\":\"" + kContentId + "\"" +
                                        ", \"commentMode\":\"" + kCommentMode + "\"" +
                                        ", \"commentId\":\"" + commentId + "\"" +
                                        ", \"commentContent\":\"" + commentContent + "\"" +
                                        ", \"commentUserId\":\"" + commentUserId + "\"" +
                                        ", \"commentUserName\":\"" + commentUserName + "\"" +
                                        ", \"callback\":\"GSApp_Comment.didCommentOperated\"}";
                                    GSApp.sendMessage(appMsg);
                                }
                            } catch (error)
                            {
                                console.log(error.toString());
                            }
                        });
                } else
                {
                    gsAddTouchListenerToObject(
                        button,
                        function ()
                        {
                            try
                            {
                                var showAllRepliesButton = gsGetSuperElementWithClassOf(event.target, "ShowAllRepliesButton");
                                if (showAllRepliesButton)
                                {
                                    for (var prevElement = showAllRepliesButton.previousSibling; prevElement; prevElement = prevElement.previousSibling)
                                    {
                                        if (prevElement.nodeType == 1 &&
                                            gsIsElementClass(prevElement, "Hidden"))
                                        {
                                            gsRemoveElementClass(prevElement, "Hidden");
                                        } else
                                        {
                                            break;
                                        }
                                    }

                                    // 元素展开之后,在当前隐藏的元素的父元素遍历所有child,再判断时候展开
                                    var replyParent = showAllRepliesButton.parentNode;

                                    if (replyParent.children != null)
                                    {
                                        var replys = new Array();
                                        for (var index = 0; index < replyParent.children.length; index++)
                                        {
                                            const commentNode = replyParent.children[index];

                                            if (commentNode.className.indexOf("CommentReply") != -1)
                                            {
                                                replys.push(commentNode);
                                            }
                                        }

                                        if (replys.length > 0)
                                        {
                                            for (var index = 0; index < replys.length; index++)
                                            {
                                                const replyContentNode = replys[index];
                                                if (replyContentNode.children != null)
                                                {
                                                    for (var replyIndex = 0; replyIndex < replyContentNode.children.length; replyIndex++)
                                                    {
                                                        const contentNode = replyContentNode.children[replyIndex];
                                                        if (contentNode.className.indexOf("ReplyContent") != -1)
                                                        {
                                                            if (contentNode.offsetHeight < contentNode.scrollHeight)
                                                            {
                                                                var repeatedMore = false;
                                                                for (var moerIndex = 0; moerIndex < contentNode.children.length; moerIndex++)
                                                                {
                                                                    const moreNode = contentNode.children[moerIndex];
                                                                    if (moreNode.className.indexOf("CommentExpandButton Reply") != -1)
                                                                    {
                                                                        repeatedMore = true;
                                                                        break;
                                                                    }
                                                                }

                                                                if (repeatedMore == false)
                                                                {
                                                                    var replyId = null;
                                                                    var commentId = null;
                                                                    if (contentNode.id.indexOf("commentReply_") != -1)
                                                                    {
                                                                        replyId = contentNode.id.replace("commentReply_");
                                                                    }

                                                                    var superCommentNode = gsGetSuperElementWithClassOf(contentNode, "GSApp_Comment");
                                                                    commentId = superCommentNode.id;
                                                                    contentNode.id
                                                                    contentNode.insertAdjacentHTML("beforeend", "<div class=\"CommentExpandButton Reply\" id=\"commentReply_" + replyId + "\" commentid=\"" + commentId + "\">展开</div>");

                                                                    GSApp_Comment.registerButtons();
                                                                }

                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }

                                    // !!!
                                    showAllRepliesButton.parentNode.removeChild(showAllRepliesButton);
                                    // !!!
                                }
                            } catch (error)
                            {
                                console.log(error.toString());
                            }
                        });
                }
            }
        }

        // 2/3 - 6 评论内容点击事件：
        var isCommentExpandButtonExisted = false;
        var commentContents = comment.getElementsByClassName("CommentContent");
        for (var contentIndex = commentContents.length - 1; contentIndex > -1; contentIndex--)
        {
            var commentContent = commentContents[contentIndex];
            if (gsAddTouchListenerToObject(
                commentContent,
                commentContentClickEvent))
            {
                // 检查是否隐藏了评论内容：
                if (commentContent.scrollHeight > commentContent.clientHeight)
                {
                    commentContent.insertAdjacentHTML("afterEnd", GSApp_Comment.ExpandButton.createHTML());
                    //
                    isCommentExpandButtonExisted = true;
                    //
                }
            }
        }

        // 2/3 - 7 评论内容“图片”点击事件：
        var commentContentImages = comment.getElementsByClassName("CommentImages");
        if (commentContentImages &&
            commentContentImages.length > 0)
        {
            var imageBoxes = comment.getElementsByClassName("ImageBox");
            for (var imageBoxIndex = imageBoxes.length - 1; imageBoxIndex > -1; imageBoxIndex--)
            {
                var imageBox = imageBoxes[imageBoxIndex];
                gsAddTouchListenerToObject(
                    imageBox,
                    function ()
                    {
                        try
                        {
                            var imageBoxes = gsGetSuperElementWithClassOf(event.target, "CommentImages")
                                .getElementsByClassName("ImageBox");
                            var imageInfes = "";
                            for (var imageBoxIndex = 0; imageBoxIndex < imageBoxes.length; imageBoxIndex++)
                            {
                                var imageBox = imageBoxes[imageBoxIndex];
                                var imageURL = imageBox.getAttribute("imageURL");
                                var hdImageURL = imageBox.getAttribute("hdImageURL");
                                var staticsImageURL = imageBox.getAttribute("staticsImageURL");
                                var imageInfo = "{" +
                                    "	\"url\": \"" + imageURL + "\"," +
                                    "	\"staticsImageURL\": \"" + staticsImageURL + "\"," +
                                    "	\"hdURL\": \"" + hdImageURL + "\"," +
                                    "	\"imageDescription\": \"\"," +
                                    " \"x\":\"" + imageBox.offsetLeft + "\"," +
                                    " \"y\":\"" + imageBox.offsetTop + "\"," +
                                    " \"width\":\"" + imageBox.offsetWidth + "\"," +
                                    " \"height\":\"" + imageBox.offsetHeight + "\"" +
                                    "}";
                                if (imageInfes.length > 0)
                                {
                                    imageInfes += ", ";
                                }
                                imageInfes += imageInfo;
                            }
                            if (imageInfes.length > 0)
                            {
                                imageInfes = "[" + imageInfes + "]";
                            }

                            var imageBoxTouched = event.target;
                            var imageIndexTouched = parseInt(imageBoxTouched.getAttribute("imageIndex"));
                            if (imageInfes.length > 0)
                            {
                                var appMsg = "GSApp://open.image.app?{" +
                                    "\"id\":\"" + imageIndexTouched + "\"" +
                                    ", \"allImageSrcs\":" + imageInfes + "}";
                                GSApp.sendMessage(appMsg);
                            }
                        } catch (error)
                        {
                            console.log(error.toString());
                        }
                    });
            }
        }

        // 2/3 - 8 展开回复内容，展开评论内容按钮点击事件：
        if (isCommentReplyExpandButtonExisted)
        {
            var expandButtons = comment.getElementsByClassName("CommentReplyExpandButton");
            for (var expandButtonIndex = expandButtons.length - 1; expandButtonIndex > -1; expandButtonIndex--)
            {
                gsAddTouchListenerToObject(
                    expandButtons[expandButtonIndex],
                    function ()
                    {
                        try
                        {
                            var expandButton = gsGetSuperElementWithClassOf(event.target, "CommentReplyExpandButton");
                            if (expandButton != null)
                            {
                                var replyContent = gsGetPrevElementWithClassBeforeElement(expandButton, "CommentReply");
                                if (replyContent != null)
                                {
                                    gsAddElementClass(replyContent, "ShowAllContent");
                                    if (gsIsElementClass(expandButton, "Last"))
                                    {
                                        gsAddElementClass(replyContent, "Last");
                                    }
                                }
                                //
                                expandButton.parentNode.removeChild(expandButton);
                            }
                        } catch (error)
                        {
                            console.log(error.toString());
                        }
                    });
            }
        }
        if (isCommentExpandButtonExisted)
        {
            var expandButtons = comment.getElementsByClassName("CommentExpandButton");
            for (var expandButtonIndex = expandButtons.length - 1; expandButtonIndex > -1; expandButtonIndex--)
            {
                gsAddTouchListenerToObject(expandButtons[expandButtonIndex],
                    function ()
                    {
                        try
                        {
                            var expandButton = gsGetSuperElementWithClassOf(event.target, "CommentExpandButton");
                            if (expandButton != null)
                            {
                                var replyContent = gsGetPrevElementWithClassBeforeElement(expandButton, "CommentContent");
                                if (replyContent != null)
                                {
                                    gsAddElementClass(replyContent, "ShowAllContent");
                                }
                                //
                                expandButton.parentNode.removeChild(expandButton);
                            }
                        } catch (error)
                        {
                            console.log(error.toString());
                        }
                    });
            }
        }

        // 2/3 - 9 操作条按钮点击事件：
        {
            // 2/3 - 9.1 回复按钮回复事件
            var didReplyButtonCalled = function ()
            {
                try
                {
                    var comment = gsGetSuperElementWithClassOf(event.target, "GSApp_Comment");
                    if (comment != null)
                    {
                        var commentType = gsIsElementClass(comment, "GSApp_HotComment") ?
                            "hotComments" :
                            "normalComments";
                        var commentId = gsGetInstanceElementDataId(
                            comment,
                            commentType);
                        var commentUserId = comment.getAttribute("gsUserId");
                        var commentUserName = comment.getAttribute("gsUserName");
                        var commentContent = encodeURI(comment.getElementsByClassName("CommentContent")[0].innerText);
                        var appMsg = "GSApp://create.comment.app?{" +
                            "\"contentType\":\"" + kContentType + "\"";

                        if (kContentType == "zhuTi.quanZi")
                        {
                            appMsg
                                = appMsg +
                                ", \"clubId\":\"" +
                                kClubId +
                                "\"";
                        }

                        appMsg
                            = appMsg +
                            ", \"contentId\":\"" + kContentId + "\"" +
                            ", \"commentMode\":\"" + kCommentMode + "\"" +
                            ", \"replyObjectCommentId\":\"" + commentId + "\"" +
                            ", \"replyObjectCommentContent\":\"" + commentContent + "\"" +
                            ", \"replyObjectUserId\":\"" + commentUserId + "\"" +
                            ", \"replyObjectUserName\":\"" + commentUserName + "\"" +
                            ", \"callback\":\"GSApp_Comment.didCommentReplied\"}";
                        GSApp.sendMessage(appMsg);
                    }
                } catch (error)
                {
                    console.log(error.toString());
                }
            };

            // 2/3 - 9.2 回复按钮：
            var replyButtons = comment.getElementsByClassName("ReplyButton");
            for (var replyButtonIndex = replyButtons.length - 1; replyButtonIndex > -1; replyButtonIndex--)
            {
                var replyButton = replyButtons[replyButtonIndex];
                gsAddTouchListenerToObject(
                    replyButton,
                    didReplyButtonCalled);

            }

            var replyButtons = comment.getElementsByClassName("SingleReplyButton");
            for (var replyButtonIndex = replyButtons.length - 1; replyButtonIndex > -1; replyButtonIndex--)
            {
                var replyButton = replyButtons[replyButtonIndex];
                gsAddTouchListenerToObject(
                    replyButton,
                    didReplyButtonCalled);

            }

            // 2/3 - 9.3 点赞按钮：
            var praiseButtons = comment.getElementsByClassName("PraiseButton");
            for (var praiseButtonIndex = praiseButtons.length - 1; praiseButtonIndex > -1; praiseButtonIndex--)
            {
                var praiseButton = praiseButtons[praiseButtonIndex];
                gsAddTouchListenerToObject(
                    praiseButton,
                    function ()
                    {
                        try
                        {
                            var praiseButton = gsGetSuperElementWithClassOf(event.target, "PraiseButton");

                            if (praiseButton &&
                                !gsIsElementClass(praiseButton, "Selected"))
                            {

                                var comment = gsGetSuperElementWithClassOf(praiseButton, "CommentReply");

                                var commentId = null;
                                var appMsg = null;

                                var commentType = null;

                                var isReply = "false";
                                if (comment != null)
                                {
                                    commentType
                                        = "commentReply";

                                    commentId
                                        = gsGetInstanceElementDataId(
                                            comment,
                                            commentType);
                                    commentUserId
                                        = comment.getAttribute("gsUserId");
                                    isReply = "true";
                                } else
                                {
                                    comment
                                        = gsGetSuperElementWithClassOf(event.target, "GSApp_Comment");

                                    if (comment != null)
                                    {
                                        commentType
                                            = gsIsElementClass(comment, "GSApp_HotComment") ?
                                                "hotComments" :
                                                "normalComments";
                                        commentId
                                            = gsGetInstanceElementDataId(
                                                comment,
                                                commentType);
                                        commentUserId
                                            = comment.getAttribute("gsUserId");
                                    }
                                }

                                var appMsg = "GSApp://praise.comment.app?{" +
                                    "\"contentType\":\"" + kContentType + "\"" +
                                    ", \"isReply\":\"" + isReply + "\"" +
                                    ", \"contentId\":\"" + kContentId + "\"" +
                                    ", \"commentMode\":\"" + kCommentMode + "\"" +
                                    ", \"commentId\":\"" + commentId + "\"" +
                                    ", \"commentUserId\":\"" + commentUserId + "\"" +
                                    ", \"callback\":\"GSApp_Comment.didCommentPraised\"}";

                                GSApp.sendMessage(appMsg);
                            }
                        } catch (error)
                        {
                            console.log(error.toString());
                        }
                    });
            }

            //2/3 - 9.4 分享按钮

            var shareButtons = comment.getElementsByClassName("ShareButton");
            for (var i = 0; i < shareButtons.length; i++)
            {
                var shareNode = shareButtons[i];
                gsAddTouchListenerToObject(shareNode,
                    function ()
                    {
                        var shareContent = event.target.getAttribute("gsShareContent");

                        var commentObj = JSON.parse(decodeURI(shareContent));

                        var commentRepliesText = "";
                        if (commentObj.replies != null &&
                            commentObj.replies != undefined &&
                            commentObj.replies.length > 0)
                        {
                            for (var i = 0; i < commentObj.replies.length; i++)
                            {
                                var commentReplyElement = commentObj.replies[i];
                                var replyText
                                    // = "{\"content\":\""+commentReplyElement.content+"\",\"deviceName\":\""+commentReplyElement.deviceName+"\",\"id\":\""+commentReplyElement.id+"\",\"praiseCount\":\""+commentReplyElement.praiseCount+"\",\"time\":\""+commentReplyElement.time+"\",\"userHeadImageURL\":\""commentReplyElement.userHeadImageURL"\",\"userId\":\""+commentReplyElement.userId+"\",\"userName\":\""+commentReplyElement.userName+"\"}";
                                    = JSON.stringify(commentReplyElement);

                                commentRepliesText
                                    = commentRepliesText +
                                    replyText;

                                if (i != commentObj.replies.length - 1)
                                {
                                    commentRepliesText += ",";
                                }
                            }
                        }

                        var msg = "GSApp://share.comment.app?{\"contentId\":\"" + kContentId + "\",\"id\":\"" + commentObj.id + "\",\"time\":\"" + commentObj.time + "\",\"content\":\"" + commentObj.content + "\",\"device\":\"" + commentObj.device + "\",\"praisesCount\":\"" + commentObj.praisesCount + "\",\"repliesCount\":\"" + commentObj.allRepliesCount + "\",\"thirdPlatformBound\":\"" + commentObj.thirdPlatformBound + "\",\"type\":\"" + commentObj.type + "\",\"userGroupId\":\"" + commentObj.userGroupId + "\",\"userHeadImageURL\":\"" + commentObj.userHeadImageURL + "\",\"userId\":\"" + commentObj.userId + "\",\"userLevel\":\"" + commentObj.userLevel + "\",\"userName\":\"" + commentObj.userName + "\",\"replies\":[" + commentRepliesText + "]}";
                        if (msg != null &&
                            msg != undefined &&
                            msg.length > 0)
                        {
                            GSApp.sendMessage(msg);
                        }
                    });
            }
        }

        // 2/3 - 10 评论回复隐藏内容
        var commentReplys = comment.getElementsByClassName("CommentReply");
        if (commentReplys.length > 0)
        {
            ///对于已经被隐藏的元素 为了计算出是否需要折叠内容,先显示然后计算高度后再隐藏.
            for (var index = 0; index < commentReplys.length; index++)
            {
                const replyElement = commentReplys[index];
                // if (replyElement.id.indexOf("commentReply_1087562691")!=-1) 
                // {
                // alert("YES");
                // }
                if (replyElement.className.indexOf("Hidden") != -1)
                {
                    replyElement.setAttribute("isFoldStyle", "true");
                    // replyElement.className = "CommentReply";
                } else
                {
                    replyElement.setAttribute("isFoldStyle", "false");
                }

                if (replyElement.children != null &&
                    replyElement.children != undefined &&
                    replyElement.children.length > 0)
                {
                    for (var childIndex = 0; childIndex < replyElement.children.length; childIndex++)
                    {
                        const child = replyElement.children[childIndex];
                        if (child.className.indexOf("ReplyContent") != -1)
                        {
                            var replyNode = child;
                            // if (replyNode.nextSibling != null
                            // 	&&replyNode.nextSibling != undefined)
                            // {
                            // 	var replyNext
                            // 	= replyNode.nextSibling;
                            // 	if (replyNext.className.indexOf("CommentExpandButton")!= -1) 
                            // 	{
                            // 		return;
                            // 	}
                            // }
                            if (replyNode.scrollHeight > replyNode.clientHeight)
                            {
                                ///去重
                                try
                                {
                                    ///需要隐藏/展开元素
                                    var expandButton = document.createElement("div");
                                    expandButton.className = "CommentExpandButton Reply";

                                    expandButton.innerText = "展开";
                                    expandButton.id = replyNode.parentNode.getAttribute("id");
                                    var commentNode = gsGetSuperElementWithClassOf(replyNode, "GSApp_Comment");
                                    if (commentNode != null &&
                                        commentNode != undefined)
                                    {
                                        expandButton.setAttribute("commentId", commentNode.id);
                                    }

                                    if (replyNode.children != null &&
                                        replyNode.children.length > 0)
                                    {
                                        for (var replyChildIndex = 0; replyChildIndex < replyNode.children.length; replyChildIndex++)
                                        {
                                            const replyChild = replyNode.children[replyChildIndex];
                                            if (replyChild.className.indexOf("CommentExpandButton") != -1)
                                            {
                                                break;
                                            }
                                        }

                                        ///!!!
                                        var innerContent = decodeURI(replyNode.getAttribute("content"));
                                        replyNode.innerText = "";
                                        replyNode.innerHTML = innerContent;
                                        ///!!!

                                        replyNode.appendChild(expandButton);
                                    } else
                                    {

                                        ///!!!
                                        var innerContent = decodeURI(replyNode.getAttribute("content"));
                                        replyNode.innerText = "";
                                        replyNode.innerHTML = innerContent;
                                        ///!!!

                                        replyNode.appendChild(expandButton);
                                    }

                                } catch (exeption)
                                {
                                    console.log(exeption);
                                }

                                gsAddTouchListenerToObject(expandButton,
                                    function ()
                                    {
                                        if (event.target.className.indexOf("CommentExpandButton") != -1)
                                        {
                                            if (event.target.parentNode != null &&
                                                event.target.parentNode != undefined &&
                                                event.target.parentNode.className.indexOf("ReplyContent") != -1)
                                            {
                                                var commentContentNode = event.target.parentNode;

                                                if (commentContentNode.parentNode != null &&
                                                    commentContentNode.parentNode != undefined)
                                                {
                                                    var commentNode = commentContentNode.parentNode;
                                                    var orgClass = commentNode.getAttribute("class");
                                                    commentNode.className = orgClass + " ShowAllContent";
                                                }

                                                if (commentContentNode.children != null &&
                                                    commentContentNode.children != undefined &&
                                                    commentContentNode.children.length > 0)
                                                {
                                                    var expandNeedRemove = null;
                                                    for (var i = 0; i < commentContentNode.children.length; i++)
                                                    {
                                                        const expand = commentContentNode.children[i];
                                                        if (expand.className.indexOf("CommentExpandButton") != -1)
                                                        {
                                                            expandNeedRemove
                                                                = expand;
                                                        }
                                                    }
                                                    if (expandNeedRemove != null &&
                                                        expandNeedRemove != undefined)
                                                    {
                                                        expandNeedRemove.className = "CommentExpandButton Reply Hidde";
                                                        // commentContentNode.removeChild(expandNeedRemove);
                                                        expandNeedRemove.parentNode.removeChild(expandNeedRemove);
                                                    }
                                                }
                                            }
                                        }
                                    });
                            }
                        }
                    }
                }
            }

            for (var i = 0; i < commentReplys.length; i++)
            {
                const element = commentReplys[i];
                if (element.getAttribute("isFoldStyle") == "true")
                {
                    element.className = element.className + " Hidden";
                }
            }
        }
    }

    // 3/3，加载更多按钮点击事件：
    var moreButtons = document.getElementsByClassName("GSApp_CommentMoreButton");
    for (var moreButtonIndex = moreButtons.length - 1; moreButtonIndex > -1; moreButtonIndex--)
    {
        var moreButton = moreButtons[moreButtonIndex];
        gsAddTouchListenerToObject(
            moreButton,
            function ()
            {
                try
                {
                    var moreButton = gsGetSuperElementWithClassOf(event.target, "GSApp_CommentMoreButton");
                    if (moreButton &&
                        !gsIsElementClass(moreButton, "Loading") &&
                        !gsIsElementClass(moreButton, "NoneMoreData"))
                    {
                        if (moreButton.className == "GSApp_CommentMoreButton")
                        {
                            // !!!
                            gsAddElementClass(moreButton, "Loading");
                            // !!!
                            var commentsType = gsGetInstanceElementDataId(moreButton, "commentMoreButton");
                            if (commentsType != null)
                            {
                                var commentsOrder = "default";
                                if (commentsType == "normalComments")
                                {
                                    var normalCommentsOrderButton_time_desc = document.getElementById("gsNormalCommentsOrderButton_time_desc");
                                    if (normalCommentsOrderButton_time_desc &&
                                        gsIsElementClass(normalCommentsOrderButton_time_desc, "Selected"))
                                    {
                                        commentsOrder = "time_desc";
                                    } else
                                    {
                                        commentsOrder = "time_asc";
                                    }
                                }

                                var originPageIndex = parseInt(moreButton.getAttribute("gsPageIndex"));
                                if (isNaN(originPageIndex))
                                {
                                    originPageIndex = 0;
                                }
                                // !!! 更新更多按钮页码
                                originPageIndex += 1;
                                moreButton.setAttribute(
                                    "gsPageIndex",
                                    originPageIndex);
                                // !!!
                                var originPageSize = 10;

                                var finalPageIndex = originPageIndex;
                                var finalPageSize = originPageSize;
                                if (commentsType == "hotComments")
                                {
                                    if (originPageIndex == 1)
                                    {
                                        finalPageIndex = 1;
                                        if (kCommentMode == "quanZi")
                                        {
                                            finalPageSize = 2;
                                        } else
                                        {
                                            finalPageSize = 5;
                                        }
                                    } else
                                    {
                                        finalPageIndex = originPageIndex - 1;
                                        finalPageSize = 20;
                                    }
                                }

                                var appMsg = "GSApp://get.comment.app?{" +
                                    "\"contentType\":\"" + kContentType + "\"" +
                                    ", \"mode\":\"" + kCommentMode + "\"" +
                                    ", \"type\":\"" + commentsType + "\"" +
                                    ", \"order\":\"" + commentsOrder + "\"" +
                                    ", \"pageIndex\":" + finalPageIndex +
                                    ", \"pageSize\":" + finalPageSize +
                                    ", \"callback\":\"GSApp_Comment.insertCommentWithCommentsInfo\"}";
                                GSApp.sendMessage(appMsg);
                            }
                        } else if (gsIsElementClass(moreButton, "NoneData"))
                        {
                            var commentsType = gsGetInstanceElementDataId(moreButton, "commentMoreButton");
                            if (commentsType != null)
                            {
                                var appMsg = "GSApp://create.comment.app?{" +
                                    "\"contentType\":\"" + kContentType + "\"" +
                                    ", \"contentId\":\"" + kContentId + "\"";

                                if (kContentType == "zhuTi.quanZi")
                                {
                                    appMsg
                                        = appMsg +
                                        ", \"clubId\":\"" +
                                        kClubId +
                                        "\"";
                                }

                                appMsg
                                    = appMsg +
                                    ", \"commentMode\":\"" + kCommentMode + "\"" +
                                    ", \"replyObjectCommentId\":\"\"" +
                                    ", \"replyObjectUserId\":\"\"" +
                                    ", \"callback\":\"GSApp_Comment.insertCommentWithCommentsInfo\"" +
                                    "}";
                                GSApp.sendMessage(appMsg);
                            }
                        }
                    }
                } catch (error)
                {
                    console.log(error.toString());
                }
            });
    }
};

////4.6 自动加载更多评论功能
GSApp_Comment.autoLoadMoreComments = function ()
{
    var moreButtons = document.getElementsByClassName("GSApp_CommentMoreButton");
    for (var moreButtonIndex = moreButtons.length - 1;
        moreButtonIndex > -1;
        moreButtonIndex--)
    {
        var moreButton = moreButtons[moreButtonIndex];
        if (moreButton &&
            !gsIsElementClass(moreButton, "Loading") &&
            !gsIsElementClass(moreButton, "NoneMoreData"))
        {
            if (moreButton.className == "GSApp_CommentMoreButton")
            {
                // !!!
                gsAddElementClass(moreButton, "Loading");
                // !!!
                var commentsType = gsGetInstanceElementDataId(moreButton, "commentMoreButton");
                if (commentsType != null)
                {
                    var commentsOrder = "default";
                    if (commentsType == "normalComments")
                    {
                        var normalCommentsOrderButton_time_desc = document.getElementById("gsNormalCommentsOrderButton_time_desc");
                        if (normalCommentsOrderButton_time_desc &&
                            gsIsElementClass(normalCommentsOrderButton_time_desc, "Desc"))
                        {
                            commentsOrder = "time_desc";
                        } else
                        {
                            commentsOrder = "time_asc";
                        }
                        var originPageIndex = parseInt(moreButton.getAttribute("gsPageIndex"));
                        if (isNaN(originPageIndex))
                        {
                            originPageIndex = 0;
                        }
                        // !!! 更新更多按钮页码
                        originPageIndex += 1;
                        moreButton.setAttribute(
                            "gsPageIndex",
                            originPageIndex);
                        // !!!
                        var originPageSize = 10;

                        var finalPageIndex = originPageIndex;
                        var finalPageSize = originPageSize;
                        var appMsg = "GSApp://get.comment.app?{" +
                            "\"contentType\":\"" + kContentType + "\"" +
                            ", \"mode\":\"" + kCommentMode + "\"" +
                            ", \"type\":\"" + commentsType + "\"" +
                            ", \"order\":\"" + commentsOrder + "\"" +
                            ", \"pageIndex\":" + finalPageIndex +
                            ", \"pageSize\":" + finalPageSize +
                            ", \"callback\":\"GSApp_Comment.insertCommentWithCommentsInfo\"}";
                        GSApp.sendMessage(appMsg);
                    }
                }
            }
        }
    }
}

GSApp_Comment.create = function (commentType)
{
    var order = "time_desc";
    if (commentType != "hotComments")
    {
        /*
        if (kCommentMode == "quanZi")
        {
        	order = "time_asc";
        }
        else
        */
        {
            order = "time_desc";
        }
    }

    var pageSize = 10;
    if (commentType == "hotComments")
    {
        // if (kCommentMode == "quanZi")
        // {
        // 	pageSize = 2;
        // }
        // else
        // {
        pageSize = 10;
        // }
    }
    var appMsg = "GSApp://get.comment.app?{" +
        "\"contentType\":\"" + kContentType + "\"" +
        ", \"mode\":\"" + kCommentMode + "\"" +
        ", \"type\":\"" + commentType + "\"" +
        ", \"order\":\"" + order + "\"" +
        ", \"pageIndex\":1" +
        ", \"pageSize\":" + pageSize +
        ", \"callback\":\"GSApp_Comment.insertCommentWithCommentsInfo\"}";
    GSApp.sendMessage(appMsg);
};
GSApp_Comment.insertCommentWithCommentsInfo = function (commentsInfo)
{
    try
    {
        var newCommentsCount = 0;
        if (commentsInfo.comments &&
            Array.isArray(commentsInfo.comments))
        {
            newCommentsCount
                = commentsInfo.comments.length;
        }

        // 热门评论
        if (commentsInfo.type == "hotComments")
        {
            var comemntsHTML = GSApp_Comment.createHTMLWithComments(commentsInfo);
            if (comemntsHTML.length > 0)
            {
                var insertPositionObjectElement = null;
                var hotCommentsTitleBar = GSApp_TitleBar("hotComments");
                if (hotCommentsTitleBar)
                {
                    insertPositionObjectElement = hotCommentsTitleBar;
                    var lastHotComment = gsGetLastElementWithClass("GSApp_HotComment");
                    if (lastHotComment)
                    {
                        insertPositionObjectElement = lastHotComment;
                    }
                } else
                {

                    comemntsHTML
                        = GSApp_TitleBar.createHTML("hotComments", GSApp_Comment.kHotCommentsTitle) +
                        comemntsHTML;

                    if (kCommentMode != "quanZi")
                    {
                        comemntsHTML
                            += GSApp_Comment.MoreButton.createHTML("hotComments", null, 1);
                    }

                    if (kCommentMode == "quanZi")
                    {
                        comemntsHTML
                            += "<div class=\"GSApp_SplitLine White\" id=\"splitLine_hotComments\"> </div>";
                    } else
                    {
                        comemntsHTML
                            += GSApp_SplitLine.createHTML("hotComments");
                    }

                    insertPositionObjectElement = GSApp_SplitLine("gsApp_MainBody");
                    if (kContentType == "zhuTi.quanZi")
                    {
                        insertPositionObjectElement = GSApp_SplitLine("gsApp_GSAppClubBar_Bottom");
                    }
                    var relatedContentSplitLine = GSApp_SplitLine("relatedContent");
                    if (relatedContentSplitLine)
                    {
                        insertPositionObjectElement = relatedContentSplitLine;
                    } else
                    {
                        var tagsSplitLine = GSApp_SplitLine("tags");
                        if (tagsSplitLine)
                        {
                            insertPositionObjectElement = tagsSplitLine;
                        }
                    }
                }
                // !!!

                if (insertPositionObjectElement.nextSibling != null &&
                    insertPositionObjectElement.nextSibling != undefined &&
                    insertPositionObjectElement.className.indexOf("GSApp_SplitLine") == -1)
                {
                    if (insertPositionObjectElement.nextSibling.className.indexOf("GSApp_SplitLine") != -1)
                    {
                        insertPositionObjectElement = insertPositionObjectElement.nextSibling;
                    }
                }
                insertPositionObjectElement.insertAdjacentHTML(
                    "afterEnd",
                    comemntsHTML);
                // !!!
                GSApp_Comment.registerButtons();
                // !!!
                // !!! 更改加载按钮状态 !!!
                var moreButton = GSApp_Comment.MoreButton("hotComments");
                /*
                moreButton.setAttribute(
                    "gsPageIndex",
                    commentsInfo.pageIndex);*/
                if (newCommentsCount >= commentsInfo.pageSize)
                {
                    gsRemoveElementClass(moreButton, "NoneData");
                    gsRemoveElementClass(moreButton, "Loading");
                } else
                {
                    gsRemoveElementClass(moreButton, "NoneData");
                    gsRemoveElementClass(moreButton, "Loading");
                    gsAddElementClass(moreButton, "NoneMoreData");
                }
                // !!!
            } else
            {
                // !!! 更改加载按钮状态 !!!
                var moreButton = GSApp_Comment.MoreButton("hotComments");
                if (moreButton)
                {
                    gsRemoveElementClass(moreButton, "NoneData");
                    gsRemoveElementClass(moreButton, "Loading");
                    gsAddElementClass(moreButton, "NoneMoreData");
                }
                // !!!
            }
        }
        // 普通评论
        else
        {
            var comemntsHTML = GSApp_Comment.createHTMLWithComments(commentsInfo);
            // !!!
            GSApp_Comment.registerButtons();
            // !!!
            if (comemntsHTML != null
                &&comemntsHTML != undefined
                &&comemntsHTML.length > 0)
            {
                var insertPositionObjectElement = null;
                var normalCommentsTitleBar = GSApp_TitleBar("normalComments");
                if (normalCommentsTitleBar)
                {
                    insertPositionObjectElement = normalCommentsTitleBar;
                    if (commentsInfo.order != "topmost")
                    {
                        var lastNormalComment = gsGetLastElementWithClass("GSApp_NormalComment");

                        if (commentsInfo.order == "last")
                        {
                            lastNormalComment = normalCommentsTitleBar;
                        }

                        if (lastNormalComment)
                        {
                            insertPositionObjectElement = lastNormalComment;
                        }
                    }
                } else
                {
                    var titleButtonInfes = [{
                        "className": "GSNormalCommentsOrderButton",
                        "id": "gsNormalCommentsOrderButton_time_desc",
                        "title": "最新"
                    }];
                    if (commentsInfo.order &&
                        commentsInfo.order == "time_desc")
                    {
                        titleButtonInfes[0].className = "Button GSNormalCommentsOrderButton Desc";
                        titleButtonInfes[0].id = "gsNormalCommentsOrderButton_time_desc";
                        titleButtonInfes[0].title = "最新";
                    } else
                    {
                        titleButtonInfes[0].className = "Button GSNormalCommentsOrderButton Asc";
                        titleButtonInfes[0].id = "gsNormalCommentsOrderButton_time_asc";
                        titleButtonInfes[0].title = "最早";
                    }

                    comemntsHTML
                        = GSApp_TitleBar.createHTML("normalComments", GSApp_Comment.kAllCommentsTitle, titleButtonInfes) +
                        comemntsHTML +
                        GSApp_Comment.MoreButton.createHTML("normalComments", null, 1) +
                        GSApp_SplitLine.createHTML("normalComments");

                    insertPositionObjectElement = GSApp_SplitLine("gsApp_MainBody");
                    if (kContentType == "zhuTi.quanZi")
                    {
                        insertPositionObjectElement = GSApp_SplitLine("gsApp_GSAppClubBar_Bottom");
                    }
                    var hotCommentsSplitLine = GSApp_SplitLine("hotComments");
                    if (hotCommentsSplitLine)
                    {
                        insertPositionObjectElement = hotCommentsSplitLine;
                    } else
                    {
                        var relatedContentSplitLine = GSApp_SplitLine("relatedContent");
                        if (relatedContentSplitLine)
                        {
                            insertPositionObjectElement = relatedContentSplitLine;
                        } else
                        {
                            var tagsSplitLine = GSApp_SplitLine("tags");
                            if (tagsSplitLine)
                            {
                                insertPositionObjectElement = tagsSplitLine;
                            }
                        }
                    }
                }
                // !!!
                if (insertPositionObjectElement.nextSibling != null &&
                    insertPositionObjectElement.nextSibling != undefined &&
                    insertPositionObjectElement.className.indexOf("GSApp_SplitLine") == -1)
                {
                    if (insertPositionObjectElement.nextSibling.className.indexOf("GSApp_SplitLine") != -1)
                    {
                        insertPositionObjectElement = insertPositionObjectElement.nextSibling;
                    }
                }
                insertPositionObjectElement.insertAdjacentHTML(
                    "afterEnd",
                    comemntsHTML);
                // !!!
                GSApp_Comment.registerButtons();
                // !!!
                // !!! 更改加载按钮状态 !!!
                var moreButton = GSApp_Comment.MoreButton("normalComments");
                /*
                moreButton.setAttribute(
                    "gsPageIndex",
                    commentsInfo.pageIndex);*/
                if (newCommentsCount >= commentsInfo.pageSize)
                {
                    gsRemoveElementClass(moreButton, "NoneData");
                    gsRemoveElementClass(moreButton, "Loading");
                } else
                {
                    gsRemoveElementClass(moreButton, "NoneData");
                    gsRemoveElementClass(moreButton, "Loading");
                    gsAddElementClass(moreButton, "NoneMoreData");
                }
                // !!!
            } else
            {
                // !!! 更改加载按钮状态 !!!
                var moreButton = GSApp_Comment.MoreButton("normalComments");
                if (moreButton)
                {
                    gsRemoveElementClass(moreButton, "NoneData");
                    gsRemoveElementClass(moreButton, "Loading");
                    gsAddElementClass(moreButton, "NoneMoreData");
                } else
                {
                    var titleButtonInfes = [{
                        "className": "GSNormalCommentsOrderButton",
                        "id": "gsNormalCommentsOrderButton_time_desc",
                        "title": "最新"
                    }];

                    if (commentsInfo.order &&
                        commentsInfo.order == "time_desc")
                    {
                        titleButtonInfes[0].className = "Button GSNormalCommentsOrderButton Desc";
                        titleButtonInfes[0].id = "gsNormalCommentsOrderButton_time_desc";
                        titleButtonInfes[0].title = "最新";
                    } else
                    {
                        titleButtonInfes[0].className = "Button GSNormalCommentsOrderButton Asc";
                        titleButtonInfes[0].id = "gsNormalCommentsOrderButton_time_asc";
                        titleButtonInfes[0].title = "最早";
                    }

                    var moreButtonHTML = "";
                    if (commentsInfo.state &&
                        commentsInfo.state == "loading")
                    {
                        moreButtonHTML
                            = GSApp_Comment.MoreButton.createHTML("normalComments", null, 0);
                    } else
                    {
                        moreButtonHTML
                            = GSApp_Comment.MoreButton.createHTML("normalComments", "NoneData", 0);
                    }

                    var comemntsHTML = GSApp_TitleBar.createHTML("normalComments", GSApp_Comment.kAllCommentsTitle, titleButtonInfes) +
                        moreButtonHTML +
                        GSApp_SplitLine.createHTML("normalComments");

                    var insertPositionObjectElement = null;
                    insertPositionObjectElement = GSApp_SplitLine("gsApp_MainBody");
                    if (kContentType == "zhuTi.quanZi")
                    {
                        insertPositionObjectElement = GSApp_SplitLine("gsApp_GSAppClubBar_Bottom");
                    }
                    var hotCommentsSplitLine = GSApp_SplitLine("hotComments");
                    if (hotCommentsSplitLine)
                    {
                        insertPositionObjectElement = hotCommentsSplitLine;
                    } else
                    {
                        var relatedContentSplitLine = GSApp_SplitLine("relatedContent");
                        if (relatedContentSplitLine)
                        {
                            insertPositionObjectElement = relatedContentSplitLine;
                        } else
                        {
                            var tagsSplitLine = GSApp_SplitLine("tags");
                            if (tagsSplitLine)
                            {
                                insertPositionObjectElement = tagsSplitLine;
                            }
                        }
                    }
                    // !!!
                    if (insertPositionObjectElement.nextSibling != null &&
                        insertPositionObjectElement.nextSibling != undefined &&
                        insertPositionObjectElement.className.indexOf("GSApp_SplitLine") == -1)
                    {
                        if (insertPositionObjectElement.nextSibling.className.indexOf("GSApp_SplitLine") != -1)
                        {
                            insertPositionObjectElement = insertPositionObjectElement.nextSibling;
                        }
                    }
                    insertPositionObjectElement.insertAdjacentHTML(
                        "afterEnd",
                        comemntsHTML);
                    // !!!
                    GSApp_Comment.registerButtons();
                    // !!!
                }
                // !!!
            }

            if (kContentAnchor &&
                kContentAnchor == "comments")
            {
                GSApp_Comment.updateHolderSplitLineHeight();
            }
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};
GSApp_Comment.updateHolderSplitLineHeight = function ()
{
    var splitLine = document.getElementById("splitLine_normalComments");

    if (!splitLine ||
        !gsIsElementClass(splitLine, "Holder"))
    {
        return;
    }
    var mainBodySplitLine = document.getElementById("splitLine_gsApp_MainBody");
    if (!mainBodySplitLine)
    {
        return;
    }

    var mainBodySplitLineBottom = mainBodySplitLine.offsetTop +
        mainBodySplitLine.offsetHeight;

    var commentsContentHeight = splitLine.offsetTop -
        mainBodySplitLineBottom;

    var widowBoundsHeight = window.innerHeight;

    var splitLineHeightForHolder = widowBoundsHeight -
        commentsContentHeight;
    if (splitLineHeightForHolder < 8)
    {
        splitLineHeightForHolder = 8;
    }

    splitLine.style.height = splitLineHeightForHolder + "px";

};
GSApp_Comment.kOffsetYForScrollToComments = 0;
GSApp_Comment.updateHolderSplitLineHeightAndScrollToComments = function ()
{
    // !!!
    GSApp_Comment.updateHolderSplitLineHeight();
    // !!!
    var mainBodySplitLine = document.getElementById("splitLine_gsApp_MainBody");
    var windowContentOffsetY = mainBodySplitLine.offsetTop +
        GSApp_Comment.kOffsetYForScrollToComments;
    if (mainBodySplitLine)
    {
        if (gsIsCurrentOSAndroid())
        {
            setTimeout(
                function ()
                {
                    window.scrollTo(0, windowContentOffsetY);
                },
                100);
        } else
        {
            window.scrollTo(0, windowContentOffsetY);
        }
    }
};
GSApp_Comment.didRefreshCommentsWithCommentsInfo = function (commentsInfo)
{
    try
    {
        // 1/3，移除对应的评论内容：
        {
            // 1/4，移除标题栏：
            var titleBar = GSApp_TitleBar(commentsInfo.type);
            titleBar.parentNode.removeChild(titleBar);
            // 2/4，移除评论内容：
            if (commentsInfo.type == "hotComments")
            {
                gsRemoveElementsWithClassName("GSApp_HotComment");
                gsRemoveElementsWithClassName("GSApp_HotComment_BottomBorder");
            } else
            {
                gsRemoveElementsWithClassName("GSApp_NormalComment");
                gsRemoveElementsWithClassName("GSApp_NormalComment_BottomBorder");
            }

            // 3/4，移除加载更多按钮：
            var moreButton = GSApp_Comment.MoreButton(commentsInfo.type);
            moreButton.parentNode.removeChild(moreButton);
            // 4/4，移除分隔线：
            var splitLien = GSApp_SplitLine(commentsInfo.type);
            splitLien.parentNode.removeChild(splitLien);
        }

        // 2/3，清空评论信息缓存：
        GSApp_Comment.clearCommentInfoCacheWithCommentType(commentsInfo.type);

        // 3/3，插入评论信息：
        GSApp_Comment.insertCommentWithCommentsInfo(commentsInfo);
    } catch (error)
    {
        console.log(error.toString());
    }
};
GSApp_Comment.didCommentReplied = function (newCommentInfo)
{
    try
    {
        if (newCommentInfo.error.length > 0)
        {
            return;
        }

        var newComments = new Object(); {
            newComments.type = "normalComments";
            newComments.order = "topmost";
            newComments.pageIndex = 1;
            newComments.comments = newCommentInfo.comments;
        }
        GSApp_Comment.insertCommentWithCommentsInfo(newComments);
    } catch (error)
    {
        console.log(error.toString());
    }
};
// {
//     "error": "",
//     "commentId": ""
// }
GSApp_Comment.didCommentPraised = function (commentPraisedInfo)
{
    try
    {
        if (!commentPraisedInfo.error ||
            commentPraisedInfo.error.length < 1 ||
            commentPraisedInfo.error == "0")
        {
            var praiseButtonClass = GSApp_Comment.createCommentPraiseButtonClass(commentPraisedInfo.commentId);
            var praiseButtons = document.getElementsByClassName(praiseButtonClass);
            for (var i = 0; i < praiseButtons.length; i++)
            {
                var praiseButton = praiseButtons[i];
                if (!gsIsElementClass(praiseButton, "Selected"))
                {
                    gsAddElementClass(praiseButton, "Selected");
                    var praiseInner = praiseButton.innerText;
                    if (praiseInner != "")
                    {
                        praiseButton.innerText = parseInt(praiseButton.innerText) + 1;
                    } else
                    {
                        praiseButton.innerText = "1";
                    }
                }
            }

            // GSApp.showTips("点赞成功");
            // GSApp.vibrate();
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};
GSApp_Comment.didCommentOperated = function (operationInfo)
{
    if (operationInfo.comments &&
        operationInfo.comments.length > 0)
    {
        GSApp_Comment.didCommentReplied(operationInfo);
    } else
    {
        GSApp_Comment.didCommentPraised(operationInfo);
    }
};


/////////////////////
//关注/粉丝
////////////////////
GSApp.checkFollowedUser = function (authorId)
{
    var followdMessage = "GSApp://get.followed.app?{\"authorId\":\"" + authorId + "\",\"callBack\":\"GSApp.isAuthorFollowed\"}";

    GSApp.sendMessage(followdMessage);
    console.log("成功发送获取关注的消息:" + followdMessage);
}

GSApp.isAuthorFollowed = function (followed)
{
    var followNode = document.getElementById("gsApp_FollowButton");
    var subTitle = followNode.childNodes[0];
    if (followNode != undefined &&
        followNode != null)
    {
        if (followed == 1)
        {
            followNode.className = "OperateButton Selected";
            followNode.style.visibility = "visible";
        } else if (followed == 0)
        {
            followNode.className = "OperateButton Unselected";
            followNode.style.visibility = "visible";
        } else if (followed == -1)
        {
            followNode.parentNode.removeChild(followNode);
        }
    }
}

GSApp.followUser = function (userId)
{
    var followNode = document.getElementById("gsApp_FollowButton");
    var operateName = null;

    if (followNode.className == "OperateButton Unselected")
    {
        // GSApp.isAuthorFollowed(true);
        operateName
            = "follow";
    } else if (followNode.className == "OperateButton Selected")
    {
        // GSApp.isAuthorFollowed(false);
        operateName
            = "unfollow";
    }

    var followedMessage = "GSApp://set.followed.app?{\"authorId\":\"" +
        userId +
        "\",\"operateName\":\"" +
        operateName +
        "\",\"callBack\":\"GSApp.isAuthorFollowed\"}";

    GSApp.sendMessage(followedMessage);
    console.log("关注/取关操作成功:" + followedMessage);

}


///Vote相关
var kShouldReadVoteAndPointContent = false;
GSApp.shouldReadVoteAndPointContent = function (shouldRead)
{
    kShouldReadVoteAndPointContent
        = shouldRead;
};

GSApp.readVoteAndPointCoantent = function ()
{
    if (kShouldReadVoteAndPointContent == false)
    {
        return;
    }
    gsPostToURL("http://appapi2.gamersky.com/v5/getArticle",
        "JSON",
        "{\"articleId\":\"" + kContentId + "\",\"modelFieldNames\":\"isVoteEnable,isStandpointEnable\",\"cacheMinutes\":\"60\",\"pageIndex\":\"1\"}",
        true,
        "GSApp.requestVoteAndPointResponse");
}

var kUnReadedVoteContent = true;
var kIsStandPointEnable = false;
var kIsVoteEnable = false;

GSApp.requestVoteAndPointResponse = function (response)
{
    if (response != null &&
        response != undefined &&
        response.length > 0)
    {
        try
        {
            var responseJson = JSON.parse(decodeURIComponent(response));

            var result = null;

            if (gsIsCurrentOSIOS())
            {
                if (_kGSAppVersionNumberCode >= 500)
                {
                    result
                        = responseJson[0];
                } else
                {
                    result
                        = responseJson.result[0];
                }
            } else if (gsIsCurrentOSAndroid())
            {
                if (responseJson.errorCode == 0)
                {
                    result
                        = responseJson.result[0];
                }
            }
            if (result != null)
            {
                kIsStandPointEnable
                    = result.isStandpointEnable;

                kIsVoteEnable
                    = result.isVoteEnable;
            }
        } catch (error)
        {
            console.log(error.toString());
        }
    }

    if (kIsVoteEnable)
    {
        setTimeout(
            function ()
            {
                gsPostToURL("http://appapi2.gamersky.com/v5/getArticleVoteInfo",
                    "JSON",
                    "{\"articleId\":\"" + kContentId + "\",\"cacheMinutes\":\"10\"}",
                    true,
                    "GSApp.createVoteElement");
            }, 100);
    }

    if (kIsStandPointEnable)
    {
        setTimeout(
            function ()
            {
                gsPostToURL("http://appapi2.gamersky.com/v5/getArticleStandpointInfo",
                    "JSON",
                    "{\"articleId\":\"" + kContentId + "\",\"cacheMinutes\":\"10\"}",
                    true,
                    "GSApp.createStandpointElement");
            }, 200);
    }
}

///投票相关
var totalVoteNums = 0;
GSApp.createVoteElement = function (response)
{
    if (response != null &&
        response != undefined &&
        response.length > 0)
    {
        var responseJson = JSON.parse(decodeURIComponent(response));
        var voteResult = null;

        if (gsIsCurrentOSIOS())
        {
            if (_kGSAppVersionNumberCode >= 500)
            {
                voteResult
                    = responseJson;
            } else
            {
                voteResult
                    = responseJson.result;
            }
        } else if (gsIsCurrentOSAndroid())
        {
            if (responseJson.errorCode == 0)
            {
                voteResult
                    = responseJson.result;
            }
        }

        try
        {
            if (voteResult.result != null &&
                voteResult.result != undefined)
            {
                voteResult
                    = voteResult.result;
            }
        } catch (error)
        {
            console.log(error.toString());
        }

        if (voteResult != null &&
            voteResult != undefined)
        {
            //投票的标题
            var voteTitle = voteResult.voteInfo.title;

            ///投票的内容
            var voteContent = voteResult.voteInfo.votes;
            // {name:"投票测试1",votesNumber:20}

            //添加元素
            var voteNode = document.createElement("aside");
            voteNode.className = "GSApp_Vote";

            var voteField = document.createElement("fieldset");
            voteField.className = "VoteField";
            voteNode.appendChild(voteField);

            var voteTip = document.createElement("legend");

            voteTip.innerText = "话题投票";
            voteField.appendChild(voteTip);

            var voteTitleNode = document.createElement("h4");
            voteTitleNode.innerText = voteTitle;
            voteTitleNode.className = "VoteTitle";
            voteField.appendChild(voteTitleNode);


            for (var index = 0; index < voteContent.length; index++)
            {
                const voteElement = voteContent[index];
                totalVoteNums += Number(voteElement.votesNumber);
            }

            for (var index = 0; index < voteContent.length; index++)
            {
                const voteElement = voteContent[index];
                voteField.appendChild(GSApp.createVoteItem(voteElement));
            }

            var voteButton = document.createElement("div");
            voteButton.className = "VoteButton";
            voteButton.innerText = "投票";
            voteButton.setAttribute("onclick", "GSApp.voteAction()");
            voteButton.id = "VoteButton";
            voteNode.appendChild(voteButton);

            document.body.insertBefore(voteNode, GSApp_MainBody().nextSibling);
        }
    }
}

GSApp.createVoteItem = function (voteItem)
{
    var voteItemNode = document.createElement("p");
    voteItemNode.value = voteItem.name;
    voteItemNode.className = "VoteItem";

    var ipWrap = document.createElement("span");
    ipWrap.className = "Wrap";
    voteItemNode.appendChild(ipWrap);

    var voteInput = document.createElement("input");

    voteInput.className = "Input";
    voteInput.type = "radio";
    voteInput.value = voteItem.name;
    voteInput.id = "id_" + voteItem.name;
    voteInput.name = "voteRadio";
    voteInput.checked = false;
    ipWrap.appendChild(voteInput);

    var voteLab = document.createElement("label");
    voteLab.className = "Lab";
    voteLab.setAttribute("for", "id_" + voteItem.name);
    voteLab.innerText = voteItem.name;
    voteItemNode.appendChild(voteLab);

    var pro = document.createElement("span");
    pro.className = "Pro";

    var pro_I = document.createElement("i");
    pro_I.style.width = Number(voteItem.votesNumber / totalVoteNums) * 100 + "%";
    pro.appendChild(pro_I);

    voteItemNode.appendChild(pro);

    var num = document.createElement("span");
    num.className = "Num";
    num.innerText = voteItem.votesNumber + "票";
    voteItemNode.appendChild(num);

    return voteItemNode;
}

GSApp.voteAction = function ()
{
    var radios = document.getElementsByName("voteRadio");
    if (radios != null &&
        radios.length > 0)
    {
        var couldVote = false;
        var checkedNode = null;
        for (var index = 0; index < radios.length; index++)
        {
            const radioNode = radios[index];
            if (radioNode.checked == true)
            {
                couldVote = true;
                checkedNode = radioNode;
                break;
            }
        }
        if (couldVote == false)
        {
            alert("请至少选择一个选项!");
        } else
        {
            //投票操作成功的请求
            var voteURL = "https://db5.gamersky.com/ContentVoteJsonp.aspx?callback=jQuery18306501423295315061_1555557924155&id=" +
                kContentId +
                "&a=1&v=" +
                checkedNode.value +
                "&_=1555557952542";
            gsPostToURL(voteURL, "JSON", "", false, "GSApp.didVotedSuccess");
        }
    }
}

GSApp.didVotedSuccess = function (voteResultText)
{
    var voteResult = null;
    if (voteResultText != null &&
        voteResultText != undefined &&
        voteResultText.length > 0)
    {
        var startIdx = 0;
        for (var index = 0; index < voteResultText.length; index++)
        {
            const char = voteResultText[index];
            if (char == "(")
            {
                startIdx = index;
                break;
            }
        }
        voteResultText
            = voteResultText.substr(startIdx, voteResultText.length - startIdx);
        voteResultText
            = decodeURIComponent(voteResultText);
        if (voteResultText[0] == "(")
        {
            voteResultText
                = voteResultText.substr(1, voteResultText.length - 3);
        }
        try
        {
            if (voteResultText.indexOf(");") != -1)
            {
                voteResultText
                    = voteResultText.substring(0, voteResultText.indexOf(");"));
            }
            voteResult = JSON.parse(voteResultText);
        } catch (error)
        {
            console.log(error.toString());

            //临时兼容处理!!
            if (voteResult == null ||
                voteResult == undefined)
            {
                voteResultText
                    = "{\"result\":\"" + voteResultText + "\"}";
                var voteResultTextResult = JSON.parse(voteResultText);
                if (voteResultTextResult != null &&
                    voteResultTextResult != undefined)
                {
                    voteResult
                        = JSON.parse(voteResultTextResult.result);
                }
            }
        }
    }

    if (voteResult != null &&
        voteResult != undefined)
    {
        if (voteResult.status == "err")
        {
            alert("已经投过票了！");
        } else if (voteResult.status == "ok")
        {
            alert("投票成功！");
            var voteItemArray = voteResult.items;

            var numVoteItems = document.getElementsByClassName("Num");

            var proVoteItems = document.getElementsByClassName("Pro");

            var totalVotes = 0;
            for (var voteIndex = 0; voteIndex < voteItemArray.length; voteIndex++)
            {
                const voteItem = voteItemArray[voteIndex];
                totalVotes += voteItem.VoteNumber;
            }

            for (var voteResultIndex = 0; voteResultIndex < voteItemArray.length; voteResultIndex++)
            {
                const voteResultItem = voteItemArray[voteResultIndex];

                for (var numVoteItemIndex = 0; numVoteItemIndex < numVoteItems.length; numVoteItemIndex++)
                {
                    const numVoteItem = numVoteItems[numVoteItemIndex];
                    if (numVoteItem.parentElement.className == "VoteItem" &&
                        numVoteItem.parentElement.value == voteResultItem.Title)
                    {
                        numVoteItem.innerText = voteResultItem.VoteNumber + "票";
                    }
                }
                for (var proVoteItemIndex = 0; proVoteItemIndex < proVoteItems.length; proVoteItemIndex++)
                {
                    const proVoteItem = proVoteItems[proVoteItemIndex];
                    if (proVoteItem.parentElement.className == "VoteItem" &&
                        proVoteItem.parentElement.value == voteResultItem.Title)
                    {
                        var pro_iNode = proVoteItem.childNodes[0];
                        pro_iNode.style.width = Number(voteResultItem.VoteNumber / totalVotes) * 100 + "%";
                    }
                }
            }
        }
    }

    var radios = document.getElementsByClassName("Wrap");

    if (radios != null &&
        radios.length > 0)
    {
        for (var index = 0; index < radios.length; index++)
        {
            const radioNode = radios[index];
            radioNode.style.display = "none";
        }
    }

    var labs = document.getElementsByClassName("Lab");
    if (labs != null &&
        labs.length > 0)
    {
        for (var index = 0; index < labs.length; index++)
        {
            const labNode = labs[index];
            labNode.style.paddingLeft = "0";
        }
    }

    var pros = document.getElementsByClassName("Pro");
    if (pros != null &&
        pros.length > 0)
    {
        for (var index = 0; index < pros.length; index++)
        {
            const proNode = pros[index];
            proNode.style.display = "block";
        }
    }

    var nums = document.getElementsByClassName("Num");
    if (nums != null &&
        nums.length > 0)
    {
        for (var index = 0; index < nums.length; index++)
        {
            const numNode = nums[index];
            numNode.style.display = "block";
        }
    }

    var voteButton = document.getElementById("VoteButton");
    if (voteButton != null &&
        voteButton != undefined)
    {
        voteButton.style.display = "none";
    }
}

///热门讨论/观点 相关
GSApp.createStandpointElement = function (response)
{
    if (response != null &&
        response != undefined &&
        response.length > 0)
    {
        var responseJson = JSON.parse(decodeURIComponent(response));

        var standPointResult = null;

        if (gsIsCurrentOSIOS())
        {
            if (_kGSAppVersionNumberCode >= 500)
            {
                standPointResult
                    = responseJson;
            } else
            {
                standPointResult
                    = responseJson.result;
            }
        } else if (gsIsCurrentOSAndroid())
        {
            if (responseJson.errorCode == 0)
            {
                standPointResult
                    = responseJson.result;
            }
        }

        try
        {
            if (standPointResult.result != null &&
                standPointResult.result != undefined)
            {
                standPointResult
                    = standPointResult.result;
            }
        } catch (error)
        {
            console.log(error.toString());
        }

        if (standPointResult != null &&
            standPointResult != undefined)
        {
            //红方标题
            var redTitle = standPointResult.standpointInfo.redTitle;

            //红方内容
            var redDescription = standPointResult.standpointInfo.redDescription;

            //红方支持数
            var redVotesNumber = standPointResult.standpointInfo.redVotesNumber;

            //蓝方标题
            var blueTitle = standPointResult.standpointInfo.blueTitle;

            //蓝方内容
            var blueDescription = standPointResult.standpointInfo.blueDescription;

            //蓝方支持数
            var blueVotesNumber = standPointResult.standpointInfo.blueVotesNumber;

            //添加元素
            var pointNode = document.createElement("aside");
            pointNode.className = "GSApp_StandPoint";

            var pointField = document.createElement("fieldset");
            pointField.className = "PointField";
            pointNode.appendChild(pointField);

            var pointTip = document.createElement("legend");

            pointTip.innerText = "热议投票";
            pointTip.after
            pointField.appendChild(pointTip);

            var redArea = document.createElement("div");
            redArea.className = "RedPointArea";
            pointField.appendChild(redArea);

            var redTitleNode = document.createElement("h5");
            redTitleNode.innerText = redTitle;
            redArea.appendChild(redTitleNode);

            var redDesNode = document.createElement("p");
            redDesNode.innerText = redDescription;
            redArea.appendChild(redDesNode);


            var blueArea = document.createElement("div");
            blueArea.className = "BluePointArea";
            pointField.appendChild(blueArea);

            var blueTitleNode = document.createElement("h5");
            blueTitleNode.innerText = blueTitle;
            blueArea.appendChild(blueTitleNode);

            var blueDesNode = document.createElement("p");
            blueDesNode.innerText = blueDescription;
            blueArea.appendChild(blueDesNode);

            var compareWrap = document.createElement("div");
            compareWrap.className = "CompareWrap";
            pointField.appendChild(compareWrap);

            var compareNode = document.createElement("div");
            compareNode.className = "Compare";
            compareWrap.appendChild(compareNode);

            var cmpPro = document.createElement("p");
            cmpPro.className = "Pro";
            compareNode.appendChild(cmpPro);

            var cmpProRed = document.createElement("i");
            cmpProRed.className = "Red";
            cmpProRed.style.width = Number(redVotesNumber / (redVotesNumber + blueVotesNumber)) * 100 + "%";
            cmpPro.appendChild(cmpProRed);

            var cmpNum = document.createElement("p");
            cmpNum.className = "Num";
            compareNode.appendChild(cmpNum);

            var redPolNode = document.createElement("span");
            redPolNode.className = "RedPolNumber";
            redPolNode.innerHTML = redVotesNumber + "人";
            cmpNum.appendChild(redPolNode);

            var bluePolNode = document.createElement("span");
            bluePolNode.className = "BluePolNumber";
            bluePolNode.innerHTML = blueVotesNumber + "人";
            cmpNum.appendChild(bluePolNode);


            var okButtonNode = document.createElement("div");
            okButtonNode.setAttribute("onclick", "GSApp.standPointAction(\"red\")");
            okButtonNode.className = "OKButton";

            var noButtonNode = document.createElement("div");
            noButtonNode.setAttribute("onclick", "GSApp.standPointAction(\"blue\")");
            noButtonNode.className = "NOButton";

            compareWrap.appendChild(okButtonNode);
            compareWrap.appendChild(noButtonNode);

            var insertPositionNode = GSApp_MainBody().nextSibling;
            if (insertPositionNode.className == "GSApp_Vote") { } else
            {
                insertPositionNode = GSApp_MainBody();
            }
            document.body.insertBefore(pointNode, insertPositionNode.nextSibling);
        }
    }
}

GSApp.standPointAction = function (pointName)
{
    var voteURL = "https://db5.gamersky.com/VoteJson.aspx?callback=jQuery183005876923535429435_1555558550932&id=" +
        kContentId +
        "&a=vote&p=" +
        pointName +
        "&_=1555558557378";
    gsPostToURL(voteURL, "JSON", "", false, "GSApp.didStandPointActionFinished");
}

GSApp.didStandPointActionFinished = function (standPointResultText)
{
    var standPointResult = null;
    if (standPointResultText != null &&
        standPointResultText != undefined &&
        standPointResultText.length > 0)
    {
        var startIdx = 0;
        for (var index = 0; index < standPointResultText.length; index++)
        {
            const char = standPointResultText[index];
            if (char == "(")
            {
                startIdx = index;
                break;
            }
        }
        standPointResultText
            = standPointResultText.substr(startIdx, standPointResultText.length - startIdx);

        standPointResultText
            = decodeURIComponent(standPointResultText);

        if (standPointResultText[0] == "(")
        {
            standPointResultText
                = standPointResultText.substr(1, standPointResultText.length - 3);
        }

        try
        {
            if (standPointResultText.indexOf(");") != -1)
            {
                standPointResultText
                    = standPointResultText.substring(0, standPointResultText.indexOf(");"));
            }
            standPointResult = JSON.parse(standPointResultText);
        } catch (error)
        {
            console.log(error.toString());

            //临时兼容处理!!
            if (standPointResult == null ||
                standPointResult == undefined)
            {
                standPointResultText
                    = "{\"result\":\"" + standPointResultText + "\"}";
                var standPointResultTextResult = JSON.parse(standPointResultText);
                if (standPointResultTextResult != null &&
                    standPointResultTextResult != undefined)
                {
                    standPointResult
                        = JSON.parse(standPointResultTextResult.result);
                }
            }
        }
    }

    if (standPointResult != null &&
        standPointResult != undefined)
    {
        if (standPointResult.status == "ok")
        {
            alert("投票成功！");
        } else if (standPointResult.status == "err")
        {
            alert("已经投过票了！");
        }
    }
}

////////////////////////////////////////////////
// @广告相关交互
////////////////////////////////////////////////
var GSApp_Ad = function (adId)
{
    return document.getElementById(this.getAdIdOfContent(adId));
};
GSApp_Ad.createAdId = function (adId)
{
    return "ad_" + adId;
};
// {
//     "position": "diBu", // xiangGuanNeiRong, adWidiButhBigImage
//     "id": "",
//     "title": "",
//     "thumbnail": "",
//     "contentType": "",
//     "content": ""
// }

///硬广告
var kListAdInfes =
    [
        {
            "id": 2020040301,
            "showTime_Begin": 1585962000000,
            "showTime_End": 1586221199000,
            "gameId": "1256222",
            "listIndex": 4,
            "title": "网易UU加速器",
            "thumbnailUrls": ["https://imgf.gamersky.com/img/bjyx/uu_686x150_0402.jpg"],
            "content": "http://gad.netease.com/gad/access?project_id=4410138&s=rv4FNPdE7o7admhg%252BGrL03bU8JE%253D&code_type=1&gsAppOpenWithBrowser=true",
            "umengId_Show": "launchad_show_1",
            "umengId_Open": "launchadAdAnimation_Show",

            "contentType": "url",
            "thumbnail": "https://imgf.gamersky.com/img/bjyx/uu_686x150_0402.jpg",
            "position": "zhongBu",
            "isSteadyAd": "true",
        },
        {
            "id": 2020040302,
            "showTime_Begin": 1586221200000,
            "showTime_End": 1586393999000,
            "gameId": "1256222",
            "listIndex": 24,
            "title": "北通宙斯精英手柄 支持NS/PC双平台",
            "thumbnailUrls": ["https://imgf.gamersky.com/img/bjyx/bt_686x150_0403.jpg"],
            "content": "https://s.click.taobao.com/WFzeslv?gsAppOpenWithBrowser=true",
            "umengId_Show": "launchad_show_1",
            "umengId_Open": "launchadAdAnimation_Show",

            "contentType": "url",
            "thumbnail": "https://imgf.gamersky.com/img/bjyx/bt_686x150_0403.jpg",
            "position": "zhongBu",
            "isSteadyAd": "true",
        },
        {
            "id": 2020040303,
            "showTime_Begin": 1586394000000,
            "showTime_End": 1586480400000,
            "gameId": "1256222",
            "listIndex": 4,
            "title": "网易UU加速器",
            "thumbnailUrls": ["https://imgf.gamersky.com/img/bjyx/uu_686x150_0402.jpg"],
            "content": "http://gad.netease.com/gad/access?project_id=4410138&s=rv4FNPdE7o7admhg%252BGrL03bU8JE%253D&code_type=1&gsAppOpenWithBrowser=true",
            "umengId_Show": "launchad_show_1",
            "umengId_Open": "launchadAdAnimation_Show",

            "contentType": "url",
            "thumbnail": "https://imgf.gamersky.com/img/bjyx/uu_686x150_0402.jpg",
            "position": "zhongBu",
            "isSteadyAd": "true",
        }
    ];

GSApp_Ad.createHTML = function (adInfo)
{
    var ad = "";
    try
    {
        if (adInfo.id &&
            adInfo.id != "" &&
            adInfo.id != "0")
        {
            if (adInfo.umengId_Show != null
                && adInfo.umengId_Show != undefined
                && adInfo.umengId_Show.length > 0) 
            {
                GSApp.reportUMengStatistics(adInfo.umengId_Show);
            }

            var umOpenId = "";
            if (adInfo.umengId_Open != null
                && adInfo.umengId_Open != undefined
                && adInfo.umengId_Open.length > 0) 
            {
                umOpenId = adInfo.umengId_Open;
            }
            if (adInfo.position == "diBu")
            {
                ad
                    = "<table class=\"GSApp_BigAd\" id=\"" + GSApp_Ad.createAdId(adInfo.id) + "\" gsContentType=\"" + adInfo.contentType + "\" gsContent=\"" + adInfo.content + "\"  border=\"0px\" cellspacing=\"0\" cellpadding=\"0\" umengId_Open=\"" + umOpenId + "\">" +
                    " <tr>" +
                    "     <td>" +
                    "         <img src=\"" + adInfo.thumbnail + "\">" +
                    "     </td>" +
                    " </tr>" +
                    " <tr>" +
                    "     <td>" +
                    "         <table class=\"TitleBar\" border=\"0px\" cellspacing=\"0\" cellpadding=\"0\">" +
                    "             <tr>" +
                    "                 <td class=\"Title\">" + adInfo.title + "</td>" +
                    "                 <td class=\"Badges\"><span>广告</span></td>" +
                    "             </tr>" +
                    "         </table>" +
                    "     </td>" +
                    " </tr>" +
                    "</table>";
            } else if (adInfo.position == "zhongBu")
            {
                ad
                    = "<div class=\"GSApp_MidAd\" id=\"" + GSApp_Ad.createAdId(adInfo.id) + "\" gsContentType=\"" + adInfo.contentType + "\" gsContent=\"" + adInfo.content + "\" umengId_Open=\"" + umOpenId + "\">" +
                    " <img src=\"" + adInfo.thumbnail + "\">" +
                    " <div class=\"Badge\">广告</div>" +
                    "</div>";
            }
        }
    } catch (error)
    {
        console.log(error);
    }
    return ad;
};
GSApp_Ad.registerButtons = function ()
{
    var midAds = document.getElementsByClassName("GSApp_MidAd");
    for (var midAdIndex = midAds.length - 1; midAdIndex > -1; midAdIndex--)
    {
        var midAd = midAds[midAdIndex];
        gsAddTouchListenerToObject(
            midAd,
            function ()
            {
                try
                {
                    var midAd = gsGetSuperElementWithClassOf(event.target, "GSApp_MidAd");
                    var adId = gsGetInstanceElementDataId(midAd, "ad");
                    if (adId == null ||
                        adId.length < 1)
                    {
                        adId = gsGetInstanceElementDataId(midAd, "relatedContent");
                    }
                    var contentType = midAd.getAttribute("gsContentType");
                    var content = midAd.getAttribute("gsContent");
                    // !!!
                    var appMsg = "GSApp://open.app?{" +
                        "\"contentType\":\"" + contentType + "\"" +
                        ", \"content\":\"" + content + "\"" +
                        ", \"adId\":\"" + adId + "\"" +
                        "}";
                    GSApp.sendMessage(appMsg);
                    // !!!

                    //cms统计
                    if (gsIsCurrentOSAndroid())
                    {
                        gsPostToURL(
                            "http://appapi2click.gamersky.com/v1/statisticAd",
                            "JSON",
                            "{\"adId\":\"" + adId + "\",\"operation\":\"dianJi\"}",
                            true,
                            "GSApp_Ad.didPostCMSStatistics"
                        );
                    }
                    // 友盟统计：
                    {
                        GSApp.reportUMengStatistics("launchad_click_3");

                        var oriUmOpenStatics = midAd.getAttribute("umOpenId");
                        if (oriUmOpenStatics != null
                            && oriUmOpenStatics != undefined
                            && oriUmOpenStatics.length > 0) 
                        {
                            GSApp.reportUMengStatistics(oriUmOpenStatics);
                        }
                    }
                } catch (error)
                {
                    console.log(error.toString());
                }
            });
    }

    var bigAds = document.getElementsByClassName("GSApp_BigAd");
    for (var bigAdIndex = bigAds.length - 1; bigAdIndex > -1; bigAdIndex--)
    {
        var bigAd = bigAds[bigAdIndex];
        gsAddTouchListenerToObject(
            bigAd,
            function ()
            {
                try
                {
                    var bigAd = gsGetSuperElementWithClassOf(event.target, "GSApp_BigAd");
                    var adId = gsGetInstanceElementDataId(bigAd, "ad");
                    if (adId == null ||
                        adId.length < 1)
                    {
                        adId = gsGetInstanceElementDataId(midAd, "relatedContent");
                    }
                    var contentType = bigAd.getAttribute("gsContentType");
                    var content = bigAd.getAttribute("gsContent");
                    // !!!
                    var appMsg = "GSApp://open.app?{" +
                        "\"contentType\":\"" + contentType + "\"" +
                        ", \"content\":\"" + content + "\"" +
                        ", \"adId\":\"" + adId + "\"" +
                        "}";
                    GSApp.sendMessage(appMsg);
                    // !!!

                    //cms统计
                    if (gsIsCurrentOSAndroid())
                    {
                        gsPostToURL(
                            "http://appapi2click.gamersky.com/v1/statisticAd",
                            "JSON",
                            "{\"adId\":\"" + adId + "\",\"operation\":\"dianJi\"}",
                            true,
                            "GSApp_Ad.didPostCMSStatistics"
                        );
                    }

                    {
                        //友盟统计
                        // GSApp.reportUMengStatistics("launchad_click_3");

                        var oriUmOpenStatics = midAd.getAttribute("umOpenId");
                        if (oriUmOpenStatics != null
                            && oriUmOpenStatics != undefined
                            && oriUmOpenStatics.length > 0) 
                        {
                            GSApp.reportUMengStatistics(oriUmOpenStatics);
                        }
                    }
                } catch (error)
                {
                    console.log(error.toString());
                }
            });
    }
};
GSApp_Ad.create = function ()
{
    if (kContentType == "zhuTi.quanZi")
    {
        return;
    }
    var appMsg = "GSApp://get.content.ad.app?{" +
        "\"contentType\":\"" + kContentType + "\"" +
        ", \"contentId\":\"" + kContentId + "\"" +
        ", \"callback\":\"GSApp_Ad.insertAdWithAdsInfo\"}";
    GSApp.sendMessage(appMsg);

    //硬广告
    var adCouldShow = new Array();
    if (kListAdInfes != undefined
        && kListAdInfes.length > 0)
    {
        for (var index = 0; index < kListAdInfes.length; index++) 
        {
            const adInfo = kListAdInfes[index];
            var now = Date.parse(new Date());
            if (adInfo.showTime_Begin < now
                && adInfo.showTime_End > now)
            {
                var isValidAd = true;
                if (typeof (adInfo.gameId) == "string"
                    && adInfo.gameId.length > 0)
                {
                    if (typeof (kRelatedGameId) == "undefined"
                        || kRelatedGameId != adInfo.gameId)
                    {
                        isValidAd = false;
                    }
                }

                if (isValidAd)
                {
                    adCouldShow.push(adInfo);
                }
            }
        }
        if (adCouldShow.length > 0)
        {
            var adsInfo = new Object();
            adsInfo.contentType = kContentType;
            adsInfo.contentId = kContentId;
            adsInfo.ads = adCouldShow;

            GSApp_Ad.insertAdWithAdsInfo(adsInfo);
        }
    }
};
GSApp_Ad.insertAdWithAdsInfo = function (adsInfo)
{
    try
    {
        if (adsInfo.contentType != kContentType ||
            adsInfo.contentId != kContentId ||
            adsInfo.ads.length < 1)
        {
            return;
        }

        var bigAdsShowed = document.getElementsByClassName("GSApp_BigAd");
        var midAdsShowed = document.getElementsByClassName("GSApp_MidAd");
        if ((bigAdsShowed != null
            && bigAdsShowed != undefined
            && bigAdsShowed.length > 0)
            || (midAdsShowed != null
                && midAdsShowed != undefined
                && midAdsShowed.length > 0)) 
        {
            return;
        }

        var adInfes = adsInfo.ads;
        var adsWithBigImage = new Array();
        var adsWithMidImage = new Array();
        var adsWithSmallImage = new Array();

        for (var i = 0; i < adInfes.length; i++)
        {
            var adInfo = adInfes[i];
            if (adInfo.position == "diBu")
            {
                gsRemoveElementsWithClassName("GSApp_BigAd");
                var bigAdSplitLine = GSApp_SplitLine("bigAd");
                if (bigAdSplitLine)
                {
                    bigAdSplitLine.parentNode.removeChild(bigAdSplitLine);
                }

                var adWithBigImage = GSApp_Ad.createHTML(adInfo);
                if (adWithBigImage &&
                    adWithBigImage.length > 0)
                {
                    if (kContentType == "zhuTi.quanZi")
                    {
                        GSApp_SplitLine("gsApp_GSAppClubBar_Top")
                            .insertAdjacentHTML(
                                "beforeBegin",
                                adWithBigImage);
                    } else
                    {
                        GSApp_SplitLine("gsApp_MainBody")
                            .insertAdjacentHTML(
                                "beforeBegin",
                                adWithBigImage);
                    }
                }
                adsWithBigImage.push(adWithBigImage);
            } else if (adInfo.position == "zhongBu")
            {
                gsRemoveElementsWithClassName("GSApp_MidAd");
                var adWithMidImage = GSApp_Ad.createHTML(adInfo);
                if (adWithMidImage &&
                    adWithMidImage.length > 0)
                {
                    if (kContentType == "zhuTi.quanZi")
                    {
                        GSApp_SplitLine("gsApp_GSAppClubBar_Top")
                            .insertAdjacentHTML(
                                "beforeBegin",
                                adWithMidImage);
                    } else
                    {
                        GSApp_SplitLine("gsApp_MainBody")
                            .insertAdjacentHTML(
                                "beforeBegin",
                                adWithMidImage);
                    }
                }
                adsWithMidImage.push(adWithMidImage);
            } else
            {
                if (adInfo.id &&
                    adInfo.id != "" &&
                    adInfo.id != "0")
                {
                    var relatedContent = new Object(); {
                        relatedContent.id = adInfo.id;
                        relatedContent.title = adInfo.title;
                        relatedContent.thumbnail = adInfo.thumbnail;
                        relatedContent.time = (new Date()).getTime();
                        relatedContent.commentsCount = 0;
                        relatedContent.contentType = adInfo.contentType;
                        relatedContent.content = adInfo.content;
                        relatedContent.adId = adInfo.id;
                    }
                    adsWithSmallImage.push(relatedContent);
                }
            }
        }

        if (adsWithMidImage.length > 0 ||
            adsWithBigImage.length > 0)
        {
            GSApp_Ad.registerButtons();
        }

        if (adsWithSmallImage.length > 0)
        {
            var relatedContent = new Object(); {
                relatedContent.contentType = kContentType;
                relatedContent.contentId = kContentId;
                relatedContent.type = "xinWen";
                relatedContent.relateds = adsWithSmallImage;
            }
            GSApp_RelatedContent.insertRelatedContentWithRelatedContentInfo(
                relatedContent,
                true);
        }
    } catch (error)
    {
        console.log(error.toString());
    }
};
//上报cms统计的回调
GSApp_Ad.didPostCMSStatistics = function (response)
{

};

/// 移动至指定的位置：
GSApp.scrollTo = function (boundsTop)
{
    if (boundsTop < 0)
    {
        boundsTop = 0;
    }
    else if (boundsTop > (document.body.scrollHeight - document.body.clientHeight))
    {
        boundsTop = (document.body.scrollHeight - document.body.clientHeight);
    }
    document.body.scrollTop = boundsTop;
}

///展示toast提示框
GSApp.showTips = function (message)
{
    if (message != null &&
        message != undefined)
    {
        var msg = "GSApp://show.tips.app?{\"type\":\"tip\",\"mode\":\"finish\",\"content\":\"" + message + "\"}";
        GSApp.sendMessage(msg);
    }
}

GSApp.vibrate = function ()
{
    var msg = "GSApp://vibrate.ui.app";
    GSApp.sendMessage(msg);
}

////////////////////////////////////////////////
// @页面基础操作
////////////////////////////////////////////////

/*初始化信息*/
/*关联事件*/
window.onscroll = GSApp.didWindowScroll;

GSApp.reloadTitleBar = function ()
{
    // var titleNode
    // = body.getElementById("gsapp_Title");
    // body.removeChild(titleNode);
    // var subtitleNode
    // = body.getElementById("gsapp_Subtitle");
    // body.removeChild(subtitleNode);
}

GSApp.isAutoLoad = true;
window.addEventListener(
    "load",
    function ()
    {
        if (GSApp.isAutoLoad)
        {
            GSApp.didLoaded();
        }
    });


////////////////////////////////////////////////
// @App和主站公用的JS代码
////////////////////////////////////////////////

function gsOnPageLoad() { }

function gsVideoInApp(videoType, videoContent, videoParam, videoWidth, videoHeight, videoPosterSrc, prevHTMLElement)
{
    var videoObject = null;
    try
    {
        var videoHTML = "";

        // B站视频特殊处理：
        if (videoType === "B站")
        {
            // 尝试获取B站视频Id.
            var biliVideo_AId = null;
            var biliVideo_BvId = null;
            var biliVideo_CId = null;
            var biliPageIndex = 0;
            if (videoContent != null &&
                videoContent.length > -1)
            {
                // 保存原始视频内容.
                var originVideoContent = videoContent;
                // 去除空格.
                videoContent = videoContent.replace(new RegExp(" ", "gm"), "");
                // 保存去掉空格后的原始视频内容.
                var originVideoContentWithoutBlank = videoContent;
                // 小写化.
                videoContent = videoContent.toLowerCase();

                // 尝试从URL格式的视频代码中获取视频Id.
                var urlPlayerSign_AId = "//www.bilibili.com/video/av";
                var indexOfURLPlayerSign_AId = videoContent.indexOf(urlPlayerSign_AId);
                var urlPlayerSign_BvId = "//www.bilibili.com/video/bv";
                var indexOfURLPlayerSign_BvId = videoContent.indexOf(urlPlayerSign_BvId);
                var indexOfIFrameSign = videoContent.indexOf("iframe");
                if (indexOfIFrameSign < 0
                    && indexOfURLPlayerSign_AId > -1)
                {
                    var biliVideoIdBeginCharIndex = indexOfURLPlayerSign_AId + urlPlayerSign_AId.length;
                    var biliVideoIdEndCharIndex = videoContent.indexOf(
                        "/",
                        biliVideoIdBeginCharIndex);
                    if (biliVideoIdEndCharIndex == -1)
                    {
                        biliVideoIdEndCharIndex
                            = videoContent.indexOf(
                                "?",
                                biliVideoIdBeginCharIndex);
                    }
                    if (biliVideoIdEndCharIndex == -1)
                    {
                        biliVideoIdEndCharIndex
                            = videoContent.length;
                    }
                    biliVideo_AId
                        = originVideoContentWithoutBlank.substring(
                            biliVideoIdBeginCharIndex,
                            biliVideoIdEndCharIndex);
                }
                else if (indexOfIFrameSign < 0
                    && indexOfURLPlayerSign_BvId > -1)
                {
                    var biliVideoIdBeginCharIndex = indexOfURLPlayerSign_BvId + urlPlayerSign_BvId.length;
                    var biliVideoIdEndCharIndex = videoContent.indexOf(
                        "/",
                        biliVideoIdBeginCharIndex);
                    if (biliVideoIdEndCharIndex == -1)
                    {
                        biliVideoIdEndCharIndex
                            = videoContent.indexOf(
                                "?",
                                biliVideoIdBeginCharIndex);
                    }
                    if (biliVideoIdEndCharIndex == -1)
                    {
                        biliVideoIdEndCharIndex
                            = videoContent.length;
                    }
                    biliVideo_BvId
                        = originVideoContentWithoutBlank.substring(
                            biliVideoIdBeginCharIndex,
                            biliVideoIdEndCharIndex);
                }
                else
                {
                    // 尝试从iframe格式的视频代码中获取视频Id.
                    var urlPlayerSign = "//player.bilibili.com/player.html";
                    var indexOfURLPlayerSign = videoContent.indexOf(urlPlayerSign);
                    if (indexOfURLPlayerSign > -1)
                    {
                        var biliVideoIdSign_AId = "aid=";
                        var indexOfBiliVideoIdSign_AId = videoContent.indexOf(
                            biliVideoIdSign_AId,
                            indexOfURLPlayerSign + urlPlayerSign.length);
                        if (indexOfBiliVideoIdSign_AId > -1)
                        {
                            var biliVideoIdEndCharIndex = videoContent.indexOf(
                                "&",
                                indexOfBiliVideoIdSign_AId);
                            if (biliVideoIdEndCharIndex == -1)
                            {
                                biliVideoIdEndCharIndex
                                    = videoContent.indexOf(
                                        "\"",
                                        indexOfBiliVideoIdSign_AId);
                                if (biliVideoIdEndCharIndex == -1)
                                {
                                    biliVideoIdEndCharIndex
                                        = videoContent.length;
                                }
                            }
                            biliVideo_AId
                                = originVideoContentWithoutBlank.substring(
                                    indexOfBiliVideoIdSign_AId + biliVideoIdSign_AId.length,
                                    biliVideoIdEndCharIndex);
                        }


                        var biliVideoIdSign_BvId = "bvid=";
                        var indexOfBiliVideoIdSign_BvId = videoContent.indexOf(
                            biliVideoIdSign_BvId,
                            indexOfURLPlayerSign + urlPlayerSign.length);
                        if (indexOfBiliVideoIdSign_BvId > -1)
                        {
                            var biliVideoIdEndCharIndex = videoContent.indexOf(
                                "&",
                                indexOfBiliVideoIdSign_BvId);
                            if (biliVideoIdEndCharIndex == -1)
                            {
                                biliVideoIdEndCharIndex
                                    = videoContent.indexOf(
                                        "\"",
                                        indexOfBiliVideoIdSign_BvId);
                                if (biliVideoIdEndCharIndex == -1)
                                {
                                    biliVideoIdEndCharIndex
                                        = videoContent.length;
                                }
                            }
                            biliVideo_BvId
                                = originVideoContentWithoutBlank.substring(
                                    indexOfBiliVideoIdSign_BvId + biliVideoIdSign_BvId.length,
                                    biliVideoIdEndCharIndex);
                        }


                        var biliVideoIdSign_CId = "cid=";
                        var indexOfBiliVideoIdSign_CId = videoContent.indexOf(
                            biliVideoIdSign_CId,
                            indexOfURLPlayerSign + urlPlayerSign.length);
                        if (indexOfBiliVideoIdSign_CId > -1)
                        {
                            var biliVideo_CIdEndCharIndex = videoContent.indexOf(
                                "&",
                                indexOfBiliVideoIdSign_CId);
                            if (biliVideo_CIdEndCharIndex == -1)
                            {
                                biliVideo_CIdEndCharIndex
                                    = videoContent.indexOf(
                                        "\"",
                                        indexOfBiliVideoIdSign_CId);
                                if (biliVideo_CIdEndCharIndex == -1)
                                {
                                    biliVideo_CIdEndCharIndex
                                        = videoContent.length;
                                }
                            }
                            biliVideo_CId
                                = originVideoContentWithoutBlank.substring(
                                    indexOfBiliVideoIdSign_CId + biliVideoIdSign_CId.length,
                                    biliVideo_CIdEndCharIndex);
                        }
                    }
                }
            }

            if ((biliVideo_AId != null &&
                biliVideo_AId.length > 0)
                ||
                (biliVideo_BvId != null &&
                    biliVideo_BvId.length > 0))
            {
                var questionMarkIndex = originVideoContent.indexOf("?");
                if (questionMarkIndex >= 0)
                {
                    var biliParams = originVideoContent.substring(
                        questionMarkIndex,
                        originVideoContent.length);
                    var pageIndexSign = "page=";
                    var indexOfPageIndexSign = biliParams.indexOf(pageIndexSign);
                    if (indexOfPageIndexSign >= 0)
                    {
                        var biliPageIndexBeginIndex = indexOfPageIndexSign + pageIndexSign.length;
                        var biliPageIndexEndIndex = biliParams.indexOf(
                            "&",
                            indexOfPageIndexSign + pageIndexSign.length);
                        if (biliPageIndexEndIndex < 0)
                        {
                            biliPageIndexEndIndex
                                = biliParams.indexOf(
                                    "\"",
                                    indexOfPageIndexSign + pageIndexSign.length);
                            if (biliPageIndexEndIndex < 0)
                            {
                                biliPageIndexEndIndex
                                    = biliParams.length;
                            }
                        }
                        biliPageIndex
                            = biliParams.substring(
                                biliPageIndexBeginIndex,
                                biliPageIndexEndIndex);
                    }
                }

                var videoBvId = biliVideo_BvId;
                if (videoBvId &&
                    videoBvId.length > 0)
                {
                    videoBvId = "&bvid=" + videoCId;
                }
                else
                {
                    videoBvId = "";
                }


                var videoCId = biliVideo_CId;
                if (videoCId &&
                    videoCId.length > 0)
                {
                    videoCId = "&cid=" + videoCId;
                }
                else
                {
                    videoCId = "";
                }

                // 指定宽度
                if (typeof (videoWidth) == "undefined" ||
                    videoWidth == null)
                {
                    // 移动端自适应宽度
                    videoWidth = document.body.clientWidth - 24.0;
                    videoHeight = (videoWidth * 9.0 / 16.0) + "px";
                    videoWidth = videoWidth + "px";
                } else if (typeof (videoHeight) == "undefined" ||
                    videoHeight == null)
                {
                    videoHeight = (parseFloat(videoWidth) * 9.0 / 16.0) + "px";
                }

                // !!!
                videoContent
                    = "https://player.bilibili.com/player.html" +
                    "?aid=" + biliVideo_AId +
                    videoBvId +
                    videoCId +
                    "&p=" + biliPageIndex +
                    "&high_quality=1";
                // !!!
                if (_kGSAppVersionNumberCode < 5230
                    // && kContentType === "gongLue"
                    &&
                    gsIsCurrentOSAndroid())
                {
                    videoHTML
                        = "<iframe src=\"" + videoContent + "\" scrolling=\"no\" border=\"0\" frameborder=\"no\"" +
                        " framespacing=\"0\" allowfullscreen=\"true\"" +
                        " width=\"" + videoWidth + "\" height=\"" + videoHeight + "\"></iframe>";
                }

            }
        }

        if (videoHTML.length < 1)
        {
            videoObject = GSApp_Video.addVideoContent(videoContent, "MP4" === videoType);

            if (videoObject.videoOriginURL.indexOf("bilibili.com") != -1)
            {
                var bilibiliURL = "";
                if (biliVideo_AId != null
                    && biliVideo_AId.length > 0)
                {
                    bilibiliURL = "https://www.bilibili.com/video/av" + biliVideo_AId;
                }
                else
                {
                    bilibiliURL = "https://www.bilibili.com/video/BV" + biliVideo_BvId;
                }

                if (biliPageIndex != null &&
                    biliPageIndex != undefined &&
                    biliPageIndex.length != 0)
                {
                    bilibiliURL
                        = bilibiliURL + "?p=" + biliPageIndex;
                }

                videoObject.videoSrc = bilibiliURL;
            }

            if (videoObject)
            {
                var videoDefaultWidth = videoWidth ?
                    videoWidth :
                    GSApp_MainBody.getContentAreaWidth();
                var videoDefaultHeight = videoHeight ?
                    videoHeight :
                    videoDefaultWidth * 1080.0 / 1920.0;

                var videoStyle = "";
                if (videoParam)
                {
                    if (videoParam.indexOf("hidden") >= 0
                        || videoParam.indexOf("visibility_Hidden") >= 0)
                    {
                        videoStyle += "visibility: hidden;";
                    }
                    if (videoParam.indexOf("display_None") >= 0)
                    {
                        videoStyle += "display: none;";
                    }
                }
                if (videoPosterSrc &&
                    videoPosterSrc.length > 0)
                {
                    videoStyle += "background-image: url(" + videoPosterSrc + "); background-size: 100%;";
                }

                // if (videoType == "优酷"
                // && _kGSAppVersionNumberCode >=523
                // && kContentType == "xinWen"
                // ) 
                // {
                // 	var youkuId = null;
                // 	var urlSecs = videoContent.split("/");

                // 	if (urlSecs != null
                // 		&& urlSecs != undefined
                // 		&& urlSecs.length > 0) 
                // 	{
                // 		for (var index = 0; index < urlSecs.length; index++) 
                // 		{
                // 			const sec = urlSecs[index];
                // 			if (sec.indexOf("id_") != -1
                // 				&&sec.indexOf(".html") != -1) 
                // 			{
                // 				var urlSec = sec;
                // 				urlSec
                // 				= urlSec.replace("id_","");
                // 				youkuId
                // 				= urlSec.substr(0,urlSec.indexOf(".html"));
                // 			}
                // 		}
                // 	}

                // 	videoHTML
                // 	= "<iframe id=\"youkuplayer_0\" src=\"https://player.youku.com/embed/"+youkuId+"?client_id=f7d81b29f4146ce2\" frameborder=\"0\" allowfullscreen=\"\" style=\"width: " + videoDefaultWidth + "px; height: " + videoDefaultHeight + "px;\"></iframe>";
                // }
                // else
                {
                    videoHTML
                        = "<table class=\"GSApp_Video\" id=\"" + videoObject.id + "\" style=\"" + videoStyle + "\" border=\"0\" width=\"" + videoDefaultWidth + "\" height=\"" + videoDefaultHeight + "\" cellspacing=\"0\" cellpadding=\"0\" name=\"" + GSApp_Video.getYouKuVideoIdWithContentURL(videoContent) + "\">" +
                        "<tr>" +
                        "<td valign=\"middle\" align=\"center\">" +
                        "<div class=\"PlayButtonBackground\"></div>" +
                        "<div class=\"PlayButton\" onclick=\"GSApp_Video.playWithVideoId('" + videoObject.id + "');\"></div>" +
                        "</td>" +
                        "</tr>" +
                        "</table>";
                }

            }
        }

        if (typeof (prevHTMLElement) != "undefined")
        {
            prevHTMLElement.insertAdjacentHTML("afterEnd", videoHTML);
        } else
        {
            document.write(videoHTML);
        }
    }
    catch (error)
    {
        console.log(error);

        videoObject = null;
    }
    return videoObject;
}

function gsVideo(videoType, videoContent, videoWidth, videoHeight, videoPosterSrc)
{
    gsVideoInApp(videoType, videoContent, null, null, null, videoPosterSrc);
}

function gsVideoAfterElement(prevElement, videoType, videoContent, videoWidth, videoHeight, videoPosterSrc)
{
    gsVideoInApp(videoType, videoContent, null, null, null, videoPosterSrc, prevElement);
}

function gsIFrameContentInApp(contentType, contentURL)
{
    var finalIFrameContent = "";
    switch (contentType)
    {
        case "Steam": {
            // 移动端自适应宽度
            var contentWidth = document.body.clientWidth - 24.0;
            var contentHeight = (contentWidth * 320.0 / 550.0) + "px";
            if (gsIsCurrentOSIOS())
            {
                contentHeight = "auto";
            }
            contentWidth = contentWidth + "px";

            var gameId = "";
            // 尝试从游戏页面链接中获取游戏Id：
            contentURL = contentURL.toLowerCase();
            var steamGamePageSign = "store.steampowered.com/app/";
            var steamGamePageSignBeginIndex = contentURL.indexOf(steamGamePageSign);
            if (steamGamePageSignBeginIndex >= 0)
            {
                var gameIdBeginIndex = steamGamePageSignBeginIndex + steamGamePageSign.length;
                var gameIdEndIndex = contentURL.indexOf("/", gameIdBeginIndex);
                if (gameIdEndIndex == -1)
                {
                    var gameIdEndIndex = contentURL.indexOf("?", gameIdBeginIndex);
                    if (gameIdEndIndex == -1)
                    {
                        gameIdEndIndex = contentURL.length;
                    }
                }
                gameId = contentURL.substring(gameIdBeginIndex, gameIdEndIndex);
            }
            // 尝试从游戏分享卡片链接中获取游戏Id：
            else
            {
                var steamGameCardSign = "store.steampowered.com/widget/";
                var steamGameCardSignBeginIndex = contentURL.indexOf(steamGameCardSign);
                if (steamGameCardSignBeginIndex >= 0)
                {
                    var gameIdBeginIndex = steamGameCardSignBeginIndex + steamGameCardSign.length;
                    var gameIdEndIndex = contentURL.indexOf("/", gameIdBeginIndex);
                    if (gameIdEndIndex == -1)
                    {
                        gameIdEndIndex = contentURL.indexOf("?", gameIdBeginIndex);
                        if (gameIdEndIndex == -1)
                        {
                            gameIdEndIndex = contentURL.length;
                        }
                    }
                    gameId = contentURL.substring(gameIdBeginIndex, gameIdEndIndex);
                }
            }
            if (gameId.length > 0)
            {
                contentURL = "https://store.steampowered.com/widget/" + gameId + "/";
            }
            finalIFrameContent = "<iframe class=\"GSApp_DelayIFrame\" width=\"" + contentWidth + "\" height=\"" + contentHeight + "\" src=\"\" originSrc=\"" +
                contentURL +
                "\" frameborder=\"0\"></iframe>"
        }
            break;
        default: { }
            break;
    }
    document.write(finalIFrameContent);
}

function gsIFrameContent(contentType, contentURL)
{
    gsIFrameContentInApp(contentType, contentURL);
}